/*
 * Internal module API header file.
 *
 * Generated by SIP 6.7.9
 *
 * Copyright (c) 2023 Riverbank Computing Limited <info@riverbankcomputing.com>
 * 
 * This file is part of PyQt6.
 * 
 * This file may be used under the terms of the GNU General Public License
 * version 3.0 as published by the Free Software Foundation and appearing in
 * the file LICENSE included in the packaging of this file.  Please review the
 * following information to ensure the GNU General Public License version 3.0
 * requirements will be met: http://www.gnu.org/copyleft/gpl.html.
 * 
 * If you do not wish to use this file under the terms of the GPL version 3.0
 * then you may purchase a commercial license.  For more information contact
 * info@riverbankcomputing.com.
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef _QtDBusAPI_H
#define _QtDBusAPI_H

#if !defined(Py_LIMITED_API)
#define Py_LIMITED_API
#endif

#include "sip.h"

#include <QMetaType>
#include <QThread>

/* These are the qualifiers that are enabled. */
#define SIP_FEATURE_PyQt_DTLS
#define SIP_FEATURE_PyQt_WebChannel
#define SIP_FEATURE_PyQt_Process
#define SIP_FEATURE_PyQt_OpenGL_ES2
#define SIP_FEATURE_PyQt_OpenGL
#define SIP_FEATURE_PyQt_RawFont
#define SIP_FEATURE_PyQt_PrintPreviewDialog
#define SIP_FEATURE_PyQt_PrintPreviewWidget
#define SIP_FEATURE_PyQt_Printer
#define SIP_FEATURE_PyQt_PrintDialog
#define SIP_FEATURE_PyQt_qreal_double
#define SIP_FEATURE_PyQt_SSL
#define SIP_FEATURE_PyQt_SessionManager
#define SIP_FEATURE_PyQt_Accessibility
#define SIP_PLATFORM_Linux
#define SIP_TIMELINE_Qt_6_5_0


/*
 * Convenient names to refer to various strings defined in this module.
 * Only the class names are part of the public API.
 */
#define sipNameNr_0 0
#define sipName_0 &sipStrings_QtDBus[0]
#define sipNameNr_QDBusConnectionInterface__ServiceReplacementOptions 59
#define sipName_QDBusConnectionInterface__ServiceReplacementOptions &sipStrings_QtDBus[59]
#define sipNameNr_QDBusConnectionInterface__RegisterServiceReply 111
#define sipName_QDBusConnectionInterface__RegisterServiceReply &sipStrings_QtDBus[111]
#define sipNameNr_QDBusConnectionInterface__ServiceQueueOptions 158
#define sipName_QDBusConnectionInterface__ServiceQueueOptions &sipStrings_QtDBus[158]
#define sipNameNr_204 204
#define sipName_204 &sipStrings_QtDBus[204]
#define sipNameNr_250 250
#define sipName_250 &sipStrings_QtDBus[250]
#define sipNameNr_293 293
#define sipName_293 &sipStrings_QtDBus[293]
#define sipNameNr_QDBusConnection__ConnectionCapability 333
#define sipName_QDBusConnection__ConnectionCapability &sipStrings_QtDBus[333]
#define sipNameNr_QDBusServiceWatcher__WatchModeFlag 371
#define sipName_QDBusServiceWatcher__WatchModeFlag &sipStrings_QtDBus[371]
#define sipNameNr_setInteractiveAuthorizationAllowed 406
#define sipName_setInteractiveAuthorizationAllowed &sipStrings_QtDBus[406]
#define sipNameNr_isInteractiveAuthorizationAllowed 441
#define sipName_isInteractiveAuthorizationAllowed &sipStrings_QtDBus[441]
#define sipNameNr_QDBusConnection__RegisterOption 475
#define sipName_QDBusConnection__RegisterOption &sipStrings_QtDBus[475]
#define sipNameNr_QDBusConnection__UnregisterMode 507
#define sipName_QDBusConnection__UnregisterMode &sipStrings_QtDBus[507]
#define sipNameNr_ExportNonScriptableInvokables 539
#define sipName_ExportNonScriptableInvokables &sipStrings_QtDBus[539]
#define sipNameNr_ExportNonScriptableProperties 569
#define sipName_ExportNonScriptableProperties &sipStrings_QtDBus[569]
#define sipNameNr_ExportNonScriptableContents 599
#define sipName_ExportNonScriptableContents &sipStrings_QtDBus[599]
#define sipNameNr_ExportNonScriptableSignals 627
#define sipName_ExportNonScriptableSignals &sipStrings_QtDBus[627]
#define sipNameNr_ExportScriptableInvokables 654
#define sipName_ExportScriptableInvokables &sipStrings_QtDBus[654]
#define sipNameNr_ExportScriptableProperties 681
#define sipName_ExportScriptableProperties &sipStrings_QtDBus[681]
#define sipNameNr_QDBusMessage__MessageType 708
#define sipName_QDBusMessage__MessageType &sipStrings_QtDBus[708]
#define sipNameNr_ServiceReplacementOptions 85
#define sipName_ServiceReplacementOptions &sipStrings_QtDBus[85]
#define sipNameNr_UnixFileDescriptorPassing 734
#define sipName_UnixFileDescriptorPassing &sipStrings_QtDBus[734]
#define sipNameNr_asyncCallWithArgumentList 760
#define sipName_asyncCallWithArgumentList &sipStrings_QtDBus[760]
#define sipNameNr_ExportNonScriptableSlots 786
#define sipName_ExportNonScriptableSlots &sipStrings_QtDBus[786]
#define sipNameNr_ExportScriptableContents 811
#define sipName_ExportScriptableContents &sipStrings_QtDBus[811]
#define sipNameNr_QDBusConnection__BusType 836
#define sipName_QDBusConnection__BusType &sipStrings_QtDBus[836]
#define sipNameNr_QDBusConnectionInterface 861
#define sipName_QDBusConnectionInterface &sipStrings_QtDBus[861]
#define sipNameNr_ExportScriptableSignals 886
#define sipName_ExportScriptableSignals &sipStrings_QtDBus[886]
#define sipNameNr_PyQt6_sip_simplewrapper 910
#define sipName_PyQt6_sip_simplewrapper &sipStrings_QtDBus[910]
#define sipNameNr_QDBusPendingCallWatcher 934
#define sipName_QDBusPendingCallWatcher &sipStrings_QtDBus[934]
#define sipNameNr_958 958
#define sipName_958 &sipStrings_QtDBus[958]
#define sipNameNr_QDBusUnixFileDescriptor 982
#define sipName_QDBusUnixFileDescriptor &sipStrings_QtDBus[982]
#define sipNameNr_activatableServiceNames 1006
#define sipName_activatableServiceNames &sipStrings_QtDBus[1006]
#define sipNameNr_QDBusAbstractInterface 1030
#define sipName_QDBusAbstractInterface &sipStrings_QtDBus[1030]
#define sipNameNr_ReplaceExistingService 1053
#define sipName_ReplaceExistingService &sipStrings_QtDBus[1053]
#define sipNameNr_WatchForUnregistration 1076
#define sipName_WatchForUnregistration &sipStrings_QtDBus[1076]
#define sipNameNr_callWithCallbackFailed 1099
#define sipName_callWithCallbackFailed &sipStrings_QtDBus[1099]
#define sipNameNr_connectionCapabilities 1122
#define sipName_connectionCapabilities &sipStrings_QtDBus[1122]
#define sipNameNr_registeredServiceNames 1145
#define sipName_registeredServiceNames &sipStrings_QtDBus[1145]
#define sipNameNr_ExportScriptableSlots 1168
#define sipName_ExportScriptableSlots &sipStrings_QtDBus[1168]
#define sipNameNr_QDBusError__ErrorType 1190
#define sipName_QDBusError__ErrorType &sipStrings_QtDBus[1190]
#define sipNameNr_ConnectionCapability 350
#define sipName_ConnectionCapability &sipStrings_QtDBus[350]
#define sipNameNr_DontAllowReplacement 1212
#define sipName_DontAllowReplacement &sipStrings_QtDBus[1212]
#define sipNameNr_QDBusAbstractAdaptor 1233
#define sipName_QDBusAbstractAdaptor &sipStrings_QtDBus[1233]
#define sipNameNr_RegisterServiceReply 137
#define sipName_RegisterServiceReply &sipStrings_QtDBus[137]
#define sipNameNr_ServiceNotRegistered 1254
#define sipName_ServiceNotRegistered &sipStrings_QtDBus[1254]
#define sipNameNr_WatchForRegistration 1275
#define sipName_WatchForRegistration &sipStrings_QtDBus[1275]
#define sipNameNr_callWithArgumentList 1296
#define sipName_callWithArgumentList &sipStrings_QtDBus[1296]
#define sipNameNr_createTargetedSignal 1317
#define sipName_createTargetedSignal &sipStrings_QtDBus[1317]
#define sipNameNr_removeWatchedService 1338
#define sipName_removeWatchedService &sipStrings_QtDBus[1338]
#define sipNameNr_ExportAllInvokables 1359
#define sipName_ExportAllInvokables &sipStrings_QtDBus[1359]
#define sipNameNr_ExportAllProperties 1379
#define sipName_ExportAllProperties &sipStrings_QtDBus[1379]
#define sipNameNr_1399 1399
#define sipName_1399 &sipStrings_QtDBus[1399]
#define sipNameNr_QDBusServiceWatcher 1419
#define sipName_QDBusServiceWatcher &sipStrings_QtDBus[1419]
#define sipNameNr_QPyDBusPendingReply 1439
#define sipName_QPyDBusPendingReply &sipStrings_QtDBus[1439]
#define sipNameNr_ServiceQueueOptions 184
#define sipName_ServiceQueueOptions &sipStrings_QtDBus[184]
#define sipNameNr_WatchForOwnerChange 1459
#define sipName_WatchForOwnerChange &sipStrings_QtDBus[1459]
#define sipNameNr_isServiceRegistered 1479
#define sipName_isServiceRegistered &sipStrings_QtDBus[1479]
#define sipNameNr_serviceOwnerChanged 1499
#define sipName_serviceOwnerChanged &sipStrings_QtDBus[1499]
#define sipNameNr_serviceUnregistered 1519
#define sipName_serviceUnregistered &sipStrings_QtDBus[1519]
#define sipNameNr_setAutoRelaySignals 1539
#define sipName_setAutoRelaySignals &sipStrings_QtDBus[1539]
#define sipNameNr_setAutoStartService 1559
#define sipName_setAutoStartService &sipStrings_QtDBus[1559]
#define sipNameNr_ExportChildObjects 1579
#define sipName_ExportChildObjects &sipStrings_QtDBus[1579]
#define sipNameNr_disconnectFromPeer 1598
#define sipName_disconnectFromPeer &sipStrings_QtDBus[1598]
#define sipNameNr_objectRegisteredAt 1617
#define sipName_objectRegisteredAt &sipStrings_QtDBus[1617]
#define sipNameNr_setWatchedServices 1636
#define sipName_setWatchedServices &sipStrings_QtDBus[1636]
#define sipNameNr_ExportAllContents 1655
#define sipName_ExportAllContents &sipStrings_QtDBus[1655]
#define sipNameNr_InvalidObjectPath 1673
#define sipName_InvalidObjectPath &sipStrings_QtDBus[1673]
#define sipNameNr_MethodCallMessage 1691
#define sipName_MethodCallMessage &sipStrings_QtDBus[1691]
#define sipNameNr_QDBusPendingReply 1709
#define sipName_QDBusPendingReply &sipStrings_QtDBus[1709]
#define sipNameNr_ServiceRegistered 1481
#define sipName_ServiceRegistered &sipStrings_QtDBus[1481]
#define sipNameNr_addWatchedService 1727
#define sipName_addWatchedService &sipStrings_QtDBus[1727]
#define sipNameNr_disconnectFromBus 1745
#define sipName_disconnectFromBus &sipStrings_QtDBus[1745]
#define sipNameNr_fromCompletedCall 1763
#define sipName_fromCompletedCall &sipStrings_QtDBus[1763]
#define sipNameNr_serviceRegistered 1781
#define sipName_serviceRegistered &sipStrings_QtDBus[1781]
#define sipNameNr_setFileDescriptor 1799
#define sipName_setFileDescriptor &sipStrings_QtDBus[1799]
#define sipNameNr_unregisterService 1817
#define sipName_unregisterService &sipStrings_QtDBus[1817]
#define sipNameNr_AllowReplacement 1216
#define sipName_AllowReplacement &sipStrings_QtDBus[1216]
#define sipNameNr_DontQueueService 1835
#define sipName_DontQueueService &sipStrings_QtDBus[1835]
#define sipNameNr_ExportAllSignals 1852
#define sipName_ExportAllSignals &sipStrings_QtDBus[1852]
#define sipNameNr_InvalidInterface 1869
#define sipName_InvalidInterface &sipStrings_QtDBus[1869]
#define sipNameNr_InvalidSignature 1886
#define sipName_InvalidSignature &sipStrings_QtDBus[1886]
#define sipNameNr_PropertyReadOnly 1903
#define sipName_PropertyReadOnly &sipStrings_QtDBus[1903]
#define sipNameNr_QDBusPendingCall 1920
#define sipName_QDBusPendingCall &sipStrings_QtDBus[1920]
#define sipNameNr_1937 1937
#define sipName_1937 &sipStrings_QtDBus[1937]
#define sipNameNr_1954 1954
#define sipName_1954 &sipStrings_QtDBus[1954]
#define sipNameNr_1971 1971
#define sipName_1971 &sipStrings_QtDBus[1971]
#define sipNameNr_UnknownInterface 1988
#define sipName_UnknownInterface &sipStrings_QtDBus[1988]
#define sipNameNr_autoRelaySignals 2005
#define sipName_autoRelaySignals &sipStrings_QtDBus[2005]
#define sipNameNr_autoStartService 2022
#define sipName_autoStartService &sipStrings_QtDBus[2022]
#define sipNameNr_callWithCallback 2039
#define sipName_callWithCallback &sipStrings_QtDBus[2039]
#define sipNameNr_createErrorReply 2056
#define sipName_createErrorReply &sipStrings_QtDBus[2056]
#define sipNameNr_createMethodCall 2073
#define sipName_createMethodCall &sipStrings_QtDBus[2073]
#define sipNameNr_disconnectNotify 2090
#define sipName_disconnectNotify &sipStrings_QtDBus[2090]
#define sipNameNr_unregisterObject 2107
#define sipName_unregisterObject &sipStrings_QtDBus[2107]
#define sipNameNr_ExportAllSignal 2124
#define sipName_ExportAllSignal &sipStrings_QtDBus[2124]
#define sipNameNr_QDBus__CallMode 2140
#define sipName_QDBus__CallMode &sipStrings_QtDBus[2140]
#define sipNameNr_QDBusConnection 2156
#define sipName_QDBusConnection &sipStrings_QtDBus[2156]
#define sipNameNr_QDBusObjectPath 2172
#define sipName_QDBusObjectPath &sipStrings_QtDBus[2172]
#define sipNameNr_UnknownProperty 2188
#define sipName_UnknownProperty &sipStrings_QtDBus[2188]
#define sipNameNr_isReplyRequired 2204
#define sipName_isReplyRequired &sipStrings_QtDBus[2204]
#define sipNameNr_registerService 1819
#define sipName_registerService &sipStrings_QtDBus[1819]
#define sipNameNr_setDelayedReply 2220
#define sipName_setDelayedReply &sipStrings_QtDBus[2220]
#define sipNameNr_waitForFinished 2236
#define sipName_waitForFinished &sipStrings_QtDBus[2236]
#define sipNameNr_watchedServices 2252
#define sipName_watchedServices &sipStrings_QtDBus[2252]
#define sipNameNr_ExportAdaptors 2268
#define sipName_ExportAdaptors &sipStrings_QtDBus[2268]
#define sipNameNr_ExportAllSlots 2283
#define sipName_ExportAllSlots &sipStrings_QtDBus[2283]
#define sipNameNr_InvalidMessage 2298
#define sipName_InvalidMessage &sipStrings_QtDBus[2298]
#define sipNameNr_InvalidService 2313
#define sipName_InvalidService &sipStrings_QtDBus[2313]
#define sipNameNr_LimitsExceeded 2328
#define sipName_LimitsExceeded &sipStrings_QtDBus[2328]
#define sipNameNr_QDBusInterface 2343
#define sipName_QDBusInterface &sipStrings_QtDBus[2343]
#define sipNameNr_QDBusSignature 2358
#define sipName_QDBusSignature &sipStrings_QtDBus[2358]
#define sipNameNr_RegisterOption 492
#define sipName_RegisterOption &sipStrings_QtDBus[492]
#define sipNameNr_ServiceUnknown 2373
#define sipName_ServiceUnknown &sipStrings_QtDBus[2373]
#define sipNameNr_UnregisterMode 524
#define sipName_UnregisterMode &sipStrings_QtDBus[524]
#define sipNameNr_UnregisterNode 2388
#define sipName_UnregisterNode &sipStrings_QtDBus[2388]
#define sipNameNr_UnregisterTree 2403
#define sipName_UnregisterTree &sipStrings_QtDBus[2403]
#define sipNameNr_beginStructure 2418
#define sipName_beginStructure &sipStrings_QtDBus[2418]
#define sipNameNr_fileDescriptor 2433
#define sipName_fileDescriptor &sipStrings_QtDBus[2433]
#define sipNameNr_isDelayedReply 2448
#define sipName_isDelayedReply &sipStrings_QtDBus[2448]
#define sipNameNr_localMachineId 2463
#define sipName_localMachineId &sipStrings_QtDBus[2463]
#define sipNameNr_registerObject 2109
#define sipName_registerObject &sipStrings_QtDBus[2109]
#define sipNameNr_ActivationBus 2478
#define sipName_ActivationBus &sipStrings_QtDBus[2478]
#define sipNameNr_InternalError 2492
#define sipName_InternalError &sipStrings_QtDBus[2492]
#define sipNameNr_InvalidMember 2506
#define sipName_InvalidMember &sipStrings_QtDBus[2506]
#define sipNameNr_QDBusArgument 2520
#define sipName_QDBusArgument &sipStrings_QtDBus[2520]
#define sipNameNr_ServiceQueued 2534
#define sipName_ServiceQueued &sipStrings_QtDBus[2534]
#define sipNameNr_SignalMessage 2548
#define sipName_SignalMessage &sipStrings_QtDBus[2548]
#define sipNameNr_UnknownMethod 2562
#define sipName_UnknownMethod &sipStrings_QtDBus[2562]
#define sipNameNr_UnknownObject 2576
#define sipName_UnknownObject &sipStrings_QtDBus[2576]
#define sipNameNr_WatchModeFlag 392
#define sipName_WatchModeFlag &sipStrings_QtDBus[392]
#define sipNameNr_beginMapEntry 2590
#define sipName_beginMapEntry &sipStrings_QtDBus[2590]
#define sipNameNr_connectNotify 2093
#define sipName_connectNotify &sipStrings_QtDBus[2093]
#define sipNameNr_connectToPeer 2604
#define sipName_connectToPeer &sipStrings_QtDBus[2604]
#define sipNameNr_setConnection 2618
#define sipName_setConnection &sipStrings_QtDBus[2618]
#define sipNameNr_AccessDenied 2632
#define sipName_AccessDenied &sipStrings_QtDBus[2632]
#define sipNameNr_AddressInUse 2645
#define sipName_AddressInUse &sipStrings_QtDBus[2645]
#define sipNameNr_BlockWithGui 2658
#define sipName_BlockWithGui &sipStrings_QtDBus[2658]
#define sipNameNr_Disconnected 2671
#define sipName_Disconnected &sipStrings_QtDBus[2671]
#define sipNameNr_ErrorMessage 2684
#define sipName_ErrorMessage &sipStrings_QtDBus[2684]
#define sipNameNr_NotSupported 2697
#define sipName_NotSupported &sipStrings_QtDBus[2697]
#define sipNameNr_PyQt6_QtDBus 2710
#define sipName_PyQt6_QtDBus &sipStrings_QtDBus[2710]
#define sipNameNr_QDBusMessage 2723
#define sipName_QDBusMessage &sipStrings_QtDBus[2723]
#define sipNameNr_QDBusVariant 2736
#define sipName_QDBusVariant &sipStrings_QtDBus[2736]
#define sipNameNr_QPyDBusReply 2749
#define sipName_QPyDBusReply &sipStrings_QtDBus[2749]
#define sipNameNr_QueueService 1839
#define sipName_QueueService &sipStrings_QtDBus[1839]
#define sipNameNr_ReplyMessage 2762
#define sipName_ReplyMessage &sipStrings_QtDBus[2762]
#define sipNameNr_connectToBus 2775
#define sipName_connectToBus &sipStrings_QtDBus[2775]
#define sipNameNr_createSignal 2788
#define sipName_createSignal &sipStrings_QtDBus[2788]
#define sipNameNr_endStructure 2801
#define sipName_endStructure &sipStrings_QtDBus[2801]
#define sipNameNr_errorMessage 2814
#define sipName_errorMessage &sipStrings_QtDBus[2814]
#define sipNameNr_serviceOwner 2827
#define sipName_serviceOwner &sipStrings_QtDBus[2827]
#define sipNameNr_setArguments 2840
#define sipName_setArguments &sipStrings_QtDBus[2840]
#define sipNameNr_setSignature 2853
#define sipName_setSignature &sipStrings_QtDBus[2853]
#define sipNameNr_setWatchMode 2866
#define sipName_setWatchMode &sipStrings_QtDBus[2866]
#define sipNameNr_startService 2879
#define sipName_startService &sipStrings_QtDBus[2879]
#define sipNameNr_InvalidArgs 2892
#define sipName_InvalidArgs &sipStrings_QtDBus[2892]
#define sipNameNr_MessageType 722
#define sipName_MessageType &sipStrings_QtDBus[722]
#define sipNameNr_baseService 2904
#define sipName_baseService &sipStrings_QtDBus[2904]
#define sipNameNr_createError 2916
#define sipName_createError &sipStrings_QtDBus[2916]
#define sipNameNr_createReply 2928
#define sipName_createReply &sipStrings_QtDBus[2928]
#define sipNameNr_customEvent 2940
#define sipName_customEvent &sipStrings_QtDBus[2940]
#define sipNameNr_endMapEntry 2952
#define sipName_endMapEntry &sipStrings_QtDBus[2952]
#define sipNameNr_errorString 2964
#define sipName_errorString &sipStrings_QtDBus[2964]
#define sipNameNr_eventFilter 2976
#define sipName_eventFilter &sipStrings_QtDBus[2976]
#define sipNameNr_isConnected 2988
#define sipName_isConnected &sipStrings_QtDBus[2988]
#define sipNameNr_isSupported 3000
#define sipName_isSupported &sipStrings_QtDBus[3000]
#define sipNameNr_AutoDetect 3012
#define sipName_AutoDetect &sipStrings_QtDBus[3012]
#define sipNameNr_BadAddress 3023
#define sipName_BadAddress &sipStrings_QtDBus[3023]
#define sipNameNr_QDBusError 3034
#define sipName_QDBusError &sipStrings_QtDBus[3034]
#define sipNameNr_QDBusReply 3045
#define sipName_QDBusReply &sipStrings_QtDBus[3045]
#define sipNameNr_SessionBus 3056
#define sipName_SessionBus &sipStrings_QtDBus[3056]
#define sipNameNr___lshift__ 3067
#define sipName___lshift__ &sipStrings_QtDBus[3067]
#define sipNameNr_argumentAt 3078
#define sipName_argumentAt &sipStrings_QtDBus[3078]
#define sipNameNr_beginArray 3089
#define sipName_beginArray &sipStrings_QtDBus[3089]
#define sipNameNr_childEvent 3100
#define sipName_childEvent &sipStrings_QtDBus[3100]
#define sipNameNr_connection 3111
#define sipName_connection &sipStrings_QtDBus[3111]
#define sipNameNr_disconnect 3122
#define sipName_disconnect &sipStrings_QtDBus[3122]
#define sipNameNr_isFinished 3133
#define sipName_isFinished &sipStrings_QtDBus[3133]
#define sipNameNr_servicePid 3144
#define sipName_servicePid &sipStrings_QtDBus[3144]
#define sipNameNr_serviceUid 3155
#define sipName_serviceUid &sipStrings_QtDBus[3155]
#define sipNameNr_sessionBus 3166
#define sipName_sessionBus &sipStrings_QtDBus[3166]
#define sipNameNr_setTimeout 3177
#define sipName_setTimeout &sipStrings_QtDBus[3177]
#define sipNameNr_setVariant 3188
#define sipName_setVariant &sipStrings_QtDBus[3188]
#define sipNameNr_timerEvent 3199
#define sipName_timerEvent &sipStrings_QtDBus[3199]
#define sipNameNr_ErrorType 1202
#define sipName_ErrorType &sipStrings_QtDBus[1202]
#define sipNameNr_NoNetwork 3210
#define sipName_NoNetwork &sipStrings_QtDBus[3210]
#define sipNameNr_SystemBus 3220
#define sipName_SystemBus &sipStrings_QtDBus[3220]
#define sipNameNr_arguments 3230
#define sipName_arguments &sipStrings_QtDBus[3230]
#define sipNameNr_asyncCall 3240
#define sipName_asyncCall &sipStrings_QtDBus[3240]
#define sipNameNr_errorName 3250
#define sipName_errorName &sipStrings_QtDBus[3250]
#define sipNameNr_fromError 3260
#define sipName_fromError &sipStrings_QtDBus[3260]
#define sipNameNr_interface 3270
#define sipName_interface &sipStrings_QtDBus[3270]
#define sipNameNr_lastError 3280
#define sipName_lastError &sipStrings_QtDBus[3280]
#define sipNameNr_signature 3290
#define sipName_signature &sipStrings_QtDBus[3290]
#define sipNameNr_systemBus 3300
#define sipName_systemBus &sipStrings_QtDBus[3300]
#define sipNameNr_watchMode 3310
#define sipName_watchMode &sipStrings_QtDBus[3310]
#define sipNameNr_CallMode 2147
#define sipName_CallMode &sipStrings_QtDBus[2147]
#define sipNameNr_NoMemory 3320
#define sipName_NoMemory &sipStrings_QtDBus[3320]
#define sipNameNr_NoServer 3329
#define sipName_NoServer &sipStrings_QtDBus[3329]
#define sipNameNr_TimedOut 3338
#define sipName_TimedOut &sipStrings_QtDBus[3338]
#define sipNameNr___hash__ 3347
#define sipName___hash__ &sipStrings_QtDBus[3347]
#define sipNameNr_beginMap 3356
#define sipName_beginMap &sipStrings_QtDBus[3356]
#define sipNameNr_endArray 3365
#define sipName_endArray &sipStrings_QtDBus[3365]
#define sipNameNr_finished 3374
#define sipName_finished &sipStrings_QtDBus[3374]
#define sipNameNr_BusType 853
#define sipName_BusType &sipStrings_QtDBus[853]
#define sipNameNr_NoBlock 3383
#define sipName_NoBlock &sipStrings_QtDBus[3383]
#define sipNameNr_NoError 3391
#define sipName_NoError &sipStrings_QtDBus[3391]
#define sipNameNr_NoReply 3399
#define sipName_NoReply &sipStrings_QtDBus[3399]
#define sipNameNr_Timeout 3180
#define sipName_Timeout &sipStrings_QtDBus[3180]
#define sipNameNr_connect 3125
#define sipName_connect &sipStrings_QtDBus[3125]
#define sipNameNr_isError 3407
#define sipName_isError &sipStrings_QtDBus[3407]
#define sipNameNr_isValid 3415
#define sipName_isValid &sipStrings_QtDBus[3415]
#define sipNameNr_message 3423
#define sipName_message &sipStrings_QtDBus[3423]
#define sipNameNr_options 3431
#define sipName_options &sipStrings_QtDBus[3431]
#define sipNameNr_qoption 3439
#define sipName_qoption &sipStrings_QtDBus[3439]
#define sipNameNr_roption 3447
#define sipName_roption &sipStrings_QtDBus[3447]
#define sipNameNr_service 3455
#define sipName_service &sipStrings_QtDBus[3455]
#define sipNameNr_setPath 3463
#define sipName_setPath &sipStrings_QtDBus[3463]
#define sipNameNr_timeout 3471
#define sipName_timeout &sipStrings_QtDBus[3471]
#define sipNameNr_variant 3479
#define sipName_variant &sipStrings_QtDBus[3479]
#define sipNameNr_watcher 3487
#define sipName_watcher &sipStrings_QtDBus[3487]
#define sipNameNr_Failed 1115
#define sipName_Failed &sipStrings_QtDBus[1115]
#define sipNameNr___eq__ 3495
#define sipName___eq__ &sipStrings_QtDBus[3495]
#define sipNameNr___ge__ 3502
#define sipName___ge__ &sipStrings_QtDBus[3502]
#define sipNameNr___lt__ 3509
#define sipName___lt__ &sipStrings_QtDBus[3509]
#define sipNameNr___ne__ 3516
#define sipName___ne__ &sipStrings_QtDBus[3516]
#define sipNameNr_endMap 3523
#define sipName_endMap &sipStrings_QtDBus[3523]
#define sipNameNr_member 3530
#define sipName_member &sipStrings_QtDBus[3530]
#define sipNameNr_parent 3537
#define sipName_parent &sipStrings_QtDBus[3537]
#define sipNameNr_Block 3385
#define sipName_Block &sipStrings_QtDBus[3385]
#define sipNameNr_Other 3544
#define sipName_Other &sipStrings_QtDBus[3544]
#define sipNameNr_QDBus 3550
#define sipName_QDBus &sipStrings_QtDBus[3550]
#define sipNameNr_error 3556
#define sipName_error &sipStrings_QtDBus[3556]
#define sipNameNr_event 3562
#define sipName_event &sipStrings_QtDBus[3562]
#define sipNameNr_reply 3568
#define sipName_reply &sipStrings_QtDBus[3568]
#define sipNameNr_value 3574
#define sipName_value &sipStrings_QtDBus[3574]
#define sipNameNr_call 3580
#define sipName_call &sipStrings_QtDBus[3580]
#define sipNameNr_mode 3585
#define sipName_mode &sipStrings_QtDBus[3585]
#define sipNameNr_name 3590
#define sipName_name &sipStrings_QtDBus[3590]
#define sipNameNr_path 3595
#define sipName_path &sipStrings_QtDBus[3595]
#define sipNameNr_send 3600
#define sipName_send &sipStrings_QtDBus[3600]
#define sipNameNr_swap 3605
#define sipName_swap &sipStrings_QtDBus[3605]
#define sipNameNr_type 3610
#define sipName_type &sipStrings_QtDBus[3610]
#define sipNameNr_add 3615
#define sipName_add &sipStrings_QtDBus[3615]
#define sipNameNr_id 3152
#define sipName_id &sipStrings_QtDBus[3152]

#define sipMalloc                   sipAPI_QtDBus->api_malloc
#define sipFree                     sipAPI_QtDBus->api_free
#define sipBuildResult              sipAPI_QtDBus->api_build_result
#define sipCallMethod               sipAPI_QtDBus->api_call_method
#define sipCallProcedureMethod      sipAPI_QtDBus->api_call_procedure_method
#define sipCallErrorHandler         sipAPI_QtDBus->api_call_error_handler
#define sipParseResultEx            sipAPI_QtDBus->api_parse_result_ex
#define sipParseResult              sipAPI_QtDBus->api_parse_result
#define sipParseArgs                sipAPI_QtDBus->api_parse_args
#define sipParseKwdArgs             sipAPI_QtDBus->api_parse_kwd_args
#define sipParsePair                sipAPI_QtDBus->api_parse_pair
#define sipInstanceDestroyed        sipAPI_QtDBus->api_instance_destroyed
#define sipInstanceDestroyedEx      sipAPI_QtDBus->api_instance_destroyed_ex
#define sipConvertFromSequenceIndex sipAPI_QtDBus->api_convert_from_sequence_index
#define sipConvertFromSliceObject   sipAPI_QtDBus->api_convert_from_slice_object
#define sipConvertFromVoidPtr       sipAPI_QtDBus->api_convert_from_void_ptr
#define sipConvertToVoidPtr         sipAPI_QtDBus->api_convert_to_void_ptr
#define sipAddException             sipAPI_QtDBus->api_add_exception
#define sipNoFunction               sipAPI_QtDBus->api_no_function
#define sipNoMethod                 sipAPI_QtDBus->api_no_method
#define sipAbstractMethod           sipAPI_QtDBus->api_abstract_method
#define sipBadClass                 sipAPI_QtDBus->api_bad_class
#define sipBadCatcherResult         sipAPI_QtDBus->api_bad_catcher_result
#define sipBadCallableArg           sipAPI_QtDBus->api_bad_callable_arg
#define sipBadOperatorArg           sipAPI_QtDBus->api_bad_operator_arg
#define sipTrace                    sipAPI_QtDBus->api_trace
#define sipTransferBack             sipAPI_QtDBus->api_transfer_back
#define sipTransferTo               sipAPI_QtDBus->api_transfer_to
#define sipSimpleWrapper_Type       sipAPI_QtDBus->api_simplewrapper_type
#define sipWrapper_Type             sipAPI_QtDBus->api_wrapper_type
#define sipWrapperType_Type         sipAPI_QtDBus->api_wrappertype_type
#define sipVoidPtr_Type             sipAPI_QtDBus->api_voidptr_type
#define sipGetPyObject              sipAPI_QtDBus->api_get_pyobject
#define sipGetAddress               sipAPI_QtDBus->api_get_address
#define sipGetMixinAddress          sipAPI_QtDBus->api_get_mixin_address
#define sipGetCppPtr                sipAPI_QtDBus->api_get_cpp_ptr
#define sipGetComplexCppPtr         sipAPI_QtDBus->api_get_complex_cpp_ptr
#define sipCallHook                 sipAPI_QtDBus->api_call_hook
#define sipEndThread                sipAPI_QtDBus->api_end_thread
#define sipRaiseUnknownException    sipAPI_QtDBus->api_raise_unknown_exception
#define sipRaiseTypeException       sipAPI_QtDBus->api_raise_type_exception
#define sipBadLengthForSlice        sipAPI_QtDBus->api_bad_length_for_slice
#define sipAddTypeInstance          sipAPI_QtDBus->api_add_type_instance
#define sipPySlotExtend             sipAPI_QtDBus->api_pyslot_extend
#define sipAddDelayedDtor           sipAPI_QtDBus->api_add_delayed_dtor
#define sipCanConvertToType         sipAPI_QtDBus->api_can_convert_to_type
#define sipConvertToType            sipAPI_QtDBus->api_convert_to_type
#define sipForceConvertToType       sipAPI_QtDBus->api_force_convert_to_type
#define sipConvertToEnum            sipAPI_QtDBus->api_convert_to_enum
#define sipConvertToBool            sipAPI_QtDBus->api_convert_to_bool
#define sipReleaseType              sipAPI_QtDBus->api_release_type
#define sipConvertFromType          sipAPI_QtDBus->api_convert_from_type
#define sipConvertFromNewType       sipAPI_QtDBus->api_convert_from_new_type
#define sipConvertFromNewPyType     sipAPI_QtDBus->api_convert_from_new_pytype
#define sipConvertFromEnum          sipAPI_QtDBus->api_convert_from_enum
#define sipGetState                 sipAPI_QtDBus->api_get_state
#define sipExportSymbol             sipAPI_QtDBus->api_export_symbol
#define sipImportSymbol             sipAPI_QtDBus->api_import_symbol
#define sipFindType                 sipAPI_QtDBus->api_find_type
#define sipBytes_AsChar             sipAPI_QtDBus->api_bytes_as_char
#define sipBytes_AsString           sipAPI_QtDBus->api_bytes_as_string
#define sipString_AsASCIIChar       sipAPI_QtDBus->api_string_as_ascii_char
#define sipString_AsASCIIString     sipAPI_QtDBus->api_string_as_ascii_string
#define sipString_AsLatin1Char      sipAPI_QtDBus->api_string_as_latin1_char
#define sipString_AsLatin1String    sipAPI_QtDBus->api_string_as_latin1_string
#define sipString_AsUTF8Char        sipAPI_QtDBus->api_string_as_utf8_char
#define sipString_AsUTF8String      sipAPI_QtDBus->api_string_as_utf8_string
#define sipUnicode_AsWChar          sipAPI_QtDBus->api_unicode_as_wchar
#define sipUnicode_AsWString        sipAPI_QtDBus->api_unicode_as_wstring
#define sipConvertFromConstVoidPtr  sipAPI_QtDBus->api_convert_from_const_void_ptr
#define sipConvertFromVoidPtrAndSize    sipAPI_QtDBus->api_convert_from_void_ptr_and_size
#define sipConvertFromConstVoidPtrAndSize   sipAPI_QtDBus->api_convert_from_const_void_ptr_and_size
#define sipWrappedTypeName(wt)      ((wt)->wt_td->td_cname)
#define sipDeprecated               sipAPI_QtDBus->api_deprecated
#define sipGetReference             sipAPI_QtDBus->api_get_reference
#define sipKeepReference            sipAPI_QtDBus->api_keep_reference
#define sipRegisterProxyResolver    sipAPI_QtDBus->api_register_proxy_resolver
#define sipRegisterPyType           sipAPI_QtDBus->api_register_py_type
#define sipTypeFromPyTypeObject     sipAPI_QtDBus->api_type_from_py_type_object
#define sipTypeScope                sipAPI_QtDBus->api_type_scope
#define sipResolveTypedef           sipAPI_QtDBus->api_resolve_typedef
#define sipRegisterAttributeGetter  sipAPI_QtDBus->api_register_attribute_getter
#define sipEnableAutoconversion     sipAPI_QtDBus->api_enable_autoconversion
#define sipInitMixin                sipAPI_QtDBus->api_init_mixin
#define sipExportModule             sipAPI_QtDBus->api_export_module
#define sipInitModule               sipAPI_QtDBus->api_init_module
#define sipGetInterpreter           sipAPI_QtDBus->api_get_interpreter
#define sipSetTypeUserData          sipAPI_QtDBus->api_set_type_user_data
#define sipGetTypeUserData          sipAPI_QtDBus->api_get_type_user_data
#define sipPyTypeDict               sipAPI_QtDBus->api_py_type_dict
#define sipPyTypeName               sipAPI_QtDBus->api_py_type_name
#define sipGetCFunction             sipAPI_QtDBus->api_get_c_function
#define sipGetMethod                sipAPI_QtDBus->api_get_method
#define sipFromMethod               sipAPI_QtDBus->api_from_method
#define sipGetDate                  sipAPI_QtDBus->api_get_date
#define sipFromDate                 sipAPI_QtDBus->api_from_date
#define sipGetDateTime              sipAPI_QtDBus->api_get_datetime
#define sipFromDateTime             sipAPI_QtDBus->api_from_datetime
#define sipGetTime                  sipAPI_QtDBus->api_get_time
#define sipFromTime                 sipAPI_QtDBus->api_from_time
#define sipIsUserType               sipAPI_QtDBus->api_is_user_type
#define sipCheckPluginForType       sipAPI_QtDBus->api_check_plugin_for_type
#define sipUnicodeNew               sipAPI_QtDBus->api_unicode_new
#define sipUnicodeWrite             sipAPI_QtDBus->api_unicode_write
#define sipUnicodeData              sipAPI_QtDBus->api_unicode_data
#define sipGetBufferInfo            sipAPI_QtDBus->api_get_buffer_info
#define sipReleaseBufferInfo        sipAPI_QtDBus->api_release_buffer_info
#define sipIsOwnedByPython          sipAPI_QtDBus->api_is_owned_by_python
#define sipIsDerivedClass           sipAPI_QtDBus->api_is_derived_class
#define sipGetUserObject            sipAPI_QtDBus->api_get_user_object
#define sipSetUserObject            sipAPI_QtDBus->api_set_user_object
#define sipRegisterEventHandler     sipAPI_QtDBus->api_register_event_handler
#define sipConvertToArray           sipAPI_QtDBus->api_convert_to_array
#define sipConvertToTypedArray      sipAPI_QtDBus->api_convert_to_typed_array
#define sipEnableGC                 sipAPI_QtDBus->api_enable_gc
#define sipPrintObject              sipAPI_QtDBus->api_print_object
#define sipLong_AsChar              sipAPI_QtDBus->api_long_as_char
#define sipLong_AsSignedChar        sipAPI_QtDBus->api_long_as_signed_char
#define sipLong_AsUnsignedChar      sipAPI_QtDBus->api_long_as_unsigned_char
#define sipLong_AsShort             sipAPI_QtDBus->api_long_as_short
#define sipLong_AsUnsignedShort     sipAPI_QtDBus->api_long_as_unsigned_short
#define sipLong_AsInt               sipAPI_QtDBus->api_long_as_int
#define sipLong_AsUnsignedInt       sipAPI_QtDBus->api_long_as_unsigned_int
#define sipLong_AsLong              sipAPI_QtDBus->api_long_as_long
#define sipLong_AsUnsignedLong      sipAPI_QtDBus->api_long_as_unsigned_long
#define sipLong_AsLongLong          sipAPI_QtDBus->api_long_as_long_long
#define sipLong_AsUnsignedLongLong  sipAPI_QtDBus->api_long_as_unsigned_long_long
#define sipLong_AsSizeT             sipAPI_QtDBus->api_long_as_size_t
#define sipVisitWrappers            sipAPI_QtDBus->api_visit_wrappers
#define sipRegisterExitNotifier     sipAPI_QtDBus->api_register_exit_notifier
#define sipNextExceptionHandler     sipAPI_QtDBus->api_next_exception_handler
#define sipIsEnumFlag               sipAPI_QtDBus->api_is_enum_flag
#define sipConvertToTypeUS          sipAPI_QtDBus->api_convert_to_type_us
#define sipForceConvertToTypeUS     sipAPI_QtDBus->api_force_convert_to_type_us
#define sipReleaseTypeUS            sipAPI_QtDBus->api_release_type_us
#define sipIsPyMethod               sipAPI_QtDBus->api_is_py_method_12_8

/* The strings used by this module. */
extern const char sipStrings_QtDBus[];

#define sipType_QDBusAbstractAdaptor sipExportedTypes_QtDBus[2]

extern sipClassTypeDef sipTypeDef_QtDBus_QDBusAbstractAdaptor;

#define sipType_QDBusAbstractInterface sipExportedTypes_QtDBus[3]

extern sipClassTypeDef sipTypeDef_QtDBus_QDBusAbstractInterface;

#define sipType_QDBusArgument sipExportedTypes_QtDBus[4]

extern sipClassTypeDef sipTypeDef_QtDBus_QDBusArgument;

#define sipType_QDBus sipExportedTypes_QtDBus[0]

#define sipType_QDBus_CallMode sipExportedTypes_QtDBus[1]

extern sipClassTypeDef sipTypeDef_QtDBus_QDBus;

#define sipType_QDBusConnection sipExportedTypes_QtDBus[5]

#define sipType_QDBusConnection_ConnectionCapability sipExportedTypes_QtDBus[7]

#define sipType_QDBusConnection_UnregisterMode sipExportedTypes_QtDBus[9]

#define sipType_QDBusConnection_RegisterOption sipExportedTypes_QtDBus[8]

#define sipType_QDBusConnection_BusType sipExportedTypes_QtDBus[6]

extern sipClassTypeDef sipTypeDef_QtDBus_QDBusConnection;

#define sipType_QDBusConnectionInterface sipExportedTypes_QtDBus[10]

#define sipType_QDBusConnectionInterface_RegisterServiceReply sipExportedTypes_QtDBus[11]

#define sipType_QDBusConnectionInterface_ServiceReplacementOptions sipExportedTypes_QtDBus[13]

#define sipType_QDBusConnectionInterface_ServiceQueueOptions sipExportedTypes_QtDBus[12]

extern sipClassTypeDef sipTypeDef_QtDBus_QDBusConnectionInterface;

#define sipType_QDBusError sipExportedTypes_QtDBus[14]

#define sipType_QDBusError_ErrorType sipExportedTypes_QtDBus[15]

extern sipClassTypeDef sipTypeDef_QtDBus_QDBusError;

#define sipType_QDBusObjectPath sipExportedTypes_QtDBus[19]

extern sipClassTypeDef sipTypeDef_QtDBus_QDBusObjectPath;

#define sipType_QDBusSignature sipExportedTypes_QtDBus[30]

extern sipClassTypeDef sipTypeDef_QtDBus_QDBusSignature;

#define sipType_QDBusVariant sipExportedTypes_QtDBus[32]

extern sipClassTypeDef sipTypeDef_QtDBus_QDBusVariant;

#define sipType_QDBusInterface sipExportedTypes_QtDBus[16]

extern sipClassTypeDef sipTypeDef_QtDBus_QDBusInterface;

#define sipType_QDBusMessage sipExportedTypes_QtDBus[17]

#define sipType_QDBusMessage_MessageType sipExportedTypes_QtDBus[18]

extern sipClassTypeDef sipTypeDef_QtDBus_QDBusMessage;

#define sipType_QDBusPendingCall sipExportedTypes_QtDBus[20]

extern sipClassTypeDef sipTypeDef_QtDBus_QDBusPendingCall;

#define sipType_QDBusPendingCallWatcher sipExportedTypes_QtDBus[21]

extern sipClassTypeDef sipTypeDef_QtDBus_QDBusPendingCallWatcher;

#define sipType_QDBusServiceWatcher sipExportedTypes_QtDBus[28]

#define sipType_QDBusServiceWatcher_WatchModeFlag sipExportedTypes_QtDBus[29]

extern sipClassTypeDef sipTypeDef_QtDBus_QDBusServiceWatcher;

#define sipType_QDBusUnixFileDescriptor sipExportedTypes_QtDBus[31]

extern sipClassTypeDef sipTypeDef_QtDBus_QDBusUnixFileDescriptor;

#define sipType_QPyDBusReply sipExportedTypes_QtDBus[37]

extern sipClassTypeDef sipTypeDef_QtDBus_QPyDBusReply;

#define sipType_QPyDBusPendingReply sipExportedTypes_QtDBus[36]

extern sipClassTypeDef sipTypeDef_QtDBus_QPyDBusPendingReply;

#define sipType_QDBusReply_0100QString sipExportedTypes_QtDBus[23]

extern sipMappedTypeDef sipTypeDef_QtDBus_QDBusReply_0100QString;

#define sipType_QDBusReply_0100QStringList sipExportedTypes_QtDBus[24]

extern sipMappedTypeDef sipTypeDef_QtDBus_QDBusReply_0100QStringList;

#define sipType_QFlags_0100QDBusServiceWatcher_WatchModeFlag sipExportedTypes_QtDBus[35]

extern sipMappedTypeDef sipTypeDef_QtDBus_QFlags_0100QDBusServiceWatcher_WatchModeFlag;

#define sipType_QFlags_0100QDBusConnection_RegisterOption sipExportedTypes_QtDBus[34]

extern sipMappedTypeDef sipTypeDef_QtDBus_QFlags_0100QDBusConnection_RegisterOption;

#define sipType_QFlags_0100QDBusConnection_ConnectionCapability sipExportedTypes_QtDBus[33]

extern sipMappedTypeDef sipTypeDef_QtDBus_QFlags_0100QDBusConnection_ConnectionCapability;

#define sipType_QDBusReply_0100QDBusConnectionInterface_RegisterServiceReply sipExportedTypes_QtDBus[22]

extern sipMappedTypeDef sipTypeDef_QtDBus_QDBusReply_0100QDBusConnectionInterface_RegisterServiceReply;

#define sipType_QDBusReply_1900 sipExportedTypes_QtDBus[26]

extern sipMappedTypeDef sipTypeDef_QtDBus_QDBusReply_1900;

#define sipType_QDBusReply_2600 sipExportedTypes_QtDBus[25]

extern sipMappedTypeDef sipTypeDef_QtDBus_QDBusReply_2600;

#define sipType_QDBusReply_0400 sipExportedTypes_QtDBus[27]

extern sipMappedTypeDef sipTypeDef_QtDBus_QDBusReply_0400;

/* The SIP API, this module's API and the APIs of any imported modules. */
extern const sipAPIDef *sipAPI_QtDBus;
extern sipExportedModuleDef sipModuleAPI_QtDBus;
extern sipTypeDef *sipExportedTypes_QtDBus[];

#define sipType_QObject sipImportedTypes_QtDBus_QtCore[6].it_td

#define sipType_QByteArray sipImportedTypes_QtDBus_QtCore[0].it_td

#define sipType_QEvent sipImportedTypes_QtDBus_QtCore[2].it_td

#define sipType_QTimerEvent sipImportedTypes_QtDBus_QtCore[9].it_td

#define sipType_QChildEvent sipImportedTypes_QtDBus_QtCore[1].it_td

#define sipType_QMetaMethod sipImportedTypes_QtDBus_QtCore[4].it_td

#define sipType_QMetaType sipImportedTypes_QtDBus_QtCore[5].it_td

#define sipType_QVariant sipImportedTypes_QtDBus_QtCore[10].it_td

#define sipType_QList_0100QVariant sipImportedTypes_QtDBus_QtCore[3].it_td

#define sipType_QStringList sipImportedTypes_QtDBus_QtCore[8].it_td

#define sipType_QString sipImportedTypes_QtDBus_QtCore[7].it_td
extern sipImportedTypeDef sipImportedTypes_QtDBus_QtCore[];
extern sipImportedVirtErrorHandlerDef sipImportedVirtErrorHandlers_QtDBus_QtCore[];

typedef const QMetaObject *(*sip_qt_metaobject_func)(sipSimpleWrapper *,sipTypeDef *);
extern sip_qt_metaobject_func sip_QtDBus_qt_metaobject;

typedef int (*sip_qt_metacall_func)(sipSimpleWrapper *,sipTypeDef *,QMetaObject::Call,int,void **);
extern sip_qt_metacall_func sip_QtDBus_qt_metacall;

typedef bool (*sip_qt_metacast_func)(sipSimpleWrapper *, const sipTypeDef *, const char *, void **);
extern sip_qt_metacast_func sip_QtDBus_qt_metacast;
#line 199 "/builddir/build/BUILD/PyQt6-6.5.2/sip/QtDBus/qdbusabstractinterface.sip"
#include "qpydbus_api.h"

// Imports from QtCore.
typedef PyObject *(*pyqt6_qtdbus_from_qvariant_by_type_t)(QVariant &, PyObject *);
extern pyqt6_qtdbus_from_qvariant_by_type_t pyqt6_qtdbus_from_qvariant_by_type;

typedef sipErrorState (*pyqt6_qtdbus_get_pyqtslot_parts_t)(PyObject *, QObject **, QByteArray &);
extern pyqt6_qtdbus_get_pyqtslot_parts_t pyqt6_qtdbus_get_pyqtslot_parts;
#line 869 "/builddir/build/BUILD/PyQt6-6.5.2/build/QtDBus/sipAPIQtDBus.h"

#endif
