/*
 * Internal module API header file.
 *
 * Generated by SIP 6.7.9
 *
 * Copyright (c) 2023 Riverbank Computing Limited <info@riverbankcomputing.com>
 * 
 * This file is part of PyQt6.
 * 
 * This file may be used under the terms of the GNU General Public License
 * version 3.0 as published by the Free Software Foundation and appearing in
 * the file LICENSE included in the packaging of this file.  Please review the
 * following information to ensure the GNU General Public License version 3.0
 * requirements will be met: http://www.gnu.org/copyleft/gpl.html.
 * 
 * If you do not wish to use this file under the terms of the GPL version 3.0
 * then you may purchase a commercial license.  For more information contact
 * info@riverbankcomputing.com.
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef _QtNetworkAPI_H
#define _QtNetworkAPI_H

#if !defined(Py_LIMITED_API)
#define Py_LIMITED_API
#endif

#include "sip.h"

#include <QMetaType>
#include <QThread>

/* These are the qualifiers that are enabled. */
#define SIP_FEATURE_PyQt_DTLS
#define SIP_FEATURE_PyQt_WebChannel
#define SIP_FEATURE_PyQt_Process
#define SIP_FEATURE_PyQt_OpenGL_ES2
#define SIP_FEATURE_PyQt_OpenGL
#define SIP_FEATURE_PyQt_RawFont
#define SIP_FEATURE_PyQt_PrintPreviewDialog
#define SIP_FEATURE_PyQt_PrintPreviewWidget
#define SIP_FEATURE_PyQt_Printer
#define SIP_FEATURE_PyQt_PrintDialog
#define SIP_FEATURE_PyQt_qreal_double
#define SIP_FEATURE_PyQt_SSL
#define SIP_FEATURE_PyQt_SessionManager
#define SIP_FEATURE_PyQt_Accessibility
#define SIP_PLATFORM_Linux
#define SIP_TIMELINE_Qt_6_5_0


/*
 * Convenient names to refer to various strings defined in this module.
 * Only the class names are part of the public API.
 */
#define sipNameNr_0 0
#define sipName_0 &sipStrings_QtNetwork[0]
#define sipNameNr_QSslConfiguration__NextProtocolNegotiationStatus 50
#define sipName_QSslConfiguration__NextProtocolNegotiationStatus &sipStrings_QtNetwork[50]
#define sipNameNr_ConnectionCacheExpiryTimeoutSecondsAttribute 99
#define sipName_ConnectionCacheExpiryTimeoutSecondsAttribute &sipStrings_QtNetwork[99]
#define sipNameNr_144 144
#define sipName_144 &sipStrings_QtNetwork[144]
#define sipNameNr_QNetworkAddressEntry__DnsEligibilityStatus 187
#define sipName_QNetworkAddressEntry__DnsEligibilityStatus &sipStrings_QtNetwork[187]
#define sipNameNr_230 230
#define sipName_230 &sipStrings_QtNetwork[230]
#define sipNameNr_271 271
#define sipName_271 &sipStrings_QtNetwork[271]
#define sipNameNr_312 312
#define sipName_312 &sipStrings_QtNetwork[312]
#define sipNameNr_QNetworkRequest__TransferTimeoutConstant 353
#define sipName_QNetworkRequest__TransferTimeoutConstant &sipStrings_QtNetwork[353]
#define sipNameNr_SslOptionDisableServerCipherPreference 394
#define sipName_SslOptionDisableServerCipherPreference &sipStrings_QtNetwork[394]
#define sipNameNr_EmitAllUploadProgressSignalsAttribute 433
#define sipName_EmitAllUploadProgressSignalsAttribute &sipStrings_QtNetwork[433]
#define sipNameNr_QAbstractSocket__NetworkLayerProtocol 471
#define sipName_QAbstractSocket__NetworkLayerProtocol &sipStrings_QtNetwork[471]
#define sipNameNr_isStrictTransportSecurityStoreEnabled 509
#define sipName_isStrictTransportSecurityStoreEnabled &sipStrings_QtNetwork[509]
#define sipNameNr_547 547
#define sipName_547 &sipStrings_QtNetwork[547]
#define sipNameNr_QNetworkInformation__TransportMedium 584
#define sipName_QNetworkInformation__TransportMedium &sipStrings_QtNetwork[584]
#define sipNameNr_SslOptionDisableServerNameIndication 621
#define sipName_SslOptionDisableServerNameIndication &sipStrings_QtNetwork[621]
#define sipNameNr_AuthorityIssuerSerialNumberMismatch 658
#define sipName_AuthorityIssuerSerialNumberMismatch &sipStrings_QtNetwork[658]
#define sipNameNr_SslOptionDisableLegacyRenegotiation 694
#define sipName_SslOptionDisableLegacyRenegotiation &sipStrings_QtNetwork[694]
#define sipNameNr_UnableToDecryptCertificateSignature 730
#define sipName_UnableToDecryptCertificateSignature &sipStrings_QtNetwork[730]
#define sipNameNr_setDecompressedSafetyCheckThreshold 766
#define sipName_setDecompressedSafetyCheckThreshold &sipStrings_QtNetwork[766]
#define sipNameNr_NextProtocolNegotiationUnsupported 802
#define sipName_NextProtocolNegotiationUnsupported &sipStrings_QtNetwork[802]
#define sipNameNr_837 837
#define sipName_837 &sipStrings_QtNetwork[837]
#define sipNameNr_872 872
#define sipName_872 &sipStrings_QtNetwork[872]
#define sipNameNr_907 907
#define sipName_907 &sipStrings_QtNetwork[907]
#define sipNameNr_QSslDiffieHellmanParameters__Error 942
#define sipName_QSslDiffieHellmanParameters__Error &sipStrings_QtNetwork[942]
#define sipNameNr_SslOptionDisableSessionPersistence 977
#define sipName_SslOptionDisableSessionPersistence &sipStrings_QtNetwork[977]
#define sipNameNr_enableStrictTransportSecurityStore 1012
#define sipName_enableStrictTransportSecurityStore &sipStrings_QtNetwork[1012]
#define sipNameNr_preSharedKeyAuthenticationRequired 1047
#define sipName_preSharedKeyAuthenticationRequired &sipStrings_QtNetwork[1047]
#define sipNameNr_ContentOperationNotPermittedError 1082
#define sipName_ContentOperationNotPermittedError &sipStrings_QtNetwork[1082]
#define sipNameNr_NextProtocolNegotiationNegotiated 1116
#define sipName_NextProtocolNegotiationNegotiated &sipStrings_QtNetwork[1116]
#define sipNameNr_1150 1150
#define sipName_1150 &sipStrings_QtNetwork[1150]
#define sipNameNr_1184 1184
#define sipName_1184 &sipStrings_QtNetwork[1184]
#define sipNameNr_QNetworkInformation__Reachability 1218
#define sipName_QNetworkInformation__Reachability &sipStrings_QtNetwork[1218]
#define sipNameNr_QNetworkRequest__CacheLoadControl 1252
#define sipName_QNetworkRequest__CacheLoadControl &sipStrings_QtNetwork[1252]
#define sipNameNr_UnableToGetLocalIssuerCertificate 1286
#define sipName_UnableToGetLocalIssuerCertificate &sipStrings_QtNetwork[1286]
#define sipNameNr_setSslConfigurationImplementation 1320
#define sipName_setSslConfigurationImplementation &sipStrings_QtNetwork[1320]
#define sipNameNr_setStrictTransportSecurityEnabled 1354
#define sipName_setStrictTransportSecurityEnabled &sipStrings_QtNetwork[1354]
#define sipNameNr_AutoDeleteReplyOnFinishAttribute 1388
#define sipName_AutoDeleteReplyOnFinishAttribute &sipStrings_QtNetwork[1388]
#define sipNameNr_BackgroundRequestNotAllowedError 1421
#define sipName_BackgroundRequestNotAllowedError &sipStrings_QtNetwork[1421]
#define sipNameNr_ProxyAuthenticationRequiredError 1454
#define sipName_ProxyAuthenticationRequiredError &sipStrings_QtNetwork[1454]
#define sipNameNr_QHostAddress__ConversionModeFlag 1487
#define sipName_QHostAddress__ConversionModeFlag &sipStrings_QtNetwork[1487]
#define sipNameNr_QNetworkAccessManager__Operation 1520
#define sipName_QNetworkAccessManager__Operation &sipStrings_QtNetwork[1520]
#define sipNameNr_QNetworkInterface__InterfaceFlag 1553
#define sipName_QNetworkInterface__InterfaceFlag &sipStrings_QtNetwork[1553]
#define sipNameNr_QNetworkInterface__InterfaceType 1586
#define sipName_QNetworkInterface__InterfaceType &sipStrings_QtNetwork[1586]
#define sipNameNr_decompressedSafetyCheckThreshold 1619
#define sipName_decompressedSafetyCheckThreshold &sipStrings_QtNetwork[1619]
#define sipNameNr_isStrictTransportSecurityEnabled 1652
#define sipName_isStrictTransportSecurityEnabled &sipStrings_QtNetwork[1652]
#define sipNameNr_setDtlsCookieVerificationEnabled 1685
#define sipName_setDtlsCookieVerificationEnabled &sipStrings_QtNetwork[1685]
#define sipNameNr_setHandshakeMustInterruptOnError 1718
#define sipName_setHandshakeMustInterruptOnError &sipStrings_QtNetwork[1718]
#define sipNameNr_1751 1751
#define sipName_1751 &sipStrings_QtNetwork[1751]
#define sipNameNr_1784 1784
#define sipName_1784 &sipStrings_QtNetwork[1784]
#define sipNameNr_1816 1816
#define sipName_1816 &sipStrings_QtNetwork[1816]
#define sipNameNr_QNetworkRequest__RedirectPolicy 1848
#define sipName_QNetworkRequest__RedirectPolicy &sipStrings_QtNetwork[1848]
#define sipNameNr_UnsupportedSocketOperationError 1880
#define sipName_UnsupportedSocketOperationError &sipStrings_QtNetwork[1880]
#define sipNameNr_addStrictTransportSecurityHosts 1912
#define sipName_addStrictTransportSecurityHosts &sipStrings_QtNetwork[1912]
#define sipNameNr_DefaultTransferTimeoutConstant 1944
#define sipName_DefaultTransferTimeoutConstant &sipStrings_QtNetwork[1944]
#define sipNameNr_DoNotBufferUploadDataAttribute 1975
#define sipName_DoNotBufferUploadDataAttribute &sipStrings_QtNetwork[1975]
#define sipNameNr_Http2CleartextAllowedAttribute 2006
#define sipName_Http2CleartextAllowedAttribute &sipStrings_QtNetwork[2006]
#define sipNameNr_HttpPipeliningAllowedAttribute 2037
#define sipName_HttpPipeliningAllowedAttribute &sipStrings_QtNetwork[2037]
#define sipNameNr_HttpPipeliningWasUsedAttribute 2068
#define sipName_HttpPipeliningWasUsedAttribute &sipStrings_QtNetwork[2068]
#define sipNameNr_OriginalContentLengthAttribute 2099
#define sipName_OriginalContentLengthAttribute &sipStrings_QtNetwork[2099]
#define sipNameNr_QLocalSocket__LocalSocketError 2130
#define sipName_QLocalSocket__LocalSocketError &sipStrings_QtNetwork[2130]
#define sipNameNr_QLocalSocket__LocalSocketState 2161
#define sipName_QLocalSocket__LocalSocketState &sipStrings_QtNetwork[2161]
#define sipNameNr_QSsl__AlternativeNameEntryType 2192
#define sipName_QSsl__AlternativeNameEntryType &sipStrings_QtNetwork[2192]
#define sipNameNr_QSslCertificate__PatternSyntax 2223
#define sipName_QSslCertificate__PatternSyntax &sipStrings_QtNetwork[2223]
#define sipNameNr_SocketAddressNotAvailableError 2254
#define sipName_SocketAddressNotAvailableError &sipStrings_QtNetwork[2254]
#define sipNameNr_SslOptionDisableEmptyFragments 2285
#define sipName_SslOptionDisableEmptyFragments &sipStrings_QtNetwork[2285]
#define sipNameNr_SslOptionDisableSessionSharing 2316
#define sipName_SslOptionDisableSessionSharing &sipStrings_QtNetwork[2316]
#define sipNameNr_SslOptionDisableSessionTickets 2347
#define sipName_SslOptionDisableSessionTickets &sipStrings_QtNetwork[2347]
#define sipNameNr_UnableToVerifyFirstCertificate 2378
#define sipName_UnableToVerifyFirstCertificate &sipStrings_QtNetwork[2378]
#define sipNameNr_UnfinishedSocketOperationError 2409
#define sipName_UnfinishedSocketOperationError &sipStrings_QtNetwork[2409]
#define sipNameNr_sslConfigurationImplementation 2440
#define sipName_sslConfigurationImplementation &sipStrings_QtNetwork[2440]
#define sipNameNr_supportedSchemesImplementation 2471
#define sipName_supportedSchemesImplementation &sipStrings_QtNetwork[2471]
#define sipNameNr_NextProtocolNegotiationStatus 69
#define sipName_NextProtocolNegotiationStatus &sipStrings_QtNetwork[69]
#define sipNameNr_ProtocolInvalidOperationError 2502
#define sipName_ProtocolInvalidOperationError &sipStrings_QtNetwork[2502]
#define sipNameNr_QAbstractSocket__SocketOption 2532
#define sipName_QAbstractSocket__SocketOption &sipStrings_QtNetwork[2532]
#define sipNameNr_2562 2562
#define sipName_2562 &sipStrings_QtNetwork[2562]
#define sipNameNr_2592 2592
#define sipName_2592 &sipStrings_QtNetwork[2592]
#define sipNameNr_2622 2622
#define sipName_2622 &sipStrings_QtNetwork[2622]
#define sipNameNr_QNetworkProxyQuery__QueryType 2652
#define sipName_QNetworkProxyQuery__QueryType &sipStrings_QtNetwork[2652]
#define sipNameNr_QNetworkRequest__KnownHeaders 2682
#define sipName_QNetworkRequest__KnownHeaders &sipStrings_QtNetwork[2682]
#define sipNameNr_QSslPreSharedKeyAuthenticator 2712
#define sipName_QSslPreSharedKeyAuthenticator &sipStrings_QtNetwork[2712]
#define sipNameNr_ReceiveBufferSizeSocketOption 2742
#define sipName_ReceiveBufferSizeSocketOption &sipStrings_QtNetwork[2742]
#define sipNameNr_UnableToDecodeIssuerPublicKey 2772
#define sipName_UnableToDecodeIssuerPublicKey &sipStrings_QtNetwork[2772]
#define sipNameNr_dtlsCookieVerificationEnabled 2802
#define sipName_dtlsCookieVerificationEnabled &sipStrings_QtNetwork[2802]
#define sipNameNr_handshakeMustInterruptOnError 2832
#define sipName_handshakeMustInterruptOnError &sipStrings_QtNetwork[2832]
#define sipNameNr_ignoreSslErrorsImplementation 2862
#define sipName_ignoreSslErrorsImplementation &sipStrings_QtNetwork[2862]
#define sipNameNr_nextProtocolNegotiationStatus 2892
#define sipName_nextProtocolNegotiationStatus &sipStrings_QtNetwork[2892]
#define sipNameNr_setBackendConfigurationOption 2922
#define sipName_setBackendConfigurationOption &sipStrings_QtNetwork[2922]
#define sipNameNr_setNumberOfConnectionsPerHost 2952
#define sipName_setNumberOfConnectionsPerHost &sipStrings_QtNetwork[2952]
#define sipNameNr_AuthenticationReuseAttribute 2982
#define sipName_AuthenticationReuseAttribute &sipStrings_QtNetwork[2982]
#define sipNameNr_BadCertificateStatusResponse 3011
#define sipName_BadCertificateStatusResponse &sipStrings_QtNetwork[3011]
#define sipNameNr_ConnectionEncryptedAttribute 3040
#define sipName_ConnectionEncryptedAttribute &sipStrings_QtNetwork[3040]
#define sipNameNr_OperationNotImplementedError 3069
#define sipName_OperationNotImplementedError &sipStrings_QtNetwork[3069]
#define sipNameNr_QAbstractSocket__SocketError 3098
#define sipName_QAbstractSocket__SocketError &sipStrings_QtNetwork[3098]
#define sipNameNr_QAbstractSocket__SocketState 3127
#define sipName_QAbstractSocket__SocketState &sipStrings_QtNetwork[3127]
#define sipNameNr_QHostAddress__SpecialAddress 3156
#define sipName_QHostAddress__SpecialAddress &sipStrings_QtNetwork[3156]
#define sipNameNr_3185 3185
#define sipName_3185 &sipStrings_QtNetwork[3185]
#define sipNameNr_QNetworkInformation__Feature 3214
#define sipName_QNetworkInformation__Feature &sipStrings_QtNetwork[3214]
#define sipNameNr_QNetworkRequest__LoadControl 3243
#define sipName_QNetworkRequest__LoadControl &sipStrings_QtNetwork[3243]
#define sipNameNr_QSslCertificate__SubjectInfo 3272
#define sipName_QSslCertificate__SubjectInfo &sipStrings_QtNetwork[3272]
#define sipNameNr_SelfSignedCertificateInChain 3301
#define sipName_SelfSignedCertificateInChain &sipStrings_QtNetwork[3301]
#define sipNameNr_TemporaryNetworkFailureError 3330
#define sipName_TemporaryNetworkFailureError &sipStrings_QtNetwork[3330]
#define sipNameNr_UnableToGetIssuerCertificate 3359
#define sipName_UnableToGetIssuerCertificate &sipStrings_QtNetwork[3359]
#define sipNameNr_continueInterruptedHandshake 3388
#define sipName_continueInterruptedHandshake &sipStrings_QtNetwork[3388]
#define sipNameNr_isBehindCaptivePortalChanged 3417
#define sipName_isBehindCaptivePortalChanged &sipStrings_QtNetwork[3417]
#define sipNameNr_setHuffmanCompressionEnabled 3446
#define sipName_setHuffmanCompressionEnabled &sipStrings_QtNetwork[3446]
#define sipNameNr_setMissingCertificateIsFatal 3475
#define sipName_setMissingCertificateIsFatal &sipStrings_QtNetwork[3475]
#define sipNameNr_sslLibraryBuildVersionNumber 3504
#define sipName_sslLibraryBuildVersionNumber &sipStrings_QtNetwork[3504]
#define sipNameNr_sslLibraryBuildVersionString 3533
#define sipName_sslLibraryBuildVersionString &sipStrings_QtNetwork[3533]
#define sipNameNr_strictTransportSecurityHosts 3562
#define sipName_strictTransportSecurityHosts &sipStrings_QtNetwork[3562]
#define sipNameNr_AuthenticationRequiredError 1459
#define sipName_AuthenticationRequiredError &sipStrings_QtNetwork[1459]
#define sipNameNr_NextProtocolNegotiationNone 3591
#define sipName_NextProtocolNegotiationNone &sipStrings_QtNetwork[3591]
#define sipNameNr_OcspResponseCannotBeTrusted 3619
#define sipName_OcspResponseCannotBeTrusted &sipStrings_QtNetwork[3619]
#define sipNameNr_ProxyConnectionRefusedError 3647
#define sipName_ProxyConnectionRefusedError &sipStrings_QtNetwork[3647]
#define sipNameNr_ProxyConnectionTimeoutError 3675
#define sipName_ProxyConnectionTimeoutError &sipStrings_QtNetwork[3675]
#define sipNameNr_QAbstractSocket__SocketType 3703
#define sipName_QAbstractSocket__SocketType &sipStrings_QtNetwork[3703]
#define sipNameNr_QHttpMultiPart__ContentType 3731
#define sipName_QHttpMultiPart__ContentType &sipStrings_QtNetwork[3731]
#define sipNameNr_3759 3759
#define sipName_3759 &sipStrings_QtNetwork[3759]
#define sipNameNr_3787 3787
#define sipName_3787 &sipStrings_QtNetwork[3787]
#define sipNameNr_QNetworkReply__NetworkError 3815
#define sipName_QNetworkReply__NetworkError &sipStrings_QtNetwork[3815]
#define sipNameNr_QSslDiffieHellmanParameters 3843
#define sipName_QSslDiffieHellmanParameters &sipStrings_QtNetwork[3843]
#define sipNameNr_SslOptionDisableCompression 3871
#define sipName_SslOptionDisableCompression &sipStrings_QtNetwork[3871]
#define sipNameNr_UnknownNetworkLayerProtocol 3899
#define sipName_UnknownNetworkLayerProtocol &sipStrings_QtNetwork[3899]
#define sipNameNr_handshakeInterruptedOnError 3927
#define sipName_handshakeInterruptedOnError &sipStrings_QtNetwork[3927]
#define sipNameNr_proxyAuthenticationRequired 3955
#define sipName_proxyAuthenticationRequired &sipStrings_QtNetwork[3955]
#define sipNameNr_setDefaultDtlsConfiguration 3983
#define sipName_setDefaultDtlsConfiguration &sipStrings_QtNetwork[3983]
#define sipNameNr_setPreSharedKeyIdentityHint 4011
#define sipName_setPreSharedKeyIdentityHint &sipStrings_QtNetwork[4011]
#define sipNameNr_setSessionReceiveWindowSize 4039
#define sipName_setSessionReceiveWindowSize &sipStrings_QtNetwork[4039]
#define sipNameNr_4067 4067
#define sipName_4067 &sipStrings_QtNetwork[4067]
#define sipNameNr_BackgroundRequestAttribute 4095
#define sipName_BackgroundRequestAttribute &sipStrings_QtNetwork[4095]
#define sipNameNr_CertificateSignatureFailed 4122
#define sipName_CertificateSignatureFailed &sipStrings_QtNetwork[4122]
#define sipNameNr_CookieLoadControlAttribute 4149
#define sipName_CookieLoadControlAttribute &sipStrings_QtNetwork[4149]
#define sipNameNr_CookieSaveControlAttribute 4176
#define sipName_CookieSaveControlAttribute &sipStrings_QtNetwork[4176]
#define sipNameNr_DistinguishedNameQualifier 4203
#define sipName_DistinguishedNameQualifier &sipStrings_QtNetwork[4203]
#define sipNameNr_ProxyConnectionClosedError 4230
#define sipName_ProxyConnectionClosedError &sipStrings_QtNetwork[4230]
#define sipNameNr_QAbstractSocket__PauseMode 4257
#define sipName_QAbstractSocket__PauseMode &sipStrings_QtNetwork[4257]
#define sipNameNr_QLocalServer__SocketOption 4284
#define sipName_QLocalServer__SocketOption &sipStrings_QtNetwork[4284]
#define sipNameNr_QLocalSocket__SocketOption 4311
#define sipName_QLocalSocket__SocketOption &sipStrings_QtNetwork[4311]
#define sipNameNr_QNetworkRequest__Attribute 4338
#define sipName_QNetworkRequest__Attribute &sipStrings_QtNetwork[4338]
#define sipNameNr_QSslSocket__PeerVerifyMode 4365
#define sipName_QSslSocket__PeerVerifyMode &sipStrings_QtNetwork[4365]
#define sipNameNr_RedirectionTargetAttribute 4392
#define sipName_RedirectionTargetAttribute &sipStrings_QtNetwork[4392]
#define sipNameNr_SendBufferSizeSocketOption 4419
#define sipName_SendBufferSizeSocketOption &sipStrings_QtNetwork[4419]
#define sipNameNr_SourceIsFromCacheAttribute 4446
#define sipName_SourceIsFromCacheAttribute &sipStrings_QtNetwork[4446]
#define sipNameNr_UserVerifiedRedirectPolicy 4473
#define sipName_UserVerifiedRedirectPolicy &sipStrings_QtNetwork[4473]
#define sipNameNr_numberOfConnectionsPerHost 4500
#define sipName_numberOfConnectionsPerHost &sipStrings_QtNetwork[4500]
#define sipNameNr_pendingConnectionAvailable 4527
#define sipName_pendingConnectionAvailable &sipStrings_QtNetwork[4527]
#define sipNameNr_setApplicationProxyFactory 4554
#define sipName_setApplicationProxyFactory &sipStrings_QtNetwork[4554]
#define sipNameNr_setDiffieHellmanParameters 4581
#define sipName_setDiffieHellmanParameters &sipStrings_QtNetwork[4581]
#define sipNameNr_setMaximumRedirectsAllowed 4608
#define sipName_setMaximumRedirectsAllowed &sipStrings_QtNetwork[4608]
#define sipNameNr_setStreamReceiveWindowSize 4635
#define sipName_setStreamReceiveWindowSize &sipStrings_QtNetwork[4635]
#define sipNameNr_startedEncryptionHandshake 4662
#define sipName_startedEncryptionHandshake &sipStrings_QtNetwork[4662]
#define sipNameNr_CacheLoadControlAttribute 4689
#define sipName_CacheLoadControlAttribute &sipStrings_QtNetwork[4689]
#define sipNameNr_CacheSaveControlAttribute 4715
#define sipName_CacheSaveControlAttribute &sipStrings_QtNetwork[4715]
#define sipNameNr_ConvertUnspecifiedAddress 4741
#define sipName_ConvertUnspecifiedAddress &sipStrings_QtNetwork[4741]
#define sipNameNr_HttpReasonPhraseAttribute 4767
#define sipName_HttpReasonPhraseAttribute &sipStrings_QtNetwork[4767]
#define sipNameNr_NetworkSessionFailedError 4793
#define sipName_NetworkSessionFailedError &sipStrings_QtNetwork[4793]
#define sipNameNr_OcspResponseCertIdUnknown 4819
#define sipName_OcspResponseCertIdUnknown &sipStrings_QtNetwork[4819]
#define sipNameNr_QAbstractSocket__BindFlag 4845
#define sipName_QAbstractSocket__BindFlag &sipStrings_QtNetwork[4845]
#define sipNameNr_4871 4871
#define sipName_4871 &sipStrings_QtNetwork[4871]
#define sipNameNr_QNetworkProxy__Capability 4897
#define sipName_QNetworkProxy__Capability &sipStrings_QtNetwork[4897]
#define sipNameNr_QNetworkRequest__Priority 4923
#define sipName_QNetworkRequest__Priority &sipStrings_QtNetwork[4923]
#define sipNameNr_huffmanCompressionEnabled 4949
#define sipName_huffmanCompressionEnabled &sipStrings_QtNetwork[4949]
#define sipNameNr_maximumPreSharedKeyLength 4975
#define sipName_maximumPreSharedKeyLength &sipStrings_QtNetwork[4975]
#define sipNameNr_missingCertificateIsFatal 5001
#define sipName_missingCertificateIsFatal &sipStrings_QtNetwork[5001]
#define sipNameNr_sessionTicketLifeTimeHint 5027
#define sipName_sessionTicketLifeTimeHint &sipStrings_QtNetwork[5027]
#define sipNameNr_setUseSystemConfiguration 5053
#define sipName_setUseSystemConfiguration &sipStrings_QtNetwork[5053]
#define sipNameNr_AlternativeNameEntryType 2198
#define sipName_AlternativeNameEntryType &sipStrings_QtNetwork[2198]
#define sipNameNr_CertificateStatusUnknown 5079
#define sipName_CertificateStatusUnknown &sipStrings_QtNetwork[5079]
#define sipNameNr_ContentDispositionHeader 5104
#define sipName_ContentDispositionHeader &sipStrings_QtNetwork[5104]
#define sipNameNr_HostNameLookupCapability 5129
#define sipName_HostNameLookupCapability &sipStrings_QtNetwork[5129]
#define sipNameNr_NoLessSafeRedirectPolicy 5154
#define sipName_NoLessSafeRedirectPolicy &sipStrings_QtNetwork[5154]
#define sipNameNr_QHostInfo__HostInfoError 5179
#define sipName_QHostInfo__HostInfoError &sipStrings_QtNetwork[5179]
#define sipNameNr_5204 5204
#define sipName_5204 &sipStrings_QtNetwork[5204]
#define sipNameNr_5229 5229
#define sipName_5229 &sipStrings_QtNetwork[5229]
#define sipNameNr_5254 5254
#define sipName_5254 &sipStrings_QtNetwork[5254]
#define sipNameNr_5279 5279
#define sipName_5279 &sipStrings_QtNetwork[5279]
#define sipNameNr_QNetworkCookie__SameSite 5304
#define sipName_QNetworkCookie__SameSite &sipStrings_QtNetwork[5304]
#define sipNameNr_QNetworkProxy__ProxyType 5329
#define sipName_QNetworkProxy__ProxyType &sipStrings_QtNetwork[5329]
#define sipNameNr_QSslCertificateExtension 5354
#define sipName_QSslCertificateExtension &sipStrings_QtNetwork[5354]
#define sipNameNr_SameOriginRedirectPolicy 5379
#define sipName_SameOriginRedirectPolicy &sipStrings_QtNetwork[5379]
#define sipNameNr_defaultDtlsConfiguration 5404
#define sipName_defaultDtlsConfiguration &sipStrings_QtNetwork[5404]
#define sipNameNr_newSessionTicketReceived 5429
#define sipName_newSessionTicketReceived &sipStrings_QtNetwork[5429]
#define sipNameNr_preSharedKeyIdentityHint 5454
#define sipName_preSharedKeyIdentityHint &sipStrings_QtNetwork[5454]
#define sipNameNr_sessionReceiveWindowSize 5479
#define sipName_sessionReceiveWindowSize &sipStrings_QtNetwork[5479]
#define sipNameNr_setLocalCertificateChain 5504
#define sipName_setLocalCertificateChain &sipStrings_QtNetwork[5504]
#define sipNameNr_setMaxPendingConnections 5529
#define sipName_setMaxPendingConnections &sipStrings_QtNetwork[5529]
#define sipNameNr_AbstractNamespaceOption 5554
#define sipName_AbstractNamespaceOption &sipStrings_QtNetwork[5554]
#define sipNameNr_BadCertificateHashValue 5578
#define sipName_BadCertificateHashValue &sipStrings_QtNetwork[5578]
#define sipNameNr_CertificateUnobtainable 5602
#define sipName_CertificateUnobtainable &sipStrings_QtNetwork[5602]
#define sipNameNr_CertificateVerification 5626
#define sipName_CertificateVerification &sipStrings_QtNetwork[5626]
#define sipNameNr_HttpStatusCodeAttribute 5650
#define sipName_HttpStatusCodeAttribute &sipStrings_QtNetwork[5650]
#define sipNameNr_MulticastLoopbackOption 5674
#define sipName_MulticastLoopbackOption &sipStrings_QtNetwork[5674]
#define sipNameNr_OperationCancelledError 5698
#define sipName_OperationCancelledError &sipStrings_QtNetwork[5698]
#define sipNameNr_PyQt6_sip_simplewrapper 5722
#define sipName_PyQt6_sip_simplewrapper &sipStrings_QtNetwork[5722]
#define sipNameNr_5746 5746
#define sipName_5746 &sipStrings_QtNetwork[5746]
#define sipNameNr_QHstsPolicy__PolicyFlag 5770
#define sipName_QHstsPolicy__PolicyFlag &sipStrings_QtNetwork[5770]
#define sipNameNr_QNetworkCookie__RawForm 5794
#define sipName_QNetworkCookie__RawForm &sipStrings_QtNetwork[5794]
#define sipNameNr_RedirectPolicyAttribute 5818
#define sipName_RedirectPolicyAttribute &sipStrings_QtNetwork[5818]
#define sipNameNr_SctpListeningCapability 5842
#define sipName_SctpListeningCapability &sipStrings_QtNetwork[5842]
#define sipNameNr_SctpTunnelingCapability 5866
#define sipName_SctpTunnelingCapability &sipStrings_QtNetwork[5866]
#define sipNameNr_ServiceUnavailableError 5890
#define sipName_ServiceUnavailableError &sipStrings_QtNetwork[5890]
#define sipNameNr_SslHandshakeFailedError 5914
#define sipName_SslHandshakeFailedError &sipStrings_QtNetwork[5914]
#define sipNameNr_SslInvalidUserDataError 5938
#define sipName_SslInvalidUserDataError &sipStrings_QtNetwork[5938]
#define sipNameNr_TransferTimeoutConstant 370
#define sipName_TransferTimeoutConstant &sipStrings_QtNetwork[370]
#define sipNameNr_UseCredentialsAttribute 5962
#define sipName_UseCredentialsAttribute &sipStrings_QtNetwork[5962]
#define sipNameNr_diffieHellmanParameters 5986
#define sipName_diffieHellmanParameters &sipStrings_QtNetwork[5986]
#define sipNameNr_encryptedBytesAvailable 6010
#define sipName_encryptedBytesAvailable &sipStrings_QtNetwork[6010]
#define sipNameNr_maximumRedirectsAllowed 6034
#define sipName_maximumRedirectsAllowed &sipStrings_QtNetwork[6034]
#define sipNameNr_maximumTransmissionUnit 6058
#define sipName_maximumTransmissionUnit &sipStrings_QtNetwork[6058]
#define sipNameNr_setAllowedNextProtocols 6082
#define sipName_setAllowedNextProtocols &sipStrings_QtNetwork[6082]
#define sipNameNr_setBackendConfiguration 6106
#define sipName_setBackendConfiguration &sipStrings_QtNetwork[6106]
#define sipNameNr_setDefaultConfiguration 6130
#define sipName_setDefaultConfiguration &sipStrings_QtNetwork[6130]
#define sipNameNr_socketStartedConnecting 6154
#define sipName_socketStartedConnecting &sipStrings_QtNetwork[6154]
#define sipNameNr_sslLibraryVersionNumber 6178
#define sipName_sslLibraryVersionNumber &sipStrings_QtNetwork[6178]
#define sipNameNr_sslLibraryVersionString 6202
#define sipName_sslLibraryVersionString &sipStrings_QtNetwork[6202]
#define sipNameNr_streamReceiveWindowSize 6226
#define sipName_streamReceiveWindowSize &sipStrings_QtNetwork[6226]
#define sipNameNr_subjectAlternativeNames 6250
#define sipName_subjectAlternativeNames &sipStrings_QtNetwork[6250]
#define sipNameNr_supportedEllipticCurves 6274
#define sipName_supportedEllipticCurves &sipStrings_QtNetwork[6274]
#define sipNameNr_usesSystemConfiguration 6298
#define sipName_usesSystemConfiguration &sipStrings_QtNetwork[6298]
#define sipNameNr_CertificateBlacklisted 6322
#define sipName_CertificateBlacklisted &sipStrings_QtNetwork[6322]
#define sipNameNr_CertificateNotYetValid 6345
#define sipName_CertificateNotYetValid &sipStrings_QtNetwork[6345]
#define sipNameNr_ConnectionRefusedError 3652
#define sipName_ConnectionRefusedError &sipStrings_QtNetwork[3652]
#define sipNameNr_OperationCanceledError 6368
#define sipName_OperationCanceledError &sipStrings_QtNetwork[6368]
#define sipNameNr_OrganizationalUnitName 6391
#define sipName_OrganizationalUnitName &sipStrings_QtNetwork[6391]
#define sipNameNr_QDnsMailExchangeRecord 6414
#define sipName_QDnsMailExchangeRecord &sipStrings_QtNetwork[6414]
#define sipNameNr_6437 6437
#define sipName_6437 &sipStrings_QtNetwork[6437]
#define sipNameNr_QOcspCertificateStatus 6460
#define sipName_QOcspCertificateStatus &sipStrings_QtNetwork[6460]
#define sipNameNr_QSsl__ImplementedClass 6483
#define sipName_QSsl__ImplementedClass &sipStrings_QtNetwork[6483]
#define sipNameNr_QSsl__SupportedFeature 6506
#define sipName_QSsl__SupportedFeature &sipStrings_QtNetwork[6506]
#define sipNameNr_UdpTunnelingCapability 6529
#define sipName_UdpTunnelingCapability &sipStrings_QtNetwork[6529]
#define sipNameNr_UnsupportedCertificate 6552
#define sipName_UnsupportedCertificate &sipStrings_QtNetwork[6552]
#define sipNameNr_authenticationRequired 6575
#define sipName_authenticationRequired &sipStrings_QtNetwork[6575]
#define sipNameNr_connectToHostEncrypted 6598
#define sipName_connectToHostEncrypted &sipStrings_QtNetwork[6598]
#define sipNameNr_interfaceIndexFromName 6621
#define sipName_interfaceIndexFromName &sipStrings_QtNetwork[6621]
#define sipNameNr_interfaceNameFromIndex 6644
#define sipName_interfaceNameFromIndex &sipStrings_QtNetwork[6644]
#define sipNameNr_nextNegotiatedProtocol 6667
#define sipName_nextNegotiatedProtocol &sipStrings_QtNetwork[6667]
#define sipNameNr_setOcspStaplingEnabled 6690
#define sipName_setOcspStaplingEnabled &sipStrings_QtNetwork[6690]
#define sipNameNr_transportMediumChanged 6713
#define sipName_transportMediumChanged &sipStrings_QtNetwork[6713]
#define sipNameNr_ConvertV4CompatToIPv4 6736
#define sipName_ConvertV4CompatToIPv4 &sipStrings_QtNetwork[6736]
#define sipNameNr_ConvertV4MappedToIPv4 6758
#define sipName_ConvertV4MappedToIPv4 &sipStrings_QtNetwork[6758]
#define sipNameNr_DatagramTooLargeError 6780
#define sipName_DatagramTooLargeError &sipStrings_QtNetwork[6780]
#define sipNameNr_DnsEligibilityUnknown 6802
#define sipName_DnsEligibilityUnknown &sipStrings_QtNetwork[6802]
#define sipNameNr_Http2AllowedAttribute 6824
#define sipName_Http2AllowedAttribute &sipStrings_QtNetwork[6824]
#define sipNameNr_Http2WasUsedAttribute 6846
#define sipName_Http2WasUsedAttribute &sipStrings_QtNetwork[6846]
#define sipNameNr_IfModifiedSinceHeader 6868
#define sipName_IfModifiedSinceHeader &sipStrings_QtNetwork[6868]
#define sipNameNr_InappropriateFallback 6890
#define sipName_InappropriateFallback &sipStrings_QtNetwork[6890]
#define sipNameNr_InsecureRedirectError 6912
#define sipName_InsecureRedirectError &sipStrings_QtNetwork[6912]
#define sipNameNr_InvalidInputDataError 6934
#define sipName_InvalidInputDataError &sipStrings_QtNetwork[6934]
#define sipNameNr_InvalidNotBeforeField 6956
#define sipName_InvalidNotBeforeField &sipStrings_QtNetwork[6956]
#define sipNameNr_NoApplicationProtocol 6978
#define sipName_NoApplicationProtocol &sipStrings_QtNetwork[6978]
#define sipNameNr_OcspMalformedResponse 7000
#define sipName_OcspMalformedResponse &sipStrings_QtNetwork[7000]
#define sipNameNr_QAbstractNetworkCache 7022
#define sipName_QAbstractNetworkCache &sipStrings_QtNetwork[7022]
#define sipNameNr_QDnsHostAddressRecord 7044
#define sipName_QDnsHostAddressRecord &sipStrings_QtNetwork[7044]
#define sipNameNr_7066 7066
#define sipName_7066 &sipStrings_QtNetwork[7066]
#define sipNameNr_7088 7088
#define sipName_7088 &sipStrings_QtNetwork[7088]
#define sipNameNr_QNetworkAccessManager 7110
#define sipName_QNetworkAccessManager &sipStrings_QtNetwork[7110]
#define sipNameNr_QNetworkCacheMetaData 7132
#define sipName_QNetworkCacheMetaData &sipStrings_QtNetwork[7132]
#define sipNameNr_QOcspRevocationReason 7154
#define sipName_QOcspRevocationReason &sipStrings_QtNetwork[7154]
#define sipNameNr_RemoteHostClosedError 7176
#define sipName_RemoteHostClosedError &sipStrings_QtNetwork[7176]
#define sipNameNr_SelfSignedCertificate 7198
#define sipName_SelfSignedCertificate &sipStrings_QtNetwork[7198]
#define sipNameNr_SubjectIssuerMismatch 7220
#define sipName_SubjectIssuerMismatch &sipStrings_QtNetwork[7220]
#define sipNameNr_TooManyRedirectsError 7242
#define sipName_TooManyRedirectsError &sipStrings_QtNetwork[7242]
#define sipNameNr_UnsafeParametersError 7264
#define sipName_UnsafeParametersError &sipStrings_QtNetwork[7264]
#define sipNameNr_encryptedBytesToWrite 7286
#define sipName_encryptedBytesToWrite &sipStrings_QtNetwork[7286]
#define sipNameNr_encryptedBytesWritten 7308
#define sipName_encryptedBytesWritten &sipStrings_QtNetwork[7308]
#define sipNameNr_hasPendingConnections 7330
#define sipName_hasPendingConnections &sipStrings_QtNetwork[7330]
#define sipNameNr_isBehindCaptivePortal 7352
#define sipName_isBehindCaptivePortal &sipStrings_QtNetwork[7352]
#define sipNameNr_loadBackendByFeatures 7374
#define sipName_loadBackendByFeatures &sipStrings_QtNetwork[7374]
#define sipNameNr_localCertificateChain 7396
#define sipName_localCertificateChain &sipStrings_QtNetwork[7396]
#define sipNameNr_maxPendingConnections 7418
#define sipName_maxPendingConnections &sipStrings_QtNetwork[7418]
#define sipNameNr_maximumIdentityLength 7440
#define sipName_maximumIdentityLength &sipStrings_QtNetwork[7440]
#define sipNameNr_nextPendingConnection 7462
#define sipName_nextPendingConnection &sipStrings_QtNetwork[7462]
#define sipNameNr_setHttp1Configuration 7484
#define sipName_setHttp1Configuration &sipStrings_QtNetwork[7484]
#define sipNameNr_setHttp2Configuration 7506
#define sipName_setHttp2Configuration &sipStrings_QtNetwork[7506]
#define sipNameNr_setIncludesSubDomains 7528
#define sipName_setIncludesSubDomains &sipStrings_QtNetwork[7528]
#define sipNameNr_setMulticastInterface 7550
#define sipName_setMulticastInterface &sipStrings_QtNetwork[7550]
#define sipNameNr_startClientEncryption 7572
#define sipName_startClientEncryption &sipStrings_QtNetwork[7572]
#define sipNameNr_startServerEncryption 7594
#define sipName_startServerEncryption &sipStrings_QtNetwork[7594]
#define sipNameNr_subjectInfoAttributes 7616
#define sipName_subjectInfoAttributes &sipStrings_QtNetwork[7616]
#define sipNameNr_CertificateUntrusted 7638
#define sipName_CertificateUntrusted &sipStrings_QtNetwork[7638]
#define sipNameNr_CessationOfOperation 7659
#define sipName_CessationOfOperation &sipStrings_QtNetwork[7659]
#define sipNameNr_ContentConflictError 7680
#define sipName_ContentConflictError &sipStrings_QtNetwork[7680]
#define sipNameNr_ContentNotFoundError 7701
#define sipName_ContentNotFoundError &sipStrings_QtNetwork[7701]
#define sipNameNr_DecompressionFailure 7722
#define sipName_DecompressionFailure &sipStrings_QtNetwork[7722]
#define sipNameNr_DnsEligibilityStatus 209
#define sipName_DnsEligibilityStatus &sipStrings_QtNetwork[209]
#define sipNameNr_Http2DirectAttribute 7743
#define sipName_Http2DirectAttribute &sipStrings_QtNetwork[7743]
#define sipNameNr_InsufficientSecurity 7764
#define sipName_InsufficientSecurity &sipStrings_QtNetwork[7764]
#define sipNameNr_InvalidCaCertificate 7785
#define sipName_InvalidCaCertificate &sipStrings_QtNetwork[7785]
#define sipNameNr_InvalidNotAfterField 7806
#define sipName_InvalidNotAfterField &sipStrings_QtNetwork[7806]
#define sipNameNr_ManualRedirectPolicy 7827
#define sipName_ManualRedirectPolicy &sipStrings_QtNetwork[7827]
#define sipNameNr_NetworkLayerProtocol 488
#define sipName_NetworkLayerProtocol &sipStrings_QtNetwork[488]
#define sipNameNr_OcspMalformedRequest 7848
#define sipName_OcspMalformedRequest &sipStrings_QtNetwork[7848]
#define sipNameNr_ProtocolUnknownError 7869
#define sipName_ProtocolUnknownError &sipStrings_QtNetwork[7869]
#define sipNameNr_QDnsDomainNameRecord 7890
#define sipName_QDnsDomainNameRecord &sipStrings_QtNetwork[7890]
#define sipNameNr_7911 7911
#define sipName_7911 &sipStrings_QtNetwork[7911]
#define sipNameNr_7932 7932
#define sipName_7932 &sipStrings_QtNetwork[7932]
#define sipNameNr_QNetworkAddressEntry 7953
#define sipName_QNetworkAddressEntry &sipStrings_QtNetwork[7953]
#define sipNameNr_QNetworkProxyFactory 7974
#define sipName_QNetworkProxyFactory &sipStrings_QtNetwork[7974]
#define sipNameNr_QSsl__EncodingFormat 7995
#define sipName_QSsl__EncodingFormat &sipStrings_QtNetwork[7995]
#define sipNameNr_UnsupportedExtension 8016
#define sipName_UnsupportedExtension &sipStrings_QtNetwork[8016]
#define sipNameNr_addPendingConnection 8037
#define sipName_addPendingConnection &sipStrings_QtNetwork[8037]
#define sipNameNr_allowedNextProtocols 8058
#define sipName_allowedNextProtocols &sipStrings_QtNetwork[8058]
#define sipNameNr_authenticationMethod 8079
#define sipName_authenticationMethod &sipStrings_QtNetwork[8079]
#define sipNameNr_backendConfiguration 8100
#define sipName_backendConfiguration &sipStrings_QtNetwork[8100]
#define sipNameNr_canonicalNameRecords 8121
#define sipName_canonicalNameRecords &sipStrings_QtNetwork[8121]
#define sipNameNr_clearAddressLifetime 8142
#define sipName_clearAddressLifetime &sipStrings_QtNetwork[8142]
#define sipNameNr_clearConnectionCache 8163
#define sipName_clearConnectionCache &sipStrings_QtNetwork[8163]
#define sipNameNr_defaultConfiguration 8184
#define sipName_defaultConfiguration &sipStrings_QtNetwork[8184]
#define sipNameNr_disconnectFromServer 8205
#define sipName_disconnectFromServer &sipStrings_QtNetwork[8205]
#define sipNameNr_isUniqueLocalUnicast 8226
#define sipName_isUniqueLocalUnicast &sipStrings_QtNetwork[8226]
#define sipNameNr_issuerInfoAttributes 8247
#define sipName_issuerInfoAttributes &sipStrings_QtNetwork[8247]
#define sipNameNr_peerCertificateChain 8268
#define sipName_peerCertificateChain &sipStrings_QtNetwork[8268]
#define sipNameNr_setAutoDeleteReplies 8289
#define sipName_setAutoDeleteReplies &sipStrings_QtNetwork[8289]
#define sipNameNr_setListenBacklogSize 8310
#define sipName_setListenBacklogSize &sipStrings_QtNetwork[8310]
#define sipNameNr_setOriginatingObject 8331
#define sipName_setOriginatingObject &sipStrings_QtNetwork[8331]
#define sipNameNr_setServerPushEnabled 8352
#define sipName_setServerPushEnabled &sipStrings_QtNetwork[8352]
#define sipNameNr_systemCaCertificates 8373
#define sipName_systemCaCertificates &sipStrings_QtNetwork[8373]
#define sipNameNr_waitForNewConnection 8394
#define sipName_waitForNewConnection &sipStrings_QtNetwork[8394]
#define sipNameNr_CertificateRejected 8415
#define sipName_CertificateRejected &sipStrings_QtNetwork[8415]
#define sipNameNr_CertificateRequired 8435
#define sipName_CertificateRequired &sipStrings_QtNetwork[8435]
#define sipNameNr_ContentAccessDenied 8455
#define sipName_ContentAccessDenied &sipStrings_QtNetwork[8455]
#define sipNameNr_ContentLengthHeader 8475
#define sipName_ContentLengthHeader &sipStrings_QtNetwork[8475]
#define sipNameNr_CustomVerbAttribute 8495
#define sipName_CustomVerbAttribute &sipStrings_QtNetwork[8495]
#define sipNameNr_InternalServerError 8515
#define sipName_InternalServerError &sipStrings_QtNetwork[8515]
#define sipNameNr_InvalidRequestError 8535
#define sipName_InvalidRequestError &sipStrings_QtNetwork[8535]
#define sipNameNr_ListeningCapability 5846
#define sipName_ListeningCapability &sipStrings_QtNetwork[5846]
#define sipNameNr_NextProtocolHttp1_1 8555
#define sipName_NextProtocolHttp1_1 &sipStrings_QtNetwork[8555]
#define sipNameNr_OcspNoResponseFound 8575
#define sipName_OcspNoResponseFound &sipStrings_QtNetwork[8575]
#define sipNameNr_OcspResponseExpired 8595
#define sipName_OcspResponseExpired &sipStrings_QtNetwork[8595]
#define sipNameNr_PathMtuSocketOption 8615
#define sipName_PathMtuSocketOption &sipStrings_QtNetwork[8615]
#define sipNameNr_QHttp1Configuration 8635
#define sipName_QHttp1Configuration &sipStrings_QtNetwork[8635]
#define sipNameNr_QHttp2Configuration 8655
#define sipName_QHttp2Configuration &sipStrings_QtNetwork[8655]
#define sipNameNr_8675 8675
#define sipName_8675 &sipStrings_QtNetwork[8675]
#define sipNameNr_QNetworkInformation 8695
#define sipName_QNetworkInformation &sipStrings_QtNetwork[8695]
#define sipNameNr_QSslError__SslError 8715
#define sipName_QSslError__SslError &sipStrings_QtNetwork[8715]
#define sipNameNr_QSslSocket__SslMode 8735
#define sipName_QSslSocket__SslMode &sipStrings_QtNetwork[8735]
#define sipNameNr_ServerNotFoundError 8755
#define sipName_ServerNotFoundError &sipStrings_QtNetwork[8755]
#define sipNameNr_SocketResourceError 8775
#define sipName_SocketResourceError &sipStrings_QtNetwork[8775]
#define sipNameNr_StateOrProvinceName 8795
#define sipName_StateOrProvinceName &sipStrings_QtNetwork[8795]
#define sipNameNr_TunnelingCapability 5870
#define sipName_TunnelingCapability &sipStrings_QtNetwork[5870]
#define sipNameNr_TypeOfServiceOption 8815
#define sipName_TypeOfServiceOption &sipStrings_QtNetwork[8815]
#define sipNameNr_UnknownAlertMessage 8835
#define sipName_UnknownAlertMessage &sipStrings_QtNetwork[8835]
#define sipNameNr_UnknownContentError 8855
#define sipName_UnknownContentError &sipStrings_QtNetwork[8855]
#define sipNameNr_UnknownNetworkError 8875
#define sipName_UnknownNetworkError &sipStrings_QtNetwork[8875]
#define sipNameNr_hasPendingDatagrams 8895
#define sipName_hasPendingDatagrams &sipStrings_QtNetwork[8895]
#define sipNameNr_isProtocolSupported 8915
#define sipName_isProtocolSupported &sipStrings_QtNetwork[8915]
#define sipNameNr_leaveMulticastGroup 8935
#define sipName_leaveMulticastGroup &sipStrings_QtNetwork[8935]
#define sipNameNr_mailExchangeRecords 8955
#define sipName_mailExchangeRecords &sipStrings_QtNetwork[8955]
#define sipNameNr_ocspStaplingEnabled 8975
#define sipName_ocspStaplingEnabled &sipStrings_QtNetwork[8975]
#define sipNameNr_pendingDatagramSize 8995
#define sipName_pendingDatagramSize &sipStrings_QtNetwork[8995]
#define sipNameNr_reachabilityChanged 9015
#define sipName_reachabilityChanged &sipStrings_QtNetwork[9015]
#define sipNameNr_setApplicationProxy 9035
#define sipName_setApplicationProxy &sipStrings_QtNetwork[9035]
#define sipNameNr_setHandshakeTimeout 9055
#define sipName_setHandshakeTimeout &sipStrings_QtNetwork[9055]
#define sipNameNr_setLocalCertificate 9075
#define sipName_setLocalCertificate &sipStrings_QtNetwork[9075]
#define sipNameNr_setMaximumCacheSize 9095
#define sipName_setMaximumCacheSize &sipStrings_QtNetwork[9095]
#define sipNameNr_setSocketDescriptor 9115
#define sipName_setSocketDescriptor &sipStrings_QtNetwork[9115]
#define sipNameNr_setSslConfiguration 9135
#define sipName_setSslConfiguration &sipStrings_QtNetwork[9135]
#define sipNameNr_systemProxyForQuery 9155
#define sipName_systemProxyForQuery &sipStrings_QtNetwork[9155]
#define sipNameNr_waitForBytesWritten 9175
#define sipName_waitForBytesWritten &sipStrings_QtNetwork[9175]
#define sipNameNr_waitForDisconnected 9195
#define sipName_waitForDisconnected &sipStrings_QtNetwork[9195]
#define sipNameNr_AffiliationChanged 9215
#define sipName_AffiliationChanged &sipStrings_QtNetwork[9215]
#define sipNameNr_CertificateExpired 9234
#define sipName_CertificateExpired &sipStrings_QtNetwork[9234]
#define sipNameNr_CertificateRevoked 9253
#define sipName_CertificateRevoked &sipStrings_QtNetwork[9253]
#define sipNameNr_CertificateUnknown 9272
#define sipName_CertificateUnknown &sipStrings_QtNetwork[9272]
#define sipNameNr_ContentReSendError 9291
#define sipName_ContentReSendError &sipStrings_QtNetwork[9291]
#define sipNameNr_ConversionModeFlag 1501
#define sipName_ConversionModeFlag &sipStrings_QtNetwork[1501]
#define sipNameNr_DefaultForPlatform 9310
#define sipName_DefaultForPlatform &sipStrings_QtNetwork[9310]
#define sipNameNr_LastModifiedHeader 9329
#define sipName_LastModifiedHeader &sipStrings_QtNetwork[9329]
#define sipNameNr_MulticastTtlOption 9348
#define sipName_MulticastTtlOption &sipStrings_QtNetwork[9348]
#define sipNameNr_PathLengthExceeded 9367
#define sipName_PathLengthExceeded &sipStrings_QtNetwork[9367]
#define sipNameNr_ProxyNotFoundError 9386
#define sipName_ProxyNotFoundError &sipStrings_QtNetwork[9386]
#define sipNameNr_ProxyProtocolError 9405
#define sipName_ProxyProtocolError &sipStrings_QtNetwork[9405]
#define sipNameNr_9424 9424
#define sipName_9424 &sipStrings_QtNetwork[9424]
#define sipNameNr_QNetworkProxyQuery 9443
#define sipName_QNetworkProxyQuery &sipStrings_QtNetwork[9443]
#define sipNameNr_QSsl__KeyAlgorithm 9462
#define sipName_QSsl__KeyAlgorithm &sipStrings_QtNetwork[9462]
#define sipNameNr_ServerFailureError 9481
#define sipName_ServerFailureError &sipStrings_QtNetwork[9481]
#define sipNameNr_ServerRefusedError 9500
#define sipName_ServerRefusedError &sipStrings_QtNetwork[9500]
#define sipNameNr_SocketTimeoutError 9519
#define sipName_SocketTimeoutError &sipStrings_QtNetwork[9519]
#define sipNameNr_TolerantConversion 9538
#define sipName_TolerantConversion &sipStrings_QtNetwork[9538]
#define sipNameNr_UnknownPskIdentity 9557
#define sipName_UnknownPskIdentity &sipStrings_QtNetwork[9557]
#define sipNameNr_UnknownServerError 9576
#define sipName_UnknownServerError &sipStrings_QtNetwork[9576]
#define sipNameNr_UnknownSocketError 9595
#define sipName_UnknownSocketError &sipStrings_QtNetwork[9595]
#define sipNameNr_destinationAddress 9614
#define sipName_destinationAddress &sipStrings_QtNetwork[9614]
#define sipNameNr_disconnectFromHost 9633
#define sipName_disconnectFromHost &sipStrings_QtNetwork[9633]
#define sipNameNr_ephemeralServerKey 9652
#define sipName_ephemeralServerKey &sipStrings_QtNetwork[9652]
#define sipNameNr_hostAddressRecords 9671
#define sipName_hostAddressRecords &sipStrings_QtNetwork[9671]
#define sipNameNr_http1Configuration 9690
#define sipName_http1Configuration &sipStrings_QtNetwork[9690]
#define sipNameNr_http2Configuration 9709
#define sipName_http2Configuration &sipStrings_QtNetwork[9709]
#define sipNameNr_implementedClasses 9728
#define sipName_implementedClasses &sipStrings_QtNetwork[9728]
#define sipNameNr_includesSubDomains 9747
#define sipName_includesSubDomains &sipStrings_QtNetwork[9747]
#define sipNameNr_incomingConnection 9766
#define sipName_incomingConnection &sipStrings_QtNetwork[9766]
#define sipNameNr_interfaceFromIndex 9785
#define sipName_interfaceFromIndex &sipStrings_QtNetwork[9785]
#define sipNameNr_isClassImplemented 9804
#define sipName_isClassImplemented &sipStrings_QtNetwork[9804]
#define sipNameNr_isFeatureSupported 9823
#define sipName_isFeatureSupported &sipStrings_QtNetwork[9823]
#define sipNameNr_isTransparentProxy 9842
#define sipName_isTransparentProxy &sipStrings_QtNetwork[9842]
#define sipNameNr_joinMulticastGroup 9861
#define sipName_joinMulticastGroup &sipStrings_QtNetwork[9861]
#define sipNameNr_loadDefaultBackend 9880
#define sipName_loadDefaultBackend &sipStrings_QtNetwork[9880]
#define sipNameNr_multicastInterface 9899
#define sipName_multicastInterface &sipStrings_QtNetwork[9899]
#define sipNameNr_setAddressLifetime 9918
#define sipName_setAddressLifetime &sipStrings_QtNetwork[9918]
#define sipNameNr_setPeerVerifyDepth 9937
#define sipName_setPeerVerifyDepth &sipStrings_QtNetwork[9937]
#define sipNameNr_setTransferTimeout 9956
#define sipName_setTransferTimeout &sipStrings_QtNetwork[9956]
#define sipNameNr_sslHandshakeErrors 9975
#define sipName_sslHandshakeErrors &sipStrings_QtNetwork[9975]
#define sipNameNr_subjectDisplayName 9994
#define sipName_subjectDisplayName &sipStrings_QtNetwork[9994]
#define sipNameNr_supportedProtocols 10013
#define sipName_supportedProtocols &sipStrings_QtNetwork[10013]
#define sipNameNr_AddressInUseError 10032
#define sipName_AddressInUseError &sipStrings_QtNetwork[10032]
#define sipNameNr_CachingCapability 10050
#define sipName_CachingCapability &sipStrings_QtNetwork[10050]
#define sipNameNr_ContentTypeHeader 10068
#define sipName_ContentTypeHeader &sipStrings_QtNetwork[10068]
#define sipNameNr_ExportRestriction 10086
#define sipName_ExportRestriction &sipStrings_QtNetwork[10086]
#define sipNameNr_GroupAccessOption 10104
#define sipName_GroupAccessOption &sipStrings_QtNetwork[10104]
#define sipNameNr_HostNotFoundError 10122
#define sipName_HostNotFoundError &sipStrings_QtNetwork[10122]
#define sipNameNr_IfNoneMatchHeader 10140
#define sipName_IfNoneMatchHeader &sipStrings_QtNetwork[10140]
#define sipNameNr_IncludeSubDomains 10158
#define sipName_IncludeSubDomains &sipStrings_QtNetwork[10158]
#define sipNameNr_InvalidReplyError 10176
#define sipName_InvalidReplyError &sipStrings_QtNetwork[10176]
#define sipNameNr_NoPeerCertificate 10194
#define sipName_NoPeerCertificate &sipStrings_QtNetwork[10194]
#define sipNameNr_OcspInternalError 10212
#define sipName_OcspInternalError &sipStrings_QtNetwork[10212]
#define sipNameNr_OcspStatusUnknown 10230
#define sipName_OcspStatusUnknown &sipStrings_QtNetwork[10230]
#define sipNameNr_OtherAccessOption 10248
#define sipName_OtherAccessOption &sipStrings_QtNetwork[10248]
#define sipNameNr_ProxyTimeoutError 10266
#define sipName_ProxyTimeoutError &sipStrings_QtNetwork[10266]
#define sipNameNr_QDnsLookup__Error 10284
#define sipName_QDnsLookup__Error &sipStrings_QtNetwork[10284]
#define sipNameNr_QDnsServiceRecord 10302
#define sipName_QDnsServiceRecord &sipStrings_QtNetwork[10302]
#define sipNameNr_10320 10320
#define sipName_10320 &sipStrings_QtNetwork[10320]
#define sipNameNr_QNetworkCookieJar 10338
#define sipName_QNetworkCookieJar &sipStrings_QtNetwork[10338]
#define sipNameNr_QNetworkDiskCache 10356
#define sipName_QNetworkDiskCache &sipStrings_QtNetwork[10356]
#define sipNameNr_QNetworkInterface 10374
#define sipName_QNetworkInterface &sipStrings_QtNetwork[10374]
#define sipNameNr_QPasswordDigestor 10392
#define sipName_QPasswordDigestor &sipStrings_QtNetwork[10392]
#define sipNameNr_QSsl__SslProtocol 10410
#define sipName_QSsl__SslProtocol &sipStrings_QtNetwork[10410]
#define sipNameNr_QSslConfiguration 10428
#define sipName_QSslConfiguration &sipStrings_QtNetwork[10428]
#define sipNameNr_QSslEllipticCurve 10446
#define sipName_QSslEllipticCurve &sipStrings_QtNetwork[10446]
#define sipNameNr_RegularExpression 10464
#define sipName_RegularExpression &sipStrings_QtNetwork[10464]
#define sipNameNr_SocketAccessError 10482
#define sipName_SocketAccessError &sipStrings_QtNetwork[10482]
#define sipNameNr_UnexpectedMessage 10500
#define sipName_UnexpectedMessage &sipStrings_QtNetwork[10500]
#define sipNameNr_UnknownProxyError 10518
#define sipName_UnknownProxyError &sipStrings_QtNetwork[10518]
#define sipNameNr_UnknownSocketType 10536
#define sipName_UnknownSocketType &sipStrings_QtNetwork[10536]
#define sipNameNr_WorldAccessOption 10554
#define sipName_WorldAccessOption &sipStrings_QtNetwork[10554]
#define sipNameNr_addCaCertificates 10572
#define sipName_addCaCertificates &sipStrings_QtNetwork[10572]
#define sipNameNr_autoDeleteReplies 10590
#define sipName_autoDeleteReplies &sipStrings_QtNetwork[10590]
#define sipNameNr_availableBackends 10608
#define sipName_availableBackends &sipStrings_QtNetwork[10608]
#define sipNameNr_certificateStatus 10626
#define sipName_certificateStatus &sipStrings_QtNetwork[10626]
#define sipNameNr_defaultParameters 10644
#define sipName_defaultParameters &sipStrings_QtNetwork[10644]
#define sipNameNr_hasSameIdentifier 10662
#define sipName_hasSameIdentifier &sipStrings_QtNetwork[10662]
#define sipNameNr_humanReadableName 10680
#define sipName_humanReadableName &sipStrings_QtNetwork[10680]
#define sipNameNr_interfaceFromName 10698
#define sipName_interfaceFromName &sipStrings_QtNetwork[10698]
#define sipNameNr_issuerDisplayName 10716
#define sipName_issuerDisplayName &sipStrings_QtNetwork[10716]
#define sipNameNr_keyExchangeMethod 10734
#define sipName_keyExchangeMethod &sipStrings_QtNetwork[10734]
#define sipNameNr_listenBacklogSize 10752
#define sipName_listenBacklogSize &sipStrings_QtNetwork[10752]
#define sipNameNr_loadBackendByName 10770
#define sipName_loadBackendByName &sipStrings_QtNetwork[10770]
#define sipNameNr_nameServerRecords 10788
#define sipName_nameServerRecords &sipStrings_QtNetwork[10788]
#define sipNameNr_nameserverChanged 10806
#define sipName_nameserverChanged &sipStrings_QtNetwork[10806]
#define sipNameNr_originatingObject 10824
#define sipName_originatingObject &sipStrings_QtNetwork[10824]
#define sipNameNr_preferredLifetime 10842
#define sipName_preferredLifetime &sipStrings_QtNetwork[10842]
#define sipNameNr_sendCustomRequest 10860
#define sipName_sendCustomRequest &sipStrings_QtNetwork[10860]
#define sipNameNr_serverPushEnabled 10878
#define sipName_serverPushEnabled &sipStrings_QtNetwork[10878]
#define sipNameNr_setCaCertificates 10896
#define sipName_setCaCertificates &sipStrings_QtNetwork[10896]
#define sipNameNr_setCacheDirectory 10914
#define sipName_setCacheDirectory &sipStrings_QtNetwork[10914]
#define sipNameNr_setCookiesFromUrl 10932
#define sipName_setCookiesFromUrl &sipStrings_QtNetwork[10932]
#define sipNameNr_setDnsEligibility 10950
#define sipName_setDnsEligibility &sipStrings_QtNetwork[10950]
#define sipNameNr_setEllipticCurves 10968
#define sipName_setEllipticCurves &sipStrings_QtNetwork[10968]
#define sipNameNr_setExpirationDate 10986
#define sipName_setExpirationDate &sipStrings_QtNetwork[10986]
#define sipNameNr_setInterfaceIndex 11004
#define sipName_setInterfaceIndex &sipStrings_QtNetwork[11004]
#define sipNameNr_setPeerVerifyMode 11022
#define sipName_setPeerVerifyMode &sipStrings_QtNetwork[11022]
#define sipNameNr_setPeerVerifyName 11040
#define sipName_setPeerVerifyName &sipStrings_QtNetwork[11040]
#define sipNameNr_setReadBufferSize 11058
#define sipName_setReadBufferSize &sipStrings_QtNetwork[11058]
#define sipNameNr_setRedirectPolicy 11076
#define sipName_setRedirectPolicy &sipStrings_QtNetwork[11076]
#define sipNameNr_setSameSitePolicy 11094
#define sipName_setSameSitePolicy &sipStrings_QtNetwork[11094]
#define sipNameNr_supportedFeatures 11112
#define sipName_supportedFeatures &sipStrings_QtNetwork[11112]
#define sipNameNr_CacheLoadControl 1269
#define sipName_CacheLoadControl &sipStrings_QtNetwork[1269]
#define sipNameNr_ContentGoneError 11130
#define sipName_ContentGoneError &sipStrings_QtNetwork[11130]
#define sipNameNr_ConvertLocalHost 11147
#define sipName_ConvertLocalHost &sipStrings_QtNetwork[11147]
#define sipNameNr_DontShareAddress 11164
#define sipName_DontShareAddress &sipStrings_QtNetwork[11164]
#define sipNameNr_HandshakeFailure 11181
#define sipName_HandshakeFailure &sipStrings_QtNetwork[11181]
#define sipNameNr_HostNameMismatch 11198
#define sipName_HostNameMismatch &sipStrings_QtNetwork[11198]
#define sipNameNr_HttpCachingProxy 11215
#define sipName_HttpCachingProxy &sipStrings_QtNetwork[11215]
#define sipNameNr_IllegalParameter 11232
#define sipName_IllegalParameter &sipStrings_QtNetwork[11232]
#define sipNameNr_ImplementedClass 6489
#define sipName_ImplementedClass &sipStrings_QtNetwork[6489]
#define sipNameNr_LocalSocketError 2144
#define sipName_LocalSocketError &sipStrings_QtNetwork[2144]
#define sipNameNr_LocalSocketState 2175
#define sipName_LocalSocketState &sipStrings_QtNetwork[2175]
#define sipNameNr_MissingExtension 11249
#define sipName_MissingExtension &sipStrings_QtNetwork[11249]
#define sipNameNr_NameAndValueOnly 11266
#define sipName_NameAndValueOnly &sipStrings_QtNetwork[11266]
#define sipNameNr_OcspUnauthorized 11283
#define sipName_OcspUnauthorized &sipStrings_QtNetwork[11283]
#define sipNameNr_PauseOnSslErrors 11300
#define sipName_PauseOnSslErrors &sipStrings_QtNetwork[11300]
#define sipNameNr_QDnsLookup__Type 11317
#define sipName_QDnsLookup__Type &sipStrings_QtNetwork[11317]
#define sipNameNr_11334 11334
#define sipName_11334 &sipStrings_QtNetwork[11334]
#define sipNameNr_QNetworkDatagram 11351
#define sipName_QNetworkDatagram &sipStrings_QtNetwork[11351]
#define sipNameNr_QSsl__AlertLevel 11368
#define sipName_QSsl__AlertLevel &sipStrings_QtNetwork[11368]
#define sipNameNr_ReuseAddressHint 11385
#define sipName_ReuseAddressHint &sipStrings_QtNetwork[11385]
#define sipNameNr_SslInternalError 11402
#define sipName_SslInternalError &sipStrings_QtNetwork[11402]
#define sipNameNr_StrictConversion 11419
#define sipName_StrictConversion &sipStrings_QtNetwork[11419]
#define sipNameNr_SupportedFeature 6512
#define sipName_SupportedFeature &sipStrings_QtNetwork[6512]
#define sipNameNr_UnconnectedState 11436
#define sipName_UnconnectedState &sipStrings_QtNetwork[11436]
#define sipNameNr_UnrecognizedName 11453
#define sipName_UnrecognizedName &sipStrings_QtNetwork[11453]
#define sipNameNr_UnspecifiedError 11470
#define sipName_UnspecifiedError &sipStrings_QtNetwork[11470]
#define sipNameNr_UserAccessOption 11487
#define sipName_UserAccessOption &sipStrings_QtNetwork[11487]
#define sipNameNr_addCaCertificate 11504
#define sipName_addCaCertificate &sipStrings_QtNetwork[11504]
#define sipNameNr_applicationProxy 11521
#define sipName_applicationProxy &sipStrings_QtNetwork[11521]
#define sipNameNr_clearAccessCache 11538
#define sipName_clearAccessCache &sipStrings_QtNetwork[11538]
#define sipNameNr_disconnectNotify 11555
#define sipName_disconnectNotify &sipStrings_QtNetwork[11555]
#define sipNameNr_downloadProgress 11572
#define sipName_downloadProgress &sipStrings_QtNetwork[11572]
#define sipNameNr_encryptionMethod 11589
#define sipName_encryptionMethod &sipStrings_QtNetwork[11589]
#define sipNameNr_handshakeTimeout 11606
#define sipName_handshakeTimeout &sipStrings_QtNetwork[11606]
#define sipNameNr_isMeteredChanged 11623
#define sipName_isMeteredChanged &sipStrings_QtNetwork[11623]
#define sipNameNr_localCertificate 11640
#define sipName_localCertificate &sipStrings_QtNetwork[11640]
#define sipNameNr_maximumCacheSize 11657
#define sipName_maximumCacheSize &sipStrings_QtNetwork[11657]
#define sipNameNr_revocationReason 11674
#define sipName_revocationReason &sipStrings_QtNetwork[11674]
#define sipNameNr_setActiveBackend 11691
#define sipName_setActiveBackend &sipStrings_QtNetwork[11691]
#define sipNameNr_setSessionTicket 11708
#define sipName_setSessionTicket &sipStrings_QtNetwork[11708]
#define sipNameNr_setSocketOptions 11725
#define sipName_setSocketOptions &sipStrings_QtNetwork[11725]
#define sipNameNr_socketDescriptor 11742
#define sipName_socketDescriptor &sipStrings_QtNetwork[11742]
#define sipNameNr_sslConfiguration 11759
#define sipName_sslConfiguration &sipStrings_QtNetwork[11759]
#define sipNameNr_supportedCiphers 11776
#define sipName_supportedCiphers &sipStrings_QtNetwork[11776]
#define sipNameNr_supportedSchemes 11793
#define sipName_supportedSchemes &sipStrings_QtNetwork[11793]
#define sipNameNr_validityLifetime 11810
#define sipName_validityLifetime &sipStrings_QtNetwork[11810]
#define sipNameNr_waitForConnected 11827
#define sipName_waitForConnected &sipStrings_QtNetwork[11827]
#define sipNameNr_waitForEncrypted 11844
#define sipName_waitForEncrypted &sipStrings_QtNetwork[11844]
#define sipNameNr_waitForReadyRead 11861
#define sipName_waitForReadyRead &sipStrings_QtNetwork[11861]
#define sipNameNr_AlternativeType 11878
#define sipName_AlternativeType &sipStrings_QtNetwork[11878]
#define sipNameNr_CertificateHold 11894
#define sipName_CertificateHold &sipStrings_QtNetwork[11894]
#define sipNameNr_ConnectingState 11910
#define sipName_ConnectingState &sipStrings_QtNetwork[11910]
#define sipNameNr_ConnectionError 11926
#define sipName_ConnectionError &sipStrings_QtNetwork[11926]
#define sipNameNr_CustomOperation 11942
#define sipName_CustomOperation &sipStrings_QtNetwork[11942]
#define sipNameNr_DeleteOperation 11958
#define sipName_DeleteOperation &sipStrings_QtNetwork[11958]
#define sipNameNr_DtlsV1_0OrLater 11974
#define sipName_DtlsV1_0OrLater &sipStrings_QtNetwork[11974]
#define sipNameNr_DtlsV1_2OrLater 11990
#define sipName_DtlsV1_2OrLater &sipStrings_QtNetwork[11990]
#define sipNameNr_FtpCachingProxy 12006
#define sipName_FtpCachingProxy &sipStrings_QtNetwork[12006]
#define sipNameNr_HostLookupState 12022
#define sipName_HostLookupState &sipStrings_QtNetwork[12022]
#define sipNameNr_KeepAliveOption 12038
#define sipName_KeepAliveOption &sipStrings_QtNetwork[12038]
#define sipNameNr_NoRenegotiation 12054
#define sipName_NoRenegotiation &sipStrings_QtNetwork[12054]
#define sipNameNr_PeerClosedError 12070
#define sipName_PeerClosedError &sipStrings_QtNetwork[12070]
#define sipNameNr_ProtocolFailure 12086
#define sipName_ProtocolFailure &sipStrings_QtNetwork[12086]
#define sipNameNr_ProtocolVersion 12102
#define sipName_ProtocolVersion &sipStrings_QtNetwork[12102]
#define sipNameNr_PyQt6_QtNetwork 12118
#define sipName_PyQt6_QtNetwork &sipStrings_QtNetwork[12118]
#define sipNameNr_QAbstractSocket 12134
#define sipName_QAbstractSocket &sipStrings_QtNetwork[12134]
#define sipNameNr_QNetworkRequest 12150
#define sipName_QNetworkRequest &sipStrings_QtNetwork[12150]
#define sipNameNr_QSsl__AlertType 12166
#define sipName_QSsl__AlertType &sipStrings_QtNetwork[12166]
#define sipNameNr_QSsl__SslOption 12182
#define sipName_QSsl__SslOption &sipStrings_QtNetwork[12182]
#define sipNameNr_QSslCertificate 12198
#define sipName_QSslCertificate &sipStrings_QtNetwork[12198]
#define sipNameNr_SecureProtocols 12214
#define sipName_SecureProtocols &sipStrings_QtNetwork[12214]
#define sipNameNr_SetCookieHeader 12230
#define sipName_SetCookieHeader &sipStrings_QtNetwork[12230]
#define sipNameNr_TransportMedium 605
#define sipName_TransportMedium &sipStrings_QtNetwork[605]
#define sipNameNr_UnencryptedMode 12246
#define sipName_UnencryptedMode &sipStrings_QtNetwork[12246]
#define sipNameNr_UnknownProtocol 12262
#define sipName_UnknownProtocol &sipStrings_QtNetwork[12262]
#define sipNameNr_UserAgentHeader 12278
#define sipName_UserAgentHeader &sipStrings_QtNetwork[12278]
#define sipNameNr_abortHostLookup 12294
#define sipName_abortHostLookup &sipStrings_QtNetwork[12294]
#define sipNameNr_connectToServer 12310
#define sipName_connectToServer &sipStrings_QtNetwork[12310]
#define sipNameNr_deriveKeyPbkdf1 12326
#define sipName_deriveKeyPbkdf1 &sipStrings_QtNetwork[12326]
#define sipNameNr_deriveKeyPbkdf2 12342
#define sipName_deriveKeyPbkdf2 &sipStrings_QtNetwork[12342]
#define sipNameNr_destinationPort 12358
#define sipName_destinationPort &sipStrings_QtNetwork[12358]
#define sipNameNr_hardwareAddress 12374
#define sipName_hardwareAddress &sipStrings_QtNetwork[12374]
#define sipNameNr_ignoreSslErrors 12390
#define sipName_ignoreSslErrors &sipStrings_QtNetwork[12390]
#define sipNameNr_isLifetimeKnown 12406
#define sipName_isLifetimeKnown &sipStrings_QtNetwork[12406]
#define sipNameNr_isSessionCookie 12422
#define sipName_isSessionCookie &sipStrings_QtNetwork[12422]
#define sipNameNr_isTlsNamedCurve 12438
#define sipName_isTlsNamedCurve &sipStrings_QtNetwork[12438]
#define sipNameNr_localDomainName 12454
#define sipName_localDomainName &sipStrings_QtNetwork[12454]
#define sipNameNr_metaDataChanged 12470
#define sipName_metaDataChanged &sipStrings_QtNetwork[12470]
#define sipNameNr_peerCertificate 12486
#define sipName_peerCertificate &sipStrings_QtNetwork[12486]
#define sipNameNr_peerVerifyDepth 12502
#define sipName_peerVerifyDepth &sipStrings_QtNetwork[12502]
#define sipNameNr_peerVerifyError 12518
#define sipName_peerVerifyError &sipStrings_QtNetwork[12518]
#define sipNameNr_receiveDatagram 12534
#define sipName_receiveDatagram &sipStrings_QtNetwork[12534]
#define sipNameNr_redirectAllowed 12550
#define sipName_redirectAllowed &sipStrings_QtNetwork[12550]
#define sipNameNr_resumeAccepting 12566
#define sipName_resumeAccepting &sipStrings_QtNetwork[12566]
#define sipNameNr_sessionProtocol 12582
#define sipName_sessionProtocol &sipStrings_QtNetwork[12582]
#define sipNameNr_setCapabilities 12598
#define sipName_setCapabilities &sipStrings_QtNetwork[12598]
#define sipNameNr_setLastModified 12614
#define sipName_setLastModified &sipStrings_QtNetwork[12614]
#define sipNameNr_setLocalAddress 12630
#define sipName_setLocalAddress &sipStrings_QtNetwork[12630]
#define sipNameNr_setMaxFrameSize 12646
#define sipName_setMaxFrameSize &sipStrings_QtNetwork[12646]
#define sipNameNr_setPeerHostName 12662
#define sipName_setPeerHostName &sipStrings_QtNetwork[12662]
#define sipNameNr_setPreSharedKey 12678
#define sipName_setPreSharedKey &sipStrings_QtNetwork[12678]
#define sipNameNr_setPrefixLength 12694
#define sipName_setPrefixLength &sipStrings_QtNetwork[12694]
#define sipNameNr_setProxyFactory 12710
#define sipName_setProxyFactory &sipStrings_QtNetwork[12710]
#define sipNameNr_setSocketOption 12726
#define sipName_setSocketOption &sipStrings_QtNetwork[12726]
#define sipNameNr_transferTimeout 12742
#define sipName_transferTimeout &sipStrings_QtNetwork[12742]
#define sipNameNr_transportMedium 12758
#define sipName_transportMedium &sipStrings_QtNetwork[12758]
#define sipNameNr_AutoVerifyPeer 12774
#define sipName_AutoVerifyPeer &sipStrings_QtNetwork[12774]
#define sipNameNr_BadCertificate 12789
#define sipName_BadCertificate &sipStrings_QtNetwork[12789]
#define sipNameNr_ClientSideAlpn 12804
#define sipName_ClientSideAlpn &sipStrings_QtNetwork[12804]
#define sipNameNr_ConnectedState 12819
#define sipName_ConnectedState &sipStrings_QtNetwork[12819]
#define sipNameNr_EncodingFormat 8001
#define sipName_EncodingFormat &sipStrings_QtNetwork[8001]
#define sipNameNr_InvalidPurpose 12834
#define sipName_InvalidPurpose &sipStrings_QtNetwork[12834]
#define sipNameNr_IpAddressEntry 12849
#define sipName_IpAddressEntry &sipStrings_QtNetwork[12849]
#define sipNameNr_IsPointToPoint 12864
#define sipName_IsPointToPoint &sipStrings_QtNetwork[12864]
#define sipNameNr_ListeningState 12879
#define sipName_ListeningState &sipStrings_QtNetwork[12879]
#define sipNameNr_LocationHeader 12894
#define sipName_LocationHeader &sipStrings_QtNetwork[12894]
#define sipNameNr_LowDelayOption 12909
#define sipName_LowDelayOption &sipStrings_QtNetwork[12909]
#define sipNameNr_NormalPriority 12924
#define sipName_NormalPriority &sipStrings_QtNetwork[12924]
#define sipNameNr_OcspSigRequred 12939
#define sipName_OcspSigRequred &sipStrings_QtNetwork[12939]
#define sipNameNr_OperationError 1897
#define sipName_OperationError &sipStrings_QtNetwork[1897]
#define sipNameNr_PeerVerifyMode 4377
#define sipName_PeerVerifyMode &sipStrings_QtNetwork[4377]
#define sipNameNr_QAuthenticator 12954
#define sipName_QAuthenticator &sipStrings_QtNetwork[12954]
#define sipNameNr_QDnsTextRecord 12969
#define sipName_QDnsTextRecord &sipStrings_QtNetwork[12969]
#define sipNameNr_QHttpMultiPart 12984
#define sipName_QHttpMultiPart &sipStrings_QtNetwork[12984]
#define sipNameNr_12999 12999
#define sipName_12999 &sipStrings_QtNetwork[12999]
#define sipNameNr_QNetworkCookie 13014
#define sipName_QNetworkCookie &sipStrings_QtNetwork[13014]
#define sipNameNr_RecordOverflow 13029
#define sipName_RecordOverflow &sipStrings_QtNetwork[13029]
#define sipNameNr_RedirectPolicy 1865
#define sipName_RedirectPolicy &sipStrings_QtNetwork[1865]
#define sipNameNr_ServerSideAlpn 13044
#define sipName_ServerSideAlpn &sipStrings_QtNetwork[13044]
#define sipNameNr_SpecialAddress 3170
#define sipName_SpecialAddress &sipStrings_QtNetwork[3170]
#define sipNameNr_TemporaryError 13059
#define sipName_TemporaryError &sipStrings_QtNetwork[13059]
#define sipNameNr_TlsV1_0OrLater 13074
#define sipName_TlsV1_0OrLater &sipStrings_QtNetwork[13074]
#define sipNameNr_TlsV1_1OrLater 13089
#define sipName_TlsV1_1OrLater &sipStrings_QtNetwork[13089]
#define sipNameNr_TlsV1_2OrLater 13104
#define sipName_TlsV1_2OrLater &sipStrings_QtNetwork[13104]
#define sipNameNr_TlsV1_3OrLater 13119
#define sipName_TlsV1_3OrLater &sipStrings_QtNetwork[13119]
#define sipNameNr_addressEntries 13134
#define sipName_addressEntries &sipStrings_QtNetwork[13134]
#define sipNameNr_bytesAvailable 13149
#define sipName_bytesAvailable &sipStrings_QtNetwork[13149]
#define sipNameNr_caCertificates 13164
#define sipName_caCertificates &sipStrings_QtNetwork[13164]
#define sipNameNr_cacheDirectory 13179
#define sipName_cacheDirectory &sipStrings_QtNetwork[13179]
#define sipNameNr_deleteResource 13194
#define sipName_deleteResource &sipStrings_QtNetwork[13194]
#define sipNameNr_dnsEligibility 13209
#define sipName_dnsEligibility &sipStrings_QtNetwork[13209]
#define sipNameNr_ellipticCurves 13224
#define sipName_ellipticCurves &sipStrings_QtNetwork[13224]
#define sipNameNr_expirationDate 13239
#define sipName_expirationDate &sipStrings_QtNetwork[13239]
#define sipNameNr_fullServerName 13254
#define sipName_fullServerName &sipStrings_QtNetwork[13254]
#define sipNameNr_interfaceIndex 13269
#define sipName_interfaceIndex &sipStrings_QtNetwork[13269]
#define sipNameNr_isCachingProxy 13284
#define sipName_isCachingProxy &sipStrings_QtNetwork[13284]
#define sipNameNr_pauseAccepting 13299
#define sipName_pauseAccepting &sipStrings_QtNetwork[13299]
#define sipNameNr_peerVerifyMode 13314
#define sipName_peerVerifyMode &sipStrings_QtNetwork[13314]
#define sipNameNr_peerVerifyName 13329
#define sipName_peerVerifyName &sipStrings_QtNetwork[13329]
#define sipNameNr_pointerRecords 13344
#define sipName_pointerRecords &sipStrings_QtNetwork[13344]
#define sipNameNr_protocolString 13359
#define sipName_protocolString &sipStrings_QtNetwork[13359]
#define sipNameNr_rawHeaderPairs 13374
#define sipName_rawHeaderPairs &sipStrings_QtNetwork[13374]
#define sipNameNr_readBufferSize 13389
#define sipName_readBufferSize &sipStrings_QtNetwork[13389]
#define sipNameNr_redirectPolicy 13404
#define sipName_redirectPolicy &sipStrings_QtNetwork[13404]
#define sipNameNr_sameSitePolicy 13419
#define sipName_sameSitePolicy &sipStrings_QtNetwork[13419]
#define sipNameNr_serviceRecords 13434
#define sipName_serviceRecords &sipStrings_QtNetwork[13434]
#define sipNameNr_setContentType 13449
#define sipName_setContentType &sipStrings_QtNetwork[13449]
#define sipNameNr_setDestination 13464
#define sipName_setDestination &sipStrings_QtNetwork[13464]
#define sipNameNr_setErrorString 13479
#define sipName_setErrorString &sipStrings_QtNetwork[13479]
#define sipNameNr_setPeerAddress 13494
#define sipName_setPeerAddress &sipStrings_QtNetwork[13494]
#define sipNameNr_setProtocolTag 13509
#define sipName_setProtocolTag &sipStrings_QtNetwork[13509]
#define sipNameNr_setSocketError 13524
#define sipName_setSocketError &sipStrings_QtNetwork[13524]
#define sipNameNr_setSocketState 13539
#define sipName_setSocketState &sipStrings_QtNetwork[13539]
#define sipNameNr_updateMetaData 13554
#define sipName_updateMetaData &sipStrings_QtNetwork[13554]
#define sipNameNr_uploadProgress 13569
#define sipName_uploadProgress &sipStrings_QtNetwork[13569]
#define sipNameNr_validateCookie 13584
#define sipName_validateCookie &sipStrings_QtNetwork[13584]
#define sipNameNr_AlwaysNetwork 13599
#define sipName_AlwaysNetwork &sipStrings_QtNetwork[13599]
#define sipNameNr_AnyIPProtocol 13613
#define sipName_AnyIPProtocol &sipStrings_QtNetwork[13613]
#define sipNameNr_CaptivePortal 7360
#define sipName_CaptivePortal &sipStrings_QtNetwork[7360]
#define sipNameNr_DiffieHellman 13627
#define sipName_DiffieHellman &sipStrings_QtNetwork[13627]
#define sipNameNr_DnsIneligible 13641
#define sipName_DnsIneligible &sipStrings_QtNetwork[13641]
#define sipNameNr_EllipticCurve 10450
#define sipName_EllipticCurve &sipStrings_QtNetwork[10450]
#define sipNameNr_HeadOperation 13655
#define sipName_HeadOperation &sipStrings_QtNetwork[13655]
#define sipNameNr_HostInfoError 5190
#define sipName_HostInfoError &sipStrings_QtNetwork[5190]
#define sipNameNr_IfMatchHeader 13669
#define sipName_IfMatchHeader &sipStrings_QtNetwork[13669]
#define sipNameNr_InterfaceFlag 1572
#define sipName_InterfaceFlag &sipStrings_QtNetwork[1572]
#define sipNameNr_InterfaceType 1605
#define sipName_InterfaceType &sipStrings_QtNetwork[1605]
#define sipNameNr_InternalError 10216
#define sipName_InternalError &sipStrings_QtNetwork[10216]
#define sipNameNr_KeyCompromise 13683
#define sipName_KeyCompromise &sipStrings_QtNetwork[13683]
#define sipNameNr_LocalHostIPv6 13697
#define sipName_LocalHostIPv6 &sipStrings_QtNetwork[13697]
#define sipNameNr_NoCertificate 13711
#define sipName_NoCertificate &sipStrings_QtNetwork[13711]
#define sipNameNr_NotFoundError 7708
#define sipName_NotFoundError &sipStrings_QtNetwork[7708]
#define sipNameNr_PatternSyntax 2240
#define sipName_PatternSyntax &sipStrings_QtNetwork[2240]
#define sipNameNr_PostOperation 13725
#define sipName_PostOperation &sipStrings_QtNetwork[13725]
#define sipNameNr_PreferNetwork 13739
#define sipName_PreferNetwork &sipStrings_QtNetwork[13739]
#define sipNameNr_QNetworkProxy 13753
#define sipName_QNetworkProxy &sipStrings_QtNetwork[13753]
#define sipNameNr_QNetworkReply 13767
#define sipName_QNetworkReply &sipStrings_QtNetwork[13767]
#define sipNameNr_QOcspResponse 13781
#define sipName_QOcspResponse &sipStrings_QtNetwork[13781]
#define sipNameNr_QSsl__KeyType 13795
#define sipName_QSsl__KeyType &sipStrings_QtNetwork[13795]
#define sipNameNr_RemoveFromCRL 13809
#define sipName_RemoveFromCRL &sipStrings_QtNetwork[13809]
#define sipNameNr_ResolverError 13823
#define sipName_ResolverError &sipStrings_QtNetwork[13823]
#define sipNameNr_SessionTicket 11711
#define sipName_SessionTicket &sipStrings_QtNetwork[11711]
#define sipNameNr_SslClientMode 13837
#define sipName_SslClientMode &sipStrings_QtNetwork[13837]
#define sipNameNr_SslServerMode 13851
#define sipName_SslServerMode &sipStrings_QtNetwork[13851]
#define sipNameNr_UserCancelled 13865
#define sipName_UserCancelled &sipStrings_QtNetwork[13865]
#define sipNameNr_activeBackend 13879
#define sipName_activeBackend &sipStrings_QtNetwork[13879]
#define sipNameNr_alertReceived 13893
#define sipName_alertReceived &sipStrings_QtNetwork[13893]
#define sipNameNr_allInterfaces 13907
#define sipName_allInterfaces &sipStrings_QtNetwork[13907]
#define sipNameNr_connectNotify 11558
#define sipName_connectNotify &sipStrings_QtNetwork[11558]
#define sipNameNr_connectToHost 13921
#define sipName_connectToHost &sipStrings_QtNetwork[13921]
#define sipNameNr_cookiesForUrl 13935
#define sipName_cookiesForUrl &sipStrings_QtNetwork[13935]
#define sipNameNr_createRequest 13949
#define sipName_createRequest &sipStrings_QtNetwork[13949]
#define sipNameNr_effectiveDate 13963
#define sipName_effectiveDate &sipStrings_QtNetwork[13963]
#define sipNameNr_errorOccurred 13977
#define sipName_errorOccurred &sipStrings_QtNetwork[13977]
#define sipNameNr_fromShortName 13991
#define sipName_fromShortName &sipStrings_QtNetwork[13991]
#define sipNameNr_isBlacklisted 14005
#define sipName_isBlacklisted &sipStrings_QtNetwork[14005]
#define sipNameNr_localHostName 14019
#define sipName_localHostName &sipStrings_QtNetwork[14019]
#define sipNameNr_newConnection 14033
#define sipName_newConnection &sipStrings_QtNetwork[14033]
#define sipNameNr_ocspResponses 14047
#define sipName_ocspResponses &sipStrings_QtNetwork[14047]
#define sipNameNr_proxyForQuery 14061
#define sipName_proxyForQuery &sipStrings_QtNetwork[14061]
#define sipNameNr_rawHeaderList 14075
#define sipName_rawHeaderList &sipStrings_QtNetwork[14075]
#define sipNameNr_senderAddress 14089
#define sipName_senderAddress &sipStrings_QtNetwork[14089]
#define sipNameNr_serverAddress 14103
#define sipName_serverAddress &sipStrings_QtNetwork[14103]
#define sipNameNr_sessionCipher 14117
#define sipName_sessionCipher &sipStrings_QtNetwork[14117]
#define sipNameNr_sessionTicket 14131
#define sipName_sessionTicket &sipStrings_QtNetwork[14131]
#define sipNameNr_setAllCookies 14145
#define sipName_setAllCookies &sipStrings_QtNetwork[14145]
#define sipNameNr_setAttributes 14159
#define sipName_setAttributes &sipStrings_QtNetwork[14159]
#define sipNameNr_setBodyDevice 14173
#define sipName_setBodyDevice &sipStrings_QtNetwork[14173]
#define sipNameNr_setNameserver 14187
#define sipName_setNameserver &sipStrings_QtNetwork[14187]
#define sipNameNr_setPrivateKey 14201
#define sipName_setPrivateKey &sipStrings_QtNetwork[14201]
#define sipNameNr_setRawHeaders 14215
#define sipName_setRawHeaders &sipStrings_QtNetwork[14215]
#define sipNameNr_setSaveToDisk 14229
#define sipName_setSaveToDisk &sipStrings_QtNetwork[14229]
#define sipNameNr_setServerName 14243
#define sipName_setServerName &sipStrings_QtNetwork[14243]
#define sipNameNr_socketOptions 14257
#define sipName_socketOptions &sipStrings_QtNetwork[14257]
#define sipNameNr_supportedBits 14271
#define sipName_supportedBits &sipStrings_QtNetwork[14271]
#define sipNameNr_testSslOption 14285
#define sipName_testSslOption &sipStrings_QtNetwork[14285]
#define sipNameNr_toIPv4Address 14299
#define sipName_toIPv4Address &sipStrings_QtNetwork[14299]
#define sipNameNr_toIPv6Address 14313
#define sipName_toIPv6Address &sipStrings_QtNetwork[14313]
#define sipNameNr_writeDatagram 14327
#define sipName_writeDatagram &sipStrings_QtNetwork[14327]
#define sipNameNr_AccessDenied 8462
#define sipName_AccessDenied &sipStrings_QtNetwork[8462]
#define sipNameNr_BadRecordMac 14341
#define sipName_BadRecordMac &sipStrings_QtNetwork[14341]
#define sipNameNr_CACompromise 14354
#define sipName_CACompromise &sipStrings_QtNetwork[14354]
#define sipNameNr_CanBroadcast 14367
#define sipName_CanBroadcast &sipStrings_QtNetwork[14367]
#define sipNameNr_CanMulticast 14380
#define sipName_CanMulticast &sipStrings_QtNetwork[14380]
#define sipNameNr_ClosingState 14393
#define sipName_ClosingState &sipStrings_QtNetwork[14393]
#define sipNameNr_CookieHeader 12233
#define sipName_CookieHeader &sipStrings_QtNetwork[12233]
#define sipNameNr_DecryptError 14406
#define sipName_DecryptError &sipStrings_QtNetwork[14406]
#define sipNameNr_DefaultProxy 14419
#define sipName_DefaultProxy &sipStrings_QtNetwork[14419]
#define sipNameNr_Disconnected 9202
#define sipName_Disconnected &sipStrings_QtNetwork[9202]
#define sipNameNr_EmailAddress 14432
#define sipName_EmailAddress &sipStrings_QtNetwork[14432]
#define sipNameNr_FormDataType 14445
#define sipName_FormDataType &sipStrings_QtNetwork[14445]
#define sipNameNr_GetOperation 14458
#define sipName_GetOperation &sipStrings_QtNetwork[14458]
#define sipNameNr_HighPriority 14471
#define sipName_HighPriority &sipStrings_QtNetwork[14471]
#define sipNameNr_HostNotFound 14484
#define sipName_HostNotFound &sipStrings_QtNetwork[14484]
#define sipNameNr_IPv4Protocol 14497
#define sipName_IPv4Protocol &sipStrings_QtNetwork[14497]
#define sipNameNr_IPv6Protocol 14510
#define sipName_IPv6Protocol &sipStrings_QtNetwork[14510]
#define sipNameNr_KeyAlgorithm 9468
#define sipName_KeyAlgorithm &sipStrings_QtNetwork[9468]
#define sipNameNr_KnownHeaders 2699
#define sipName_KnownHeaders &sipStrings_QtNetwork[2699]
#define sipNameNr_LocalityName 14523
#define sipName_LocalityName &sipStrings_QtNetwork[14523]
#define sipNameNr_NetworkError 3830
#define sipName_NetworkError &sipStrings_QtNetwork[3830]
#define sipNameNr_NoSslSupport 14536
#define sipName_NoSslSupport &sipStrings_QtNetwork[14536]
#define sipNameNr_OcspTryLater 14549
#define sipName_OcspTryLater &sipStrings_QtNetwork[14549]
#define sipNameNr_Organization 14562
#define sipName_Organization &sipStrings_QtNetwork[14562]
#define sipNameNr_PutOperation 14575
#define sipName_PutOperation &sipStrings_QtNetwork[14575]
#define sipNameNr_QHostAddress 14588
#define sipName_QHostAddress &sipStrings_QtNetwork[14588]
#define sipNameNr_QLocalServer 14601
#define sipName_QLocalServer &sipStrings_QtNetwork[14601]
#define sipNameNr_QLocalSocket 14614
#define sipName_QLocalSocket &sipStrings_QtNetwork[14614]
#define sipNameNr_Reachability 1239
#define sipName_Reachability &sipStrings_QtNetwork[1239]
#define sipNameNr_SerialNumber 14627
#define sipName_SerialNumber &sipStrings_QtNetwork[14627]
#define sipNameNr_ServerHeader 14640
#define sipName_ServerHeader &sipStrings_QtNetwork[14640]
#define sipNameNr_ShareAddress 11168
#define sipName_ShareAddress &sipStrings_QtNetwork[11168]
#define sipNameNr_SocketOption 2549
#define sipName_SocketOption &sipStrings_QtNetwork[2549]
#define sipNameNr_TimeoutError 3690
#define sipName_TimeoutError &sipStrings_QtNetwork[3690]
#define sipNameNr_UnknownError 7877
#define sipName_UnknownError &sipStrings_QtNetwork[7877]
#define sipNameNr_allAddresses 14653
#define sipName_allAddresses &sipStrings_QtNetwork[14653]
#define sipNameNr_bytesToWrite 14666
#define sipName_bytesToWrite &sipStrings_QtNetwork[14666]
#define sipNameNr_capabilities 14679
#define sipName_capabilities &sipStrings_QtNetwork[14679]
#define sipNameNr_defaultValue 14692
#define sipName_defaultValue &sipStrings_QtNetwork[14692]
#define sipNameNr_deleteCookie 14705
#define sipName_deleteCookie &sipStrings_QtNetwork[14705]
#define sipNameNr_disconnected 14718
#define sipName_disconnected &sipStrings_QtNetwork[14718]
#define sipNameNr_fileMetaData 14731
#define sipName_fileMetaData &sipStrings_QtNetwork[14731]
#define sipNameNr_fromLongName 14744
#define sipName_fromLongName &sipStrings_QtNetwork[14744]
#define sipNameNr_hasRawHeader 14757
#define sipName_hasRawHeader &sipStrings_QtNetwork[14757]
#define sipNameNr_identityHint 14770
#define sipName_identityHint &sipStrings_QtNetwork[14770]
#define sipNameNr_importPkcs12 14783
#define sipName_importPkcs12 &sipStrings_QtNetwork[14783]
#define sipNameNr_insertCookie 14796
#define sipName_insertCookie &sipStrings_QtNetwork[14796]
#define sipNameNr_isSelfSigned 14809
#define sipName_isSelfSigned &sipStrings_QtNetwork[14809]
#define sipNameNr_isSequential 14822
#define sipName_isSequential &sipStrings_QtNetwork[14822]
#define sipNameNr_lastModified 14835
#define sipName_lastModified &sipStrings_QtNetwork[14835]
#define sipNameNr_localAddress 14848
#define sipName_localAddress &sipStrings_QtNetwork[14848]
#define sipNameNr_maxFrameSize 14861
#define sipName_maxFrameSize &sipStrings_QtNetwork[14861]
#define sipNameNr_parseCookies 14874
#define sipName_parseCookies &sipStrings_QtNetwork[14874]
#define sipNameNr_peerHostName 14887
#define sipName_peerHostName &sipStrings_QtNetwork[14887]
#define sipNameNr_preSharedKey 14900
#define sipName_preSharedKey &sipStrings_QtNetwork[14900]
#define sipNameNr_prefixLength 14913
#define sipName_prefixLength &sipStrings_QtNetwork[14913]
#define sipNameNr_proxyFactory 14926
#define sipName_proxyFactory &sipStrings_QtNetwork[14926]
#define sipNameNr_reachability 14939
#define sipName_reachability &sipStrings_QtNetwork[14939]
#define sipNameNr_readDatagram 14952
#define sipName_readDatagram &sipStrings_QtNetwork[14952]
#define sipNameNr_readLineData 14965
#define sipName_readLineData &sipStrings_QtNetwork[14965]
#define sipNameNr_removeServer 14978
#define sipName_removeServer &sipStrings_QtNetwork[14978]
#define sipNameNr_serialNumber 14991
#define sipName_serialNumber &sipStrings_QtNetwork[14991]
#define sipNameNr_setAddresses 15004
#define sipName_setAddresses &sipStrings_QtNetwork[15004]
#define sipNameNr_setAttribute 15017
#define sipName_setAttribute &sipStrings_QtNetwork[15017]
#define sipNameNr_setBroadcast 15030
#define sipName_setBroadcast &sipStrings_QtNetwork[15030]
#define sipNameNr_setCookieJar 15043
#define sipName_setCookieJar &sipStrings_QtNetwork[15043]
#define sipNameNr_setLocalPort 15056
#define sipName_setLocalPort &sipStrings_QtNetwork[15056]
#define sipNameNr_setOperation 15069
#define sipName_setOperation &sipStrings_QtNetwork[15069]
#define sipNameNr_setPauseMode 15082
#define sipName_setPauseMode &sipStrings_QtNetwork[15082]
#define sipNameNr_setQueryType 15095
#define sipName_setQueryType &sipStrings_QtNetwork[15095]
#define sipNameNr_setRawHeader 15108
#define sipName_setRawHeader &sipStrings_QtNetwork[15108]
#define sipNameNr_setSslOption 15121
#define sipName_setSslOption &sipStrings_QtNetwork[15121]
#define sipNameNr_socketOption 15134
#define sipName_socketOption &sipStrings_QtNetwork[15134]
#define sipNameNr_stateChanged 15147
#define sipName_stateChanged &sipStrings_QtNetwork[15147]
#define sipNameNr_updateCookie 15160
#define sipName_updateCookie &sipStrings_QtNetwork[15160]
#define sipNameNr_AlwaysCache 15173
#define sipName_AlwaysCache &sipStrings_QtNetwork[15173]
#define sipNameNr_AnyProtocol 15185
#define sipName_AnyProtocol &sipStrings_QtNetwork[15185]
#define sipNameNr_Certificate 1308
#define sipName_Certificate &sipStrings_QtNetwork[1308]
#define sipNameNr_CloseNotify 15197
#define sipName_CloseNotify &sipStrings_QtNetwork[15197]
#define sipNameNr_ContentType 3747
#define sipName_ContentType &sipStrings_QtNetwork[3747]
#define sipNameNr_CountryName 15209
#define sipName_CountryName &sipStrings_QtNetwork[15209]
#define sipNameNr_DecodeError 15221
#define sipName_DecodeError &sipStrings_QtNetwork[15221]
#define sipNameNr_DnsEligible 15233
#define sipName_DnsEligible &sipStrings_QtNetwork[15233]
#define sipNameNr_FixedString 15245
#define sipName_FixedString &sipStrings_QtNetwork[15245]
#define sipNameNr_LoadControl 1274
#define sipName_LoadControl &sipStrings_QtNetwork[1274]
#define sipNameNr_LowPriority 15257
#define sipName_LowPriority &sipStrings_QtNetwork[15257]
#define sipNameNr_PreferCache 15269
#define sipName_PreferCache &sipStrings_QtNetwork[15269]
#define sipNameNr_QHstsPolicy 15281
#define sipName_QHstsPolicy &sipStrings_QtNetwork[15281]
#define sipNameNr_RelatedType 15293
#define sipName_RelatedType &sipStrings_QtNetwork[15293]
#define sipNameNr_SocketError 2149
#define sipName_SocketError &sipStrings_QtNetwork[2149]
#define sipNameNr_SocketState 2180
#define sipName_SocketState &sipStrings_QtNetwork[2180]
#define sipNameNr_Socks5Proxy 15305
#define sipName_Socks5Proxy &sipStrings_QtNetwork[15305]
#define sipNameNr_SslProtocol 10416
#define sipName_SslProtocol &sipStrings_QtNetwork[10416]
#define sipNameNr_SubjectInfo 3289
#define sipName_SubjectInfo &sipStrings_QtNetwork[3289]
#define sipNameNr_Unspecified 15317
#define sipName_Unspecified &sipStrings_QtNetwork[15317]
#define sipNameNr_acceptError 15329
#define sipName_acceptError &sipStrings_QtNetwork[15329]
#define sipNameNr_backendName 15341
#define sipName_backendName &sipStrings_QtNetwork[15341]
#define sipNameNr_canReadLine 15353
#define sipName_canReadLine &sipStrings_QtNetwork[15353]
#define sipNameNr_certificate 15365
#define sipName_certificate &sipStrings_QtNetwork[15365]
#define sipNameNr_customEvent 15377
#define sipName_customEvent &sipStrings_QtNetwork[15377]
#define sipNameNr_errorString 15389
#define sipName_errorString &sipStrings_QtNetwork[15389]
#define sipNameNr_eventFilter 15401
#define sipName_eventFilter &sipStrings_QtNetwork[15401]
#define sipNameNr_fromEncoded 15413
#define sipName_fromEncoded &sipStrings_QtNetwork[15413]
#define sipNameNr_isBroadcast 15425
#define sipName_isBroadcast &sipStrings_QtNetwork[15425]
#define sipNameNr_isEncrypted 15437
#define sipName_isEncrypted &sipStrings_QtNetwork[15437]
#define sipNameNr_isLinkLocal 15449
#define sipName_isLinkLocal &sipStrings_QtNetwork[15449]
#define sipNameNr_isListening 15461
#define sipName_isListening &sipStrings_QtNetwork[15461]
#define sipNameNr_isMulticast 15473
#define sipName_isMulticast &sipStrings_QtNetwork[15473]
#define sipNameNr_isPermanent 15485
#define sipName_isPermanent &sipStrings_QtNetwork[15485]
#define sipNameNr_isSiteLocal 15497
#define sipName_isSiteLocal &sipStrings_QtNetwork[15497]
#define sipNameNr_isSupported 15509
#define sipName_isSupported &sipStrings_QtNetwork[15509]
#define sipNameNr_isTemporary 15521
#define sipName_isTemporary &sipStrings_QtNetwork[15521]
#define sipNameNr_modeChanged 15533
#define sipName_modeChanged &sipStrings_QtNetwork[15533]
#define sipNameNr_nameChanged 15545
#define sipName_nameChanged &sipStrings_QtNetwork[15545]
#define sipNameNr_parseSubnet 15557
#define sipName_parseSubnet &sipStrings_QtNetwork[15557]
#define sipNameNr_peerAddress 15569
#define sipName_peerAddress &sipStrings_QtNetwork[15569]
#define sipNameNr_protocolTag 15581
#define sipName_protocolTag &sipStrings_QtNetwork[15581]
#define sipNameNr_requestSent 15593
#define sipName_requestSent &sipStrings_QtNetwork[15593]
#define sipNameNr_serverError 15605
#define sipName_serverError &sipStrings_QtNetwork[15605]
#define sipNameNr_setBoundary 15617
#define sipName_setBoundary &sipStrings_QtNetwork[15617]
#define sipNameNr_setFinished 15629
#define sipName_setFinished &sipStrings_QtNetwork[15629]
#define sipNameNr_setHopLimit 15641
#define sipName_setHopLimit &sipStrings_QtNetwork[15641]
#define sipNameNr_setHostName 15653
#define sipName_setHostName &sipStrings_QtNetwork[15653]
#define sipNameNr_setHttpOnly 15665
#define sipName_setHttpOnly &sipStrings_QtNetwork[15665]
#define sipNameNr_setIdentity 15677
#define sipName_setIdentity &sipStrings_QtNetwork[15677]
#define sipNameNr_setLookupId 15689
#define sipName_setLookupId &sipStrings_QtNetwork[15689]
#define sipNameNr_setPassword 15701
#define sipName_setPassword &sipStrings_QtNetwork[15701]
#define sipNameNr_setPeerName 15713
#define sipName_setPeerName &sipStrings_QtNetwork[15713]
#define sipNameNr_setPeerPort 15725
#define sipName_setPeerPort &sipStrings_QtNetwork[15725]
#define sipNameNr_setPriority 15737
#define sipName_setPriority &sipStrings_QtNetwork[15737]
#define sipNameNr_setProtocol 15749
#define sipName_setProtocol &sipStrings_QtNetwork[15749]
#define sipNameNr_subjectInfo 15761
#define sipName_subjectInfo &sipStrings_QtNetwork[15761]
#define sipNameNr_supportsSsl 15773
#define sipName_supportsSsl &sipStrings_QtNetwork[15773]
#define sipNameNr_textRecords 15785
#define sipName_textRecords &sipStrings_QtNetwork[15785]
#define sipNameNr_typeChanged 15797
#define sipName_typeChanged &sipStrings_QtNetwork[15797]
#define sipNameNr_AlertLevel 11374
#define sipName_AlertLevel &sipStrings_QtNetwork[11374]
#define sipNameNr_BoundState 15809
#define sipName_BoundState &sipStrings_QtNetwork[15809]
#define sipNameNr_Capability 4912
#define sipName_Capability &sipStrings_QtNetwork[4912]
#define sipNameNr_CommonName 15820
#define sipName_CommonName &sipStrings_QtNetwork[15820]
#define sipNameNr_DtlsCookie 15831
#define sipName_DtlsCookie &sipStrings_QtNetwork[15831]
#define sipNameNr_ETagHeader 15842
#define sipName_ETagHeader &sipStrings_QtNetwork[15842]
#define sipNameNr_EmailEntry 15853
#define sipName_EmailEntry &sipStrings_QtNetwork[15853]
#define sipNameNr_Ieee802154 15864
#define sipName_Ieee802154 &sipStrings_QtNetwork[15864]
#define sipNameNr_IsLoopBack 15875
#define sipName_IsLoopBack &sipStrings_QtNetwork[15875]
#define sipNameNr_PauseNever 15886
#define sipName_PauseNever &sipStrings_QtNetwork[15886]
#define sipNameNr_PolicyFlag 5783
#define sipName_PolicyFlag &sipStrings_QtNetwork[5783]
#define sipNameNr_PrivateKey 14204
#define sipName_PrivateKey &sipStrings_QtNetwork[14204]
#define sipNameNr_QDnsLookup 15897
#define sipName_QDnsLookup &sipStrings_QtNetwork[15897]
#define sipNameNr_QSslCipher 15908
#define sipName_QSslCipher &sipStrings_QtNetwork[15908]
#define sipNameNr_QSslServer 15919
#define sipName_QSslServer &sipStrings_QtNetwork[15919]
#define sipNameNr_QSslSocket 15930
#define sipName_QSslSocket &sipStrings_QtNetwork[15930]
#define sipNameNr_QTcpServer 15941
#define sipName_QTcpServer &sipStrings_QtNetwork[15941]
#define sipNameNr_QTcpSocket 15952
#define sipName_QTcpSocket &sipStrings_QtNetwork[15952]
#define sipNameNr_QUdpSocket 15963
#define sipName_QUdpSocket &sipStrings_QtNetwork[15963]
#define sipNameNr_Q_IPV6ADDR 15974
#define sipName_Q_IPV6ADDR &sipStrings_QtNetwork[15974]
#define sipNameNr_SctpServer 15985
#define sipName_SctpServer &sipStrings_QtNetwork[15985]
#define sipNameNr_SctpSocket 15996
#define sipName_SctpSocket &sipStrings_QtNetwork[15996]
#define sipNameNr_SocketType 3720
#define sipName_SocketType &sipStrings_QtNetwork[3720]
#define sipNameNr_Superseded 16007
#define sipName_Superseded &sipStrings_QtNetwork[16007]
#define sipNameNr_UrlRequest 16018
#define sipName_UrlRequest &sipStrings_QtNetwork[16018]
#define sipNameNr_VerifyNone 16029
#define sipName_VerifyNone &sipStrings_QtNetwork[16029]
#define sipNameNr_VerifyPeer 12778
#define sipName_VerifyPeer &sipStrings_QtNetwork[12778]
#define sipNameNr___lshift__ 16040
#define sipName___lshift__ &sipStrings_QtNetwork[16040]
#define sipNameNr___rshift__ 16051
#define sipName___rshift__ &sipStrings_QtNetwork[16051]
#define sipNameNr_allCookies 16062
#define sipName_allCookies &sipStrings_QtNetwork[16062]
#define sipNameNr_attributes 16073
#define sipName_attributes &sipStrings_QtNetwork[16073]
#define sipNameNr_childEvent 16084
#define sipName_childEvent &sipStrings_QtNetwork[16084]
#define sipNameNr_expiryDate 16095
#define sipName_expiryDate &sipStrings_QtNetwork[16095]
#define sipNameNr_extensions 16106
#define sipName_extensions &sipStrings_QtNetwork[16106]
#define sipNameNr_fromDevice 16117
#define sipName_fromDevice &sipStrings_QtNetwork[16117]
#define sipNameNr_isCritical 16128
#define sipName_isCritical &sipStrings_QtNetwork[16128]
#define sipNameNr_isFinished 16139
#define sipName_isFinished &sipStrings_QtNetwork[16139]
#define sipNameNr_isHttpOnly 16150
#define sipName_isHttpOnly &sipStrings_QtNetwork[16150]
#define sipNameNr_isInSubnet 16161
#define sipName_isInSubnet &sipStrings_QtNetwork[16161]
#define sipNameNr_isLoopback 16172
#define sipName_isLoopback &sipStrings_QtNetwork[16172]
#define sipNameNr_issuerInfo 16183
#define sipName_issuerInfo &sipStrings_QtNetwork[16183]
#define sipNameNr_lookupHost 16194
#define sipName_lookupHost &sipStrings_QtNetwork[16194]
#define sipNameNr_nameserver 16205
#define sipName_nameserver &sipStrings_QtNetwork[16205]
#define sipNameNr_passPhrase 16216
#define sipName_passPhrase &sipStrings_QtNetwork[16216]
#define sipNameNr_preference 16227
#define sipName_preference &sipStrings_QtNetwork[16227]
#define sipNameNr_privateKey 16238
#define sipName_privateKey &sipStrings_QtNetwork[16238]
#define sipNameNr_queryProxy 16249
#define sipName_queryProxy &sipStrings_QtNetwork[16249]
#define sipNameNr_rawHeaders 16260
#define sipName_rawHeaders &sipStrings_QtNetwork[16260]
#define sipNameNr_redirected 16271
#define sipName_redirected &sipStrings_QtNetwork[16271]
#define sipNameNr_saveToDisk 16282
#define sipName_saveToDisk &sipStrings_QtNetwork[16282]
#define sipNameNr_senderPort 16293
#define sipName_senderPort &sipStrings_QtNetwork[16293]
#define sipNameNr_serverName 16304
#define sipName_serverName &sipStrings_QtNetwork[16304]
#define sipNameNr_serverPort 16315
#define sipName_serverPort &sipStrings_QtNetwork[16315]
#define sipNameNr_setAddress 16326
#define sipName_setAddress &sipStrings_QtNetwork[16326]
#define sipNameNr_setCiphers 16337
#define sipName_setCiphers &sipStrings_QtNetwork[16337]
#define sipNameNr_setNetmask 16348
#define sipName_setNetmask &sipStrings_QtNetwork[16348]
#define sipNameNr_setRequest 16359
#define sipName_setRequest &sipStrings_QtNetwork[16359]
#define sipNameNr_setScopeId 16370
#define sipName_setScopeId &sipStrings_QtNetwork[16370]
#define sipNameNr_socketType 16381
#define sipName_socketType &sipStrings_QtNetwork[16381]
#define sipNameNr_timeToLive 16392
#define sipName_timeToLive &sipStrings_QtNetwork[16392]
#define sipNameNr_timerEvent 16403
#define sipName_timerEvent &sipStrings_QtNetwork[16403]
#define sipNameNr_AlertType 12172
#define sipName_AlertType &sipStrings_QtNetwork[12172]
#define sipNameNr_Attribute 134
#define sipName_Attribute &sipStrings_QtNetwork[134]
#define sipNameNr_Automatic 16414
#define sipName_Automatic &sipStrings_QtNetwork[16414]
#define sipNameNr_Bluetooth 16424
#define sipName_Bluetooth &sipStrings_QtNetwork[16424]
#define sipNameNr_Broadcast 14370
#define sipName_Broadcast &sipStrings_QtNetwork[14370]
#define sipNameNr_HttpProxy 16434
#define sipName_HttpProxy &sipStrings_QtNetwork[16434]
#define sipNameNr_Ieee80211 16444
#define sipName_Ieee80211 &sipStrings_QtNetwork[16444]
#define sipNameNr_Ieee80216 16454
#define sipName_Ieee80216 &sipStrings_QtNetwork[16454]
#define sipNameNr_IsRunning 16464
#define sipName_IsRunning &sipStrings_QtNetwork[16464]
#define sipNameNr_LocalHost 11154
#define sipName_LocalHost &sipStrings_QtNetwork[11154]
#define sipNameNr_MixedType 16474
#define sipName_MixedType &sipStrings_QtNetwork[16474]
#define sipNameNr_NoOptions 16484
#define sipName_NoOptions &sipStrings_QtNetwork[16484]
#define sipNameNr_Operation 1543
#define sipName_Operation &sipStrings_QtNetwork[1543]
#define sipNameNr_PauseMode 4274
#define sipName_PauseMode &sipStrings_QtNetwork[4274]
#define sipNameNr_ProxyType 5344
#define sipName_ProxyType &sipStrings_QtNetwork[5344]
#define sipNameNr_PublicKey 2792
#define sipName_PublicKey &sipStrings_QtNetwork[2792]
#define sipNameNr_QHostInfo 16494
#define sipName_QHostInfo &sipStrings_QtNetwork[16494]
#define sipNameNr_QHttpPart 16504
#define sipName_QHttpPart &sipStrings_QtNetwork[16504]
#define sipNameNr_QSslError 16514
#define sipName_QSslError &sipStrings_QtNetwork[16514]
#define sipNameNr_QueryPeer 16524
#define sipName_QueryPeer &sipStrings_QtNetwork[16524]
#define sipNameNr_QueryType 2672
#define sipName_QueryType &sipStrings_QtNetwork[2672]
#define sipNameNr_SixLoWPAN 16534
#define sipName_SixLoWPAN &sipStrings_QtNetwork[16534]
#define sipNameNr_SslOption 12188
#define sipName_SslOption &sipStrings_QtNetwork[12188]
#define sipNameNr_TcpServer 15942
#define sipName_TcpServer &sipStrings_QtNetwork[15942]
#define sipNameNr_TcpSocket 15953
#define sipName_TcpSocket &sipStrings_QtNetwork[15953]
#define sipNameNr_UdpSocket 15964
#define sipName_UdpSocket &sipStrings_QtNetwork[15964]
#define sipNameNr_UnknownCa 16544
#define sipName_UnknownCa &sipStrings_QtNetwork[16544]
#define sipNameNr_addresses 16554
#define sipName_addresses &sipStrings_QtNetwork[16554]
#define sipNameNr_alertSent 16564
#define sipName_alertSent &sipStrings_QtNetwork[16564]
#define sipNameNr_algorithm 16574
#define sipName_algorithm &sipStrings_QtNetwork[16574]
#define sipNameNr_attribute 16584
#define sipName_attribute &sipStrings_QtNetwork[16584]
#define sipNameNr_broadcast 16594
#define sipName_broadcast &sipStrings_QtNetwork[16594]
#define sipNameNr_cacheSize 16604
#define sipName_cacheSize &sipStrings_QtNetwork[16604]
#define sipNameNr_connected 9205
#define sipName_connected &sipStrings_QtNetwork[9205]
#define sipNameNr_cookieJar 16614
#define sipName_cookieJar &sipStrings_QtNetwork[16614]
#define sipNameNr_encrypted 16624
#define sipName_encrypted &sipStrings_QtNetwork[16624]
#define sipNameNr_hostFound 16634
#define sipName_hostFound &sipStrings_QtNetwork[16634]
#define sipNameNr_isExpired 16644
#define sipName_isExpired &sipStrings_QtNetwork[16644]
#define sipNameNr_isMetered 16654
#define sipName_isMetered &sipStrings_QtNetwork[16654]
#define sipNameNr_isRunning 16664
#define sipName_isRunning &sipStrings_QtNetwork[16664]
#define sipNameNr_localPort 16674
#define sipName_localPort &sipStrings_QtNetwork[16674]
#define sipNameNr_makeReply 16684
#define sipName_makeReply &sipStrings_QtNetwork[16684]
#define sipNameNr_normalize 16694
#define sipName_normalize &sipStrings_QtNetwork[16694]
#define sipNameNr_operation 16704
#define sipName_operation &sipStrings_QtNetwork[16704]
#define sipNameNr_pauseMode 16714
#define sipName_pauseMode &sipStrings_QtNetwork[16714]
#define sipNameNr_publicKey 16724
#define sipName_publicKey &sipStrings_QtNetwork[16724]
#define sipNameNr_queryType 16734
#define sipName_queryType &sipStrings_QtNetwork[16734]
#define sipNameNr_rawHeader 16744
#define sipName_rawHeader &sipStrings_QtNetwork[16744]
#define sipNameNr_responder 16754
#define sipName_responder &sipStrings_QtNetwork[16754]
#define sipNameNr_setDomain 16764
#define sipName_setDomain &sipStrings_QtNetwork[16764]
#define sipNameNr_setExpiry 16774
#define sipName_setExpiry &sipStrings_QtNetwork[16774]
#define sipNameNr_setHeader 16784
#define sipName_setHeader &sipStrings_QtNetwork[16784]
#define sipNameNr_setOption 16794
#define sipName_setOption &sipStrings_QtNetwork[16794]
#define sipNameNr_setSecure 16804
#define sipName_setSecure &sipStrings_QtNetwork[16804]
#define sipNameNr_setSender 16814
#define sipName_setSender &sipStrings_QtNetwork[16814]
#define sipNameNr_shortName 16824
#define sipName_shortName &sipStrings_QtNetwork[16824]
#define sipNameNr_sslErrors 16834
#define sipName_sslErrors &sipStrings_QtNetwork[16834]
#define sipNameNr_toRawForm 16844
#define sipName_toRawForm &sipStrings_QtNetwork[16844]
#define sipNameNr_writeData 16854
#define sipName_writeData &sipStrings_QtNetwork[16854]
#define sipNameNr_BindFlag 4862
#define sipName_BindFlag &sipStrings_QtNetwork[4862]
#define sipNameNr_Cellular 16864
#define sipName_Cellular &sipStrings_QtNetwork[16864]
#define sipNameNr_DnsEntry 16873
#define sipName_DnsEntry &sipStrings_QtNetwork[16873]
#define sipNameNr_DtlsV1_0 16882
#define sipName_DtlsV1_0 &sipStrings_QtNetwork[16882]
#define sipNameNr_DtlsV1_2 16891
#define sipName_DtlsV1_2 &sipStrings_QtNetwork[16891]
#define sipNameNr_Ethernet 16900
#define sipName_Ethernet &sipStrings_QtNetwork[16900]
#define sipNameNr_Ieee1394 16909
#define sipName_Ieee1394 &sipStrings_QtNetwork[16909]
#define sipNameNr_Loopback 16174
#define sipName_Loopback &sipStrings_QtNetwork[16174]
#define sipNameNr_Priority 4940
#define sipName_Priority &sipStrings_QtNetwork[4940]
#define sipNameNr_SameSite 5320
#define sipName_SameSite &sipStrings_QtNetwork[5320]
#define sipNameNr_SslError 8726
#define sipName_SslError &sipStrings_QtNetwork[8726]
#define sipNameNr_Wildcard 16918
#define sipName_Wildcard &sipStrings_QtNetwork[16918]
#define sipNameNr___hash__ 16927
#define sipName___hash__ &sipStrings_QtNetwork[16927]
#define sipNameNr_boundary 16936
#define sipName_boundary &sipStrings_QtNetwork[16936]
#define sipNameNr_encoding 16945
#define sipName_encoding &sipStrings_QtNetwork[16945]
#define sipNameNr_exchange 16954
#define sipName_exchange &sipStrings_QtNetwork[16954]
#define sipNameNr_finished 16963
#define sipName_finished &sipStrings_QtNetwork[16963]
#define sipNameNr_fromData 16972
#define sipName_fromData &sipStrings_QtNetwork[16972]
#define sipNameNr_fromName 16981
#define sipName_fromName &sipStrings_QtNetwork[16981]
#define sipNameNr_fromPath 16990
#define sipName_fromPath &sipStrings_QtNetwork[16990]
#define sipNameNr_hopLimit 16999
#define sipName_hopLimit &sipStrings_QtNetwork[16999]
#define sipNameNr_hostName 17008
#define sipName_hostName &sipStrings_QtNetwork[17008]
#define sipNameNr_identity 17017
#define sipName_identity &sipStrings_QtNetwork[17017]
#define sipNameNr_instance 17026
#define sipName_instance &sipStrings_QtNetwork[17026]
#define sipNameNr_isGlobal 17035
#define sipName_isGlobal &sipStrings_QtNetwork[17035]
#define sipNameNr_isSecure 17044
#define sipName_isSecure &sipStrings_QtNetwork[17044]
#define sipNameNr_longName 17053
#define sipName_longName &sipStrings_QtNetwork[17053]
#define sipNameNr_lookupId 17062
#define sipName_lookupId &sipStrings_QtNetwork[17062]
#define sipNameNr_metaData 17071
#define sipName_metaData &sipStrings_QtNetwork[17071]
#define sipNameNr_password 17080
#define sipName_password &sipStrings_QtNetwork[17080]
#define sipNameNr_peerName 17089
#define sipName_peerName &sipStrings_QtNetwork[17089]
#define sipNameNr_peerPort 17098
#define sipName_peerPort &sipStrings_QtNetwork[17098]
#define sipNameNr_priority 17107
#define sipName_priority &sipStrings_QtNetwork[17107]
#define sipNameNr_protocol 17116
#define sipName_protocol &sipStrings_QtNetwork[17116]
#define sipNameNr_readData 17125
#define sipName_readData &sipStrings_QtNetwork[17125]
#define sipNameNr_setCache 17134
#define sipName_setCache &sipStrings_QtNetwork[17134]
#define sipNameNr_setError 17143
#define sipName_setError &sipStrings_QtNetwork[17143]
#define sipNameNr_setProxy 17152
#define sipName_setProxy &sipStrings_QtNetwork[17152]
#define sipNameNr_setValue 17161
#define sipName_setValue &sipStrings_QtNetwork[17161]
#define sipNameNr_skipData 17170
#define sipName_skipData &sipStrings_QtNetwork[17170]
#define sipNameNr_storeDir 17179
#define sipName_storeDir &sipStrings_QtNetwork[17179]
#define sipNameNr_supports 17188
#define sipName_supports &sipStrings_QtNetwork[17188]
#define sipNameNr_timedOut 17197
#define sipName_timedOut &sipStrings_QtNetwork[17197]
#define sipNameNr_toString 17206
#define sipName_toString &sipStrings_QtNetwork[17206]
#define sipNameNr_usedBits 17215
#define sipName_usedBits &sipStrings_QtNetwork[17215]
#define sipNameNr_AnyIPv4 17224
#define sipName_AnyIPv4 &sipStrings_QtNetwork[17224]
#define sipNameNr_AnyIPv6 17232
#define sipName_AnyIPv6 &sipStrings_QtNetwork[17232]
#define sipNameNr_Default 17240
#define sipName_Default &sipStrings_QtNetwork[17240]
#define sipNameNr_Feature 3235
#define sipName_Feature &sipStrings_QtNetwork[3235]
#define sipNameNr_KeyType 13801
#define sipName_KeyType &sipStrings_QtNetwork[13801]
#define sipNameNr_Metered 16656
#define sipName_Metered &sipStrings_QtNetwork[16656]
#define sipNameNr_NoError 17248
#define sipName_NoError &sipStrings_QtNetwork[17248]
#define sipNameNr_NoProxy 17256
#define sipName_NoProxy &sipStrings_QtNetwork[17256]
#define sipNameNr_QSslKey 17264
#define sipName_QSslKey &sipStrings_QtNetwork[17264]
#define sipNameNr_RawForm 5810
#define sipName_RawForm &sipStrings_QtNetwork[5810]
#define sipNameNr_Revoked 9264
#define sipName_Revoked &sipStrings_QtNetwork[9264]
#define sipNameNr_SslMode 8747
#define sipName_SslMode &sipStrings_QtNetwork[8747]
#define sipNameNr_TlsV1_0 17272
#define sipName_TlsV1_0 &sipStrings_QtNetwork[17272]
#define sipNameNr_TlsV1_1 17280
#define sipName_TlsV1_1 &sipStrings_QtNetwork[17280]
#define sipNameNr_TlsV1_2 17288
#define sipName_TlsV1_2 &sipStrings_QtNetwork[17288]
#define sipNameNr_TlsV1_3 17296
#define sipName_TlsV1_3 &sipStrings_QtNetwork[17296]
#define sipNameNr_Unknown 4837
#define sipName_Unknown &sipStrings_QtNetwork[4837]
#define sipNameNr_UserMax 17304
#define sipName_UserMax &sipStrings_QtNetwork[17304]
#define sipNameNr_Virtual 17312
#define sipName_Virtual &sipStrings_QtNetwork[17312]
#define sipNameNr_Warning 17320
#define sipName_Warning &sipStrings_QtNetwork[17320]
#define sipNameNr_address 17328
#define sipName_address &sipStrings_QtNetwork[17328]
#define sipNameNr_ciphers 17336
#define sipName_ciphers &sipStrings_QtNetwork[17336]
#define sipNameNr_isEmpty 17344
#define sipName_isEmpty &sipStrings_QtNetwork[17344]
#define sipNameNr_isEqual 17352
#define sipName_isEqual &sipStrings_QtNetwork[17352]
#define sipNameNr_isValid 17360
#define sipName_isValid &sipStrings_QtNetwork[17360]
#define sipNameNr_manager 17368
#define sipName_manager &sipStrings_QtNetwork[17368]
#define sipNameNr_maxSize 17376
#define sipName_maxSize &sipStrings_QtNetwork[17376]
#define sipNameNr_netmask 17384
#define sipName_netmask &sipStrings_QtNetwork[17384]
#define sipNameNr_options 17392
#define sipName_options &sipStrings_QtNetwork[17392]
#define sipNameNr_prepare 17400
#define sipName_prepare &sipStrings_QtNetwork[17400]
#define sipNameNr_request 17408
#define sipName_request &sipStrings_QtNetwork[17408]
#define sipNameNr_scopeId 17416
#define sipName_scopeId &sipStrings_QtNetwork[17416]
#define sipNameNr_setBody 17424
#define sipName_setBody &sipStrings_QtNetwork[17424]
#define sipNameNr_setData 17432
#define sipName_setData &sipStrings_QtNetwork[17432]
#define sipNameNr_setHost 17440
#define sipName_setHost &sipStrings_QtNetwork[17440]
#define sipNameNr_setName 17448
#define sipName_setName &sipStrings_QtNetwork[17448]
#define sipNameNr_setPath 17456
#define sipName_setPath &sipStrings_QtNetwork[17456]
#define sipNameNr_setPort 17464
#define sipName_setPort &sipStrings_QtNetwork[17464]
#define sipNameNr_setType 17472
#define sipName_setType &sipStrings_QtNetwork[17472]
#define sipNameNr_setUser 17480
#define sipName_setUser &sipStrings_QtNetwork[17480]
#define sipNameNr_subject 17488
#define sipName_subject &sipStrings_QtNetwork[17488]
#define sipNameNr_timeout 17496
#define sipName_timeout &sipStrings_QtNetwork[17496]
#define sipNameNr_version 9549
#define sipName_version &sipStrings_QtNetwork[9549]
#define sipNameNr_Alerts 17504
#define sipName_Alerts &sipStrings_QtNetwork[17504]
#define sipNameNr_CanBus 17511
#define sipName_CanBus &sipStrings_QtNetwork[17511]
#define sipNameNr_Manual 17518
#define sipName_Manual &sipStrings_QtNetwork[17518]
#define sipNameNr_Online 17525
#define sipName_Online &sipStrings_QtNetwork[17525]
#define sipNameNr_Opaque 17532
#define sipName_Opaque &sipStrings_QtNetwork[17532]
#define sipNameNr_Phonet 17539
#define sipName_Phonet &sipStrings_QtNetwork[17539]
#define sipNameNr_Socket 12143
#define sipName_Socket &sipStrings_QtNetwork[12143]
#define sipNameNr_Strict 17546
#define sipName_Strict &sipStrings_QtNetwork[17546]
#define sipNameNr___eq__ 17553
#define sipName___eq__ &sipStrings_QtNetwork[17553]
#define sipNameNr___ne__ 17560
#define sipName___ne__ &sipStrings_QtNetwork[17560]
#define sipNameNr_append 17567
#define sipName_append &sipStrings_QtNetwork[17567]
#define sipNameNr_device 17574
#define sipName_device &sipStrings_QtNetwork[17574]
#define sipNameNr_digest 17581
#define sipName_digest &sipStrings_QtNetwork[17581]
#define sipNameNr_domain 17588
#define sipName_domain &sipStrings_QtNetwork[17588]
#define sipNameNr_expire 17595
#define sipName_expire &sipStrings_QtNetwork[17595]
#define sipNameNr_expiry 17602
#define sipName_expiry &sipStrings_QtNetwork[17602]
#define sipNameNr_format 17609
#define sipName_format &sipStrings_QtNetwork[17609]
#define sipNameNr_handle 17616
#define sipName_handle &sipStrings_QtNetwork[17616]
#define sipNameNr_header 17623
#define sipName_header &sipStrings_QtNetwork[17623]
#define sipNameNr_insert 17630
#define sipName_insert &sipStrings_QtNetwork[17630]
#define sipNameNr_isNull 17637
#define sipName_isNull &sipStrings_QtNetwork[17637]
#define sipNameNr_length 17644
#define sipName_length &sipStrings_QtNetwork[17644]
#define sipNameNr_listen 17651
#define sipName_listen &sipStrings_QtNetwork[17651]
#define sipNameNr_lookup 17658
#define sipName_lookup &sipStrings_QtNetwork[17658]
#define sipNameNr_option 17665
#define sipName_option &sipStrings_QtNetwork[17665]
#define sipNameNr_parent 17672
#define sipName_parent &sipStrings_QtNetwork[17672]
#define sipNameNr_remove 17679
#define sipName_remove &sipStrings_QtNetwork[17679]
#define sipNameNr_resume 17686
#define sipName_resume &sipStrings_QtNetwork[17686]
#define sipNameNr_setUrl 17693
#define sipName_setUrl &sipStrings_QtNetwork[17693]
#define sipNameNr_syntax 17700
#define sipName_syntax &sipStrings_QtNetwork[17700]
#define sipNameNr_target 17707
#define sipName_target &sipStrings_QtNetwork[17707]
#define sipNameNr_toText 17714
#define sipName_toText &sipStrings_QtNetwork[17714]
#define sipNameNr_values 17721
#define sipName_values &sipStrings_QtNetwork[17721]
#define sipNameNr_verify 17728
#define sipName_verify &sipStrings_QtNetwork[17728]
#define sipNameNr_weight 17735
#define sipName_weight &sipStrings_QtNetwork[17735]
#define sipNameNr_CNAME 17742
#define sipName_CNAME &sipStrings_QtNetwork[17742]
#define sipNameNr_Error 971
#define sipName_Error &sipStrings_QtNetwork[971]
#define sipNameNr_Fatal 3498
#define sipName_Fatal &sipStrings_QtNetwork[3498]
#define sipNameNr_Local 15455
#define sipName_Local &sipStrings_QtNetwork[15455]
#define sipNameNr_None_ 17748
#define sipName_None_ &sipStrings_QtNetwork[17748]
#define sipNameNr_abort 17754
#define sipName_abort &sipStrings_QtNetwork[17754]
#define sipNameNr_atEnd 17760
#define sipName_atEnd &sipStrings_QtNetwork[17760]
#define sipNameNr_cache 17766
#define sipName_cache &sipStrings_QtNetwork[17766]
#define sipNameNr_clear 17772
#define sipName_clear &sipStrings_QtNetwork[17772]
#define sipNameNr_close 17778
#define sipName_close &sipStrings_QtNetwork[17778]
#define sipNameNr_error 17784
#define sipName_error &sipStrings_QtNetwork[17784]
#define sipNameNr_event 17790
#define sipName_event &sipStrings_QtNetwork[17790]
#define sipNameNr_flags 17796
#define sipName_flags &sipStrings_QtNetwork[17796]
#define sipNameNr_flush 17802
#define sipName_flush &sipStrings_QtNetwork[17802]
#define sipNameNr_index 17808
#define sipName_index &sipStrings_QtNetwork[17808]
#define sipNameNr_msecs 17814
#define sipName_msecs &sipStrings_QtNetwork[17814]
#define sipNameNr_proxy 17820
#define sipName_proxy &sipStrings_QtNetwork[17820]
#define sipNameNr_query 17826
#define sipName_query &sipStrings_QtNetwork[17826]
#define sipNameNr_realm 17832
#define sipName_realm &sipStrings_QtNetwork[17832]
#define sipNameNr_reset 17838
#define sipName_reset &sipStrings_QtNetwork[17838]
#define sipNameNr_setIp 17844
#define sipName_setIp &sipStrings_QtNetwork[17844]
#define sipNameNr_state 17850
#define sipName_state &sipStrings_QtNetwork[17850]
#define sipNameNr_toDer 17856
#define sipName_toDer &sipStrings_QtNetwork[17856]
#define sipNameNr_toPem 17862
#define sipName_toPem &sipStrings_QtNetwork[17862]
#define sipNameNr_value 17868
#define sipName_value &sipStrings_QtNetwork[17868]
#define sipNameNr_AAAA 17874
#define sipName_AAAA &sipStrings_QtNetwork[17874]
#define sipNameNr_Dtls 17879
#define sipName_Dtls &sipStrings_QtNetwork[17879]
#define sipNameNr_Fddi 17884
#define sipName_Fddi &sipStrings_QtNetwork[17884]
#define sipNameNr_Full 17889
#define sipName_Full &sipStrings_QtNetwork[17889]
#define sipNameNr_Good 17894
#define sipName_Good &sipStrings_QtNetwork[17894]
#define sipNameNr_IsUp 17899
#define sipName_IsUp &sipStrings_QtNetwork[17899]
#define sipNameNr_Null 17639
#define sipName_Null &sipStrings_QtNetwork[17639]
#define sipNameNr_Ocsp 17904
#define sipName_Ocsp &sipStrings_QtNetwork[17904]
#define sipNameNr_QSsl 17909
#define sipName_QSsl &sipStrings_QtNetwork[17909]
#define sipNameNr_Site 5324
#define sipName_Site &sipStrings_QtNetwork[5324]
#define sipNameNr_Slip 17914
#define sipName_Slip &sipStrings_QtNetwork[17914]
#define sipNameNr_Type 1614
#define sipName_Type &sipStrings_QtNetwork[1614]
#define sipNameNr_User 17483
#define sipName_User &sipStrings_QtNetwork[17483]
#define sipNameNr_WiFi 17919
#define sipName_WiFi &sipStrings_QtNetwork[17919]
#define sipNameNr_Wifi 17924
#define sipName_Wifi &sipStrings_QtNetwork[17924]
#define sipNameNr_bind 17929
#define sipName_bind &sipStrings_QtNetwork[17929]
#define sipNameNr_data 17934
#define sipName_data &sipStrings_QtNetwork[17934]
#define sipNameNr_form 9324
#define sipName_form &sipStrings_QtNetwork[9324]
#define sipNameNr_head 17939
#define sipName_head &sipStrings_QtNetwork[17939]
#define sipNameNr_host 17944
#define sipName_host &sipStrings_QtNetwork[17944]
#define sipNameNr_load 17949
#define sipName_load &sipStrings_QtNetwork[17949]
#define sipNameNr_mode 17954
#define sipName_mode &sipStrings_QtNetwork[17954]
#define sipNameNr_name 17959
#define sipName_name &sipStrings_QtNetwork[17959]
#define sipNameNr_open 17964
#define sipName_open &sipStrings_QtNetwork[17964]
#define sipNameNr_path 17969
#define sipName_path &sipStrings_QtNetwork[17969]
#define sipNameNr_port 14544
#define sipName_port &sipStrings_QtNetwork[14544]
#define sipNameNr_post 17974
#define sipName_post &sipStrings_QtNetwork[17974]
#define sipNameNr_seek 17979
#define sipName_seek &sipStrings_QtNetwork[17979]
#define sipNameNr_size 17984
#define sipName_size &sipStrings_QtNetwork[17984]
#define sipNameNr_swap 17989
#define sipName_swap &sipStrings_QtNetwork[17989]
#define sipNameNr_type 17994
#define sipName_type &sipStrings_QtNetwork[17994]
#define sipNameNr_user 17999
#define sipName_user &sipStrings_QtNetwork[17999]
#define sipNameNr_ANY 18004
#define sipName_ANY &sipStrings_QtNetwork[18004]
#define sipNameNr_Any 18008
#define sipName_Any &sipStrings_QtNetwork[18008]
#define sipNameNr_Der 17858
#define sipName_Der &sipStrings_QtNetwork[17858]
#define sipNameNr_Dsa 18012
#define sipName_Dsa &sipStrings_QtNetwork[18012]
#define sipNameNr_Key 2798
#define sipName_Key &sipStrings_QtNetwork[2798]
#define sipNameNr_Lax 18016
#define sipName_Lax &sipStrings_QtNetwork[18016]
#define sipNameNr_PTR 18020
#define sipName_PTR &sipStrings_QtNetwork[18020]
#define sipNameNr_Pem 17864
#define sipName_Pem &sipStrings_QtNetwork[17864]
#define sipNameNr_Ppp 18024
#define sipName_Ppp &sipStrings_QtNetwork[18024]
#define sipNameNr_Psk 18028
#define sipName_Psk &sipStrings_QtNetwork[18028]
#define sipNameNr_Rsa 18032
#define sipName_Rsa &sipStrings_QtNetwork[18032]
#define sipNameNr_SRV 18036
#define sipName_SRV &sipStrings_QtNetwork[18036]
#define sipNameNr_TXT 18040
#define sipName_TXT &sipStrings_QtNetwork[18040]
#define sipNameNr_get 17710
#define sipName_get &sipStrings_QtNetwork[17710]
#define sipNameNr_oid 18044
#define sipName_oid &sipStrings_QtNetwork[18044]
#define sipNameNr_pos 18048
#define sipName_pos &sipStrings_QtNetwork[18048]
#define sipNameNr_put 18052
#define sipName_put &sipStrings_QtNetwork[18052]
#define sipNameNr_url 18056
#define sipName_url &sipStrings_QtNetwork[18056]
#define sipNameNr_Dh 18060
#define sipName_Dh &sipStrings_QtNetwork[18060]
#define sipNameNr_Ec 18063
#define sipName_Ec &sipStrings_QtNetwork[18063]
#define sipNameNr_MX 18066
#define sipName_MX &sipStrings_QtNetwork[18066]
#define sipNameNr_NS 18069
#define sipName_NS &sipStrings_QtNetwork[18069]
#define sipNameNr_id 6365
#define sipName_id &sipStrings_QtNetwork[6365]
#define sipNameNr_ip 17916
#define sipName_ip &sipStrings_QtNetwork[17916]
#define sipNameNr_ok 18072
#define sipName_ok &sipStrings_QtNetwork[18072]
#define sipNameNr_A 17877
#define sipName_A &sipStrings_QtNetwork[17877]

#define sipMalloc                   sipAPI_QtNetwork->api_malloc
#define sipFree                     sipAPI_QtNetwork->api_free
#define sipBuildResult              sipAPI_QtNetwork->api_build_result
#define sipCallMethod               sipAPI_QtNetwork->api_call_method
#define sipCallProcedureMethod      sipAPI_QtNetwork->api_call_procedure_method
#define sipCallErrorHandler         sipAPI_QtNetwork->api_call_error_handler
#define sipParseResultEx            sipAPI_QtNetwork->api_parse_result_ex
#define sipParseResult              sipAPI_QtNetwork->api_parse_result
#define sipParseArgs                sipAPI_QtNetwork->api_parse_args
#define sipParseKwdArgs             sipAPI_QtNetwork->api_parse_kwd_args
#define sipParsePair                sipAPI_QtNetwork->api_parse_pair
#define sipInstanceDestroyed        sipAPI_QtNetwork->api_instance_destroyed
#define sipInstanceDestroyedEx      sipAPI_QtNetwork->api_instance_destroyed_ex
#define sipConvertFromSequenceIndex sipAPI_QtNetwork->api_convert_from_sequence_index
#define sipConvertFromSliceObject   sipAPI_QtNetwork->api_convert_from_slice_object
#define sipConvertFromVoidPtr       sipAPI_QtNetwork->api_convert_from_void_ptr
#define sipConvertToVoidPtr         sipAPI_QtNetwork->api_convert_to_void_ptr
#define sipAddException             sipAPI_QtNetwork->api_add_exception
#define sipNoFunction               sipAPI_QtNetwork->api_no_function
#define sipNoMethod                 sipAPI_QtNetwork->api_no_method
#define sipAbstractMethod           sipAPI_QtNetwork->api_abstract_method
#define sipBadClass                 sipAPI_QtNetwork->api_bad_class
#define sipBadCatcherResult         sipAPI_QtNetwork->api_bad_catcher_result
#define sipBadCallableArg           sipAPI_QtNetwork->api_bad_callable_arg
#define sipBadOperatorArg           sipAPI_QtNetwork->api_bad_operator_arg
#define sipTrace                    sipAPI_QtNetwork->api_trace
#define sipTransferBack             sipAPI_QtNetwork->api_transfer_back
#define sipTransferTo               sipAPI_QtNetwork->api_transfer_to
#define sipSimpleWrapper_Type       sipAPI_QtNetwork->api_simplewrapper_type
#define sipWrapper_Type             sipAPI_QtNetwork->api_wrapper_type
#define sipWrapperType_Type         sipAPI_QtNetwork->api_wrappertype_type
#define sipVoidPtr_Type             sipAPI_QtNetwork->api_voidptr_type
#define sipGetPyObject              sipAPI_QtNetwork->api_get_pyobject
#define sipGetAddress               sipAPI_QtNetwork->api_get_address
#define sipGetMixinAddress          sipAPI_QtNetwork->api_get_mixin_address
#define sipGetCppPtr                sipAPI_QtNetwork->api_get_cpp_ptr
#define sipGetComplexCppPtr         sipAPI_QtNetwork->api_get_complex_cpp_ptr
#define sipCallHook                 sipAPI_QtNetwork->api_call_hook
#define sipEndThread                sipAPI_QtNetwork->api_end_thread
#define sipRaiseUnknownException    sipAPI_QtNetwork->api_raise_unknown_exception
#define sipRaiseTypeException       sipAPI_QtNetwork->api_raise_type_exception
#define sipBadLengthForSlice        sipAPI_QtNetwork->api_bad_length_for_slice
#define sipAddTypeInstance          sipAPI_QtNetwork->api_add_type_instance
#define sipPySlotExtend             sipAPI_QtNetwork->api_pyslot_extend
#define sipAddDelayedDtor           sipAPI_QtNetwork->api_add_delayed_dtor
#define sipCanConvertToType         sipAPI_QtNetwork->api_can_convert_to_type
#define sipConvertToType            sipAPI_QtNetwork->api_convert_to_type
#define sipForceConvertToType       sipAPI_QtNetwork->api_force_convert_to_type
#define sipConvertToEnum            sipAPI_QtNetwork->api_convert_to_enum
#define sipConvertToBool            sipAPI_QtNetwork->api_convert_to_bool
#define sipReleaseType              sipAPI_QtNetwork->api_release_type
#define sipConvertFromType          sipAPI_QtNetwork->api_convert_from_type
#define sipConvertFromNewType       sipAPI_QtNetwork->api_convert_from_new_type
#define sipConvertFromNewPyType     sipAPI_QtNetwork->api_convert_from_new_pytype
#define sipConvertFromEnum          sipAPI_QtNetwork->api_convert_from_enum
#define sipGetState                 sipAPI_QtNetwork->api_get_state
#define sipExportSymbol             sipAPI_QtNetwork->api_export_symbol
#define sipImportSymbol             sipAPI_QtNetwork->api_import_symbol
#define sipFindType                 sipAPI_QtNetwork->api_find_type
#define sipBytes_AsChar             sipAPI_QtNetwork->api_bytes_as_char
#define sipBytes_AsString           sipAPI_QtNetwork->api_bytes_as_string
#define sipString_AsASCIIChar       sipAPI_QtNetwork->api_string_as_ascii_char
#define sipString_AsASCIIString     sipAPI_QtNetwork->api_string_as_ascii_string
#define sipString_AsLatin1Char      sipAPI_QtNetwork->api_string_as_latin1_char
#define sipString_AsLatin1String    sipAPI_QtNetwork->api_string_as_latin1_string
#define sipString_AsUTF8Char        sipAPI_QtNetwork->api_string_as_utf8_char
#define sipString_AsUTF8String      sipAPI_QtNetwork->api_string_as_utf8_string
#define sipUnicode_AsWChar          sipAPI_QtNetwork->api_unicode_as_wchar
#define sipUnicode_AsWString        sipAPI_QtNetwork->api_unicode_as_wstring
#define sipConvertFromConstVoidPtr  sipAPI_QtNetwork->api_convert_from_const_void_ptr
#define sipConvertFromVoidPtrAndSize    sipAPI_QtNetwork->api_convert_from_void_ptr_and_size
#define sipConvertFromConstVoidPtrAndSize   sipAPI_QtNetwork->api_convert_from_const_void_ptr_and_size
#define sipWrappedTypeName(wt)      ((wt)->wt_td->td_cname)
#define sipDeprecated               sipAPI_QtNetwork->api_deprecated
#define sipGetReference             sipAPI_QtNetwork->api_get_reference
#define sipKeepReference            sipAPI_QtNetwork->api_keep_reference
#define sipRegisterProxyResolver    sipAPI_QtNetwork->api_register_proxy_resolver
#define sipRegisterPyType           sipAPI_QtNetwork->api_register_py_type
#define sipTypeFromPyTypeObject     sipAPI_QtNetwork->api_type_from_py_type_object
#define sipTypeScope                sipAPI_QtNetwork->api_type_scope
#define sipResolveTypedef           sipAPI_QtNetwork->api_resolve_typedef
#define sipRegisterAttributeGetter  sipAPI_QtNetwork->api_register_attribute_getter
#define sipEnableAutoconversion     sipAPI_QtNetwork->api_enable_autoconversion
#define sipInitMixin                sipAPI_QtNetwork->api_init_mixin
#define sipExportModule             sipAPI_QtNetwork->api_export_module
#define sipInitModule               sipAPI_QtNetwork->api_init_module
#define sipGetInterpreter           sipAPI_QtNetwork->api_get_interpreter
#define sipSetTypeUserData          sipAPI_QtNetwork->api_set_type_user_data
#define sipGetTypeUserData          sipAPI_QtNetwork->api_get_type_user_data
#define sipPyTypeDict               sipAPI_QtNetwork->api_py_type_dict
#define sipPyTypeName               sipAPI_QtNetwork->api_py_type_name
#define sipGetCFunction             sipAPI_QtNetwork->api_get_c_function
#define sipGetMethod                sipAPI_QtNetwork->api_get_method
#define sipFromMethod               sipAPI_QtNetwork->api_from_method
#define sipGetDate                  sipAPI_QtNetwork->api_get_date
#define sipFromDate                 sipAPI_QtNetwork->api_from_date
#define sipGetDateTime              sipAPI_QtNetwork->api_get_datetime
#define sipFromDateTime             sipAPI_QtNetwork->api_from_datetime
#define sipGetTime                  sipAPI_QtNetwork->api_get_time
#define sipFromTime                 sipAPI_QtNetwork->api_from_time
#define sipIsUserType               sipAPI_QtNetwork->api_is_user_type
#define sipCheckPluginForType       sipAPI_QtNetwork->api_check_plugin_for_type
#define sipUnicodeNew               sipAPI_QtNetwork->api_unicode_new
#define sipUnicodeWrite             sipAPI_QtNetwork->api_unicode_write
#define sipUnicodeData              sipAPI_QtNetwork->api_unicode_data
#define sipGetBufferInfo            sipAPI_QtNetwork->api_get_buffer_info
#define sipReleaseBufferInfo        sipAPI_QtNetwork->api_release_buffer_info
#define sipIsOwnedByPython          sipAPI_QtNetwork->api_is_owned_by_python
#define sipIsDerivedClass           sipAPI_QtNetwork->api_is_derived_class
#define sipGetUserObject            sipAPI_QtNetwork->api_get_user_object
#define sipSetUserObject            sipAPI_QtNetwork->api_set_user_object
#define sipRegisterEventHandler     sipAPI_QtNetwork->api_register_event_handler
#define sipConvertToArray           sipAPI_QtNetwork->api_convert_to_array
#define sipConvertToTypedArray      sipAPI_QtNetwork->api_convert_to_typed_array
#define sipEnableGC                 sipAPI_QtNetwork->api_enable_gc
#define sipPrintObject              sipAPI_QtNetwork->api_print_object
#define sipLong_AsChar              sipAPI_QtNetwork->api_long_as_char
#define sipLong_AsSignedChar        sipAPI_QtNetwork->api_long_as_signed_char
#define sipLong_AsUnsignedChar      sipAPI_QtNetwork->api_long_as_unsigned_char
#define sipLong_AsShort             sipAPI_QtNetwork->api_long_as_short
#define sipLong_AsUnsignedShort     sipAPI_QtNetwork->api_long_as_unsigned_short
#define sipLong_AsInt               sipAPI_QtNetwork->api_long_as_int
#define sipLong_AsUnsignedInt       sipAPI_QtNetwork->api_long_as_unsigned_int
#define sipLong_AsLong              sipAPI_QtNetwork->api_long_as_long
#define sipLong_AsUnsignedLong      sipAPI_QtNetwork->api_long_as_unsigned_long
#define sipLong_AsLongLong          sipAPI_QtNetwork->api_long_as_long_long
#define sipLong_AsUnsignedLongLong  sipAPI_QtNetwork->api_long_as_unsigned_long_long
#define sipLong_AsSizeT             sipAPI_QtNetwork->api_long_as_size_t
#define sipVisitWrappers            sipAPI_QtNetwork->api_visit_wrappers
#define sipRegisterExitNotifier     sipAPI_QtNetwork->api_register_exit_notifier
#define sipNextExceptionHandler     sipAPI_QtNetwork->api_next_exception_handler
#define sipIsEnumFlag               sipAPI_QtNetwork->api_is_enum_flag
#define sipConvertToTypeUS          sipAPI_QtNetwork->api_convert_to_type_us
#define sipForceConvertToTypeUS     sipAPI_QtNetwork->api_force_convert_to_type_us
#define sipReleaseTypeUS            sipAPI_QtNetwork->api_release_type_us
#define sipIsPyMethod               sipAPI_QtNetwork->api_is_py_method_12_8

/* The strings used by this module. */
extern const char sipStrings_QtNetwork[];

#define sipType_QNetworkCacheMetaData sipExportedTypes_QtNetwork[75]

extern sipClassTypeDef sipTypeDef_QtNetwork_QNetworkCacheMetaData;

#define sipType_QAbstractNetworkCache sipExportedTypes_QtNetwork[0]

extern sipClassTypeDef sipTypeDef_QtNetwork_QAbstractNetworkCache;

#define sipType_QAbstractSocket sipExportedTypes_QtNetwork[1]

#define sipType_QAbstractSocket_PauseMode sipExportedTypes_QtNetwork[4]

#define sipType_QAbstractSocket_BindFlag sipExportedTypes_QtNetwork[2]

#define sipType_QAbstractSocket_SocketOption sipExportedTypes_QtNetwork[6]

#define sipType_QAbstractSocket_SocketState sipExportedTypes_QtNetwork[7]

#define sipType_QAbstractSocket_SocketError sipExportedTypes_QtNetwork[5]

#define sipType_QAbstractSocket_NetworkLayerProtocol sipExportedTypes_QtNetwork[3]

#define sipType_QAbstractSocket_SocketType sipExportedTypes_QtNetwork[8]

extern sipClassTypeDef sipTypeDef_QtNetwork_QAbstractSocket;

#define sipType_QAuthenticator sipExportedTypes_QtNetwork[9]

extern sipClassTypeDef sipTypeDef_QtNetwork_QAuthenticator;

#define sipType_QDnsDomainNameRecord sipExportedTypes_QtNetwork[10]

extern sipClassTypeDef sipTypeDef_QtNetwork_QDnsDomainNameRecord;

#define sipType_QDnsHostAddressRecord sipExportedTypes_QtNetwork[11]

extern sipClassTypeDef sipTypeDef_QtNetwork_QDnsHostAddressRecord;

#define sipType_QDnsMailExchangeRecord sipExportedTypes_QtNetwork[15]

extern sipClassTypeDef sipTypeDef_QtNetwork_QDnsMailExchangeRecord;

#define sipType_QDnsServiceRecord sipExportedTypes_QtNetwork[16]

extern sipClassTypeDef sipTypeDef_QtNetwork_QDnsServiceRecord;

#define sipType_QDnsTextRecord sipExportedTypes_QtNetwork[17]

extern sipClassTypeDef sipTypeDef_QtNetwork_QDnsTextRecord;

#define sipType_QDnsLookup sipExportedTypes_QtNetwork[12]

#define sipType_QDnsLookup_Type sipExportedTypes_QtNetwork[14]

#define sipType_QDnsLookup_Error sipExportedTypes_QtNetwork[13]

extern sipClassTypeDef sipTypeDef_QtNetwork_QDnsLookup;

#define sipType_QHostAddress sipExportedTypes_QtNetwork[29]

#define sipType_QHostAddress_ConversionModeFlag sipExportedTypes_QtNetwork[30]

#define sipType_QHostAddress_SpecialAddress sipExportedTypes_QtNetwork[31]

extern sipClassTypeDef sipTypeDef_QtNetwork_QHostAddress;

#define sipType_QHostInfo sipExportedTypes_QtNetwork[32]

#define sipType_QHostInfo_HostInfoError sipExportedTypes_QtNetwork[33]

extern sipClassTypeDef sipTypeDef_QtNetwork_QHostInfo;

#define sipType_QHstsPolicy sipExportedTypes_QtNetwork[34]

#define sipType_QHstsPolicy_PolicyFlag sipExportedTypes_QtNetwork[35]

extern sipClassTypeDef sipTypeDef_QtNetwork_QHstsPolicy;

#define sipType_QHttp1Configuration sipExportedTypes_QtNetwork[36]

extern sipClassTypeDef sipTypeDef_QtNetwork_QHttp1Configuration;

#define sipType_QHttp2Configuration sipExportedTypes_QtNetwork[37]

extern sipClassTypeDef sipTypeDef_QtNetwork_QHttp2Configuration;

#define sipType_QHttpPart sipExportedTypes_QtNetwork[40]

extern sipClassTypeDef sipTypeDef_QtNetwork_QHttpPart;

#define sipType_QHttpMultiPart sipExportedTypes_QtNetwork[38]

#define sipType_QHttpMultiPart_ContentType sipExportedTypes_QtNetwork[39]

extern sipClassTypeDef sipTypeDef_QtNetwork_QHttpMultiPart;

#define sipType_QLocalServer sipExportedTypes_QtNetwork[63]

#define sipType_QLocalServer_SocketOption sipExportedTypes_QtNetwork[64]

extern sipClassTypeDef sipTypeDef_QtNetwork_QLocalServer;

#define sipType_QLocalSocket sipExportedTypes_QtNetwork[65]

#define sipType_QLocalSocket_SocketOption sipExportedTypes_QtNetwork[68]

#define sipType_QLocalSocket_LocalSocketState sipExportedTypes_QtNetwork[67]

#define sipType_QLocalSocket_LocalSocketError sipExportedTypes_QtNetwork[66]

extern sipClassTypeDef sipTypeDef_QtNetwork_QLocalSocket;

#define sipType_QNetworkAccessManager sipExportedTypes_QtNetwork[71]

#define sipType_QNetworkAccessManager_Operation sipExportedTypes_QtNetwork[72]

extern sipClassTypeDef sipTypeDef_QtNetwork_QNetworkAccessManager;

#define sipType_QNetworkCookie sipExportedTypes_QtNetwork[76]

#define sipType_QNetworkCookie_SameSite sipExportedTypes_QtNetwork[78]

#define sipType_QNetworkCookie_RawForm sipExportedTypes_QtNetwork[77]

extern sipClassTypeDef sipTypeDef_QtNetwork_QNetworkCookie;

#define sipType_QNetworkCookieJar sipExportedTypes_QtNetwork[79]

extern sipClassTypeDef sipTypeDef_QtNetwork_QNetworkCookieJar;

#define sipType_QNetworkDatagram sipExportedTypes_QtNetwork[80]

extern sipClassTypeDef sipTypeDef_QtNetwork_QNetworkDatagram;

#define sipType_QNetworkDiskCache sipExportedTypes_QtNetwork[81]

extern sipClassTypeDef sipTypeDef_QtNetwork_QNetworkDiskCache;

#define sipType_QNetworkInformation sipExportedTypes_QtNetwork[82]

#define sipType_QNetworkInformation_TransportMedium sipExportedTypes_QtNetwork[85]

#define sipType_QNetworkInformation_Feature sipExportedTypes_QtNetwork[83]

#define sipType_QNetworkInformation_Reachability sipExportedTypes_QtNetwork[84]

extern sipClassTypeDef sipTypeDef_QtNetwork_QNetworkInformation;

#define sipType_QNetworkAddressEntry sipExportedTypes_QtNetwork[73]

#define sipType_QNetworkAddressEntry_DnsEligibilityStatus sipExportedTypes_QtNetwork[74]

extern sipClassTypeDef sipTypeDef_QtNetwork_QNetworkAddressEntry;

#define sipType_QNetworkInterface sipExportedTypes_QtNetwork[86]

#define sipType_QNetworkInterface_InterfaceType sipExportedTypes_QtNetwork[88]

#define sipType_QNetworkInterface_InterfaceFlag sipExportedTypes_QtNetwork[87]

extern sipClassTypeDef sipTypeDef_QtNetwork_QNetworkInterface;

#define sipType_QNetworkProxy sipExportedTypes_QtNetwork[89]

#define sipType_QNetworkProxy_Capability sipExportedTypes_QtNetwork[90]

#define sipType_QNetworkProxy_ProxyType sipExportedTypes_QtNetwork[91]

extern sipClassTypeDef sipTypeDef_QtNetwork_QNetworkProxy;

#define sipType_QNetworkProxyQuery sipExportedTypes_QtNetwork[93]

#define sipType_QNetworkProxyQuery_QueryType sipExportedTypes_QtNetwork[94]

extern sipClassTypeDef sipTypeDef_QtNetwork_QNetworkProxyQuery;

#define sipType_QNetworkProxyFactory sipExportedTypes_QtNetwork[92]

extern sipClassTypeDef sipTypeDef_QtNetwork_QNetworkProxyFactory;

#define sipType_QNetworkReply sipExportedTypes_QtNetwork[95]

#define sipType_QNetworkReply_NetworkError sipExportedTypes_QtNetwork[96]

extern sipClassTypeDef sipTypeDef_QtNetwork_QNetworkReply;

#define sipType_QNetworkRequest sipExportedTypes_QtNetwork[97]

#define sipType_QNetworkRequest_TransferTimeoutConstant sipExportedTypes_QtNetwork[104]

#define sipType_QNetworkRequest_RedirectPolicy sipExportedTypes_QtNetwork[103]

#define sipType_QNetworkRequest_Priority sipExportedTypes_QtNetwork[102]

#define sipType_QNetworkRequest_LoadControl sipExportedTypes_QtNetwork[101]

#define sipType_QNetworkRequest_CacheLoadControl sipExportedTypes_QtNetwork[99]

#define sipType_QNetworkRequest_Attribute sipExportedTypes_QtNetwork[98]

#define sipType_QNetworkRequest_KnownHeaders sipExportedTypes_QtNetwork[100]

extern sipClassTypeDef sipTypeDef_QtNetwork_QNetworkRequest;

#define sipType_QOcspResponse sipExportedTypes_QtNetwork[106]

extern sipClassTypeDef sipTypeDef_QtNetwork_QOcspResponse;

#define sipType_QPasswordDigestor sipExportedTypes_QtNetwork[108]

extern sipClassTypeDef sipTypeDef_QtNetwork_QPasswordDigestor;

#define sipType_QSsl sipExportedTypes_QtNetwork[109]

#define sipType_QSsl_SupportedFeature sipExportedTypes_QtNetwork[119]

#define sipType_QSsl_ImplementedClass sipExportedTypes_QtNetwork[114]

#define sipType_QSsl_AlertType sipExportedTypes_QtNetwork[111]

#define sipType_QSsl_AlertLevel sipExportedTypes_QtNetwork[110]

#define sipType_QSsl_SslOption sipExportedTypes_QtNetwork[117]

#define sipType_QSsl_SslProtocol sipExportedTypes_QtNetwork[118]

#define sipType_QSsl_AlternativeNameEntryType sipExportedTypes_QtNetwork[112]

#define sipType_QSsl_KeyAlgorithm sipExportedTypes_QtNetwork[115]

#define sipType_QSsl_EncodingFormat sipExportedTypes_QtNetwork[113]

#define sipType_QSsl_KeyType sipExportedTypes_QtNetwork[116]

extern sipClassTypeDef sipTypeDef_QtNetwork_QSsl;

#define sipType_QSslCertificate sipExportedTypes_QtNetwork[120]

#define sipType_QSslCertificate_PatternSyntax sipExportedTypes_QtNetwork[121]

#define sipType_QSslCertificate_SubjectInfo sipExportedTypes_QtNetwork[122]

extern sipClassTypeDef sipTypeDef_QtNetwork_QSslCertificate;

#define sipType_QSslCertificateExtension sipExportedTypes_QtNetwork[123]

extern sipClassTypeDef sipTypeDef_QtNetwork_QSslCertificateExtension;

#define sipType_QSslCipher sipExportedTypes_QtNetwork[124]

extern sipClassTypeDef sipTypeDef_QtNetwork_QSslCipher;

#define sipType_QSslConfiguration sipExportedTypes_QtNetwork[125]

#define sipType_QSslConfiguration_NextProtocolNegotiationStatus sipExportedTypes_QtNetwork[126]

extern sipClassTypeDef sipTypeDef_QtNetwork_QSslConfiguration;

#define sipType_QSslDiffieHellmanParameters sipExportedTypes_QtNetwork[127]

#define sipType_QSslDiffieHellmanParameters_Error sipExportedTypes_QtNetwork[128]

extern sipClassTypeDef sipTypeDef_QtNetwork_QSslDiffieHellmanParameters;

#define sipType_QSslEllipticCurve sipExportedTypes_QtNetwork[129]

extern sipClassTypeDef sipTypeDef_QtNetwork_QSslEllipticCurve;

#define sipType_QSslError sipExportedTypes_QtNetwork[130]

#define sipType_QSslError_SslError sipExportedTypes_QtNetwork[131]

extern sipClassTypeDef sipTypeDef_QtNetwork_QSslError;

#define sipType_QSslKey sipExportedTypes_QtNetwork[132]

extern sipClassTypeDef sipTypeDef_QtNetwork_QSslKey;

#define sipType_QSslPreSharedKeyAuthenticator sipExportedTypes_QtNetwork[133]

extern sipClassTypeDef sipTypeDef_QtNetwork_QSslPreSharedKeyAuthenticator;

#define sipType_QTcpServer sipExportedTypes_QtNetwork[138]

extern sipClassTypeDef sipTypeDef_QtNetwork_QTcpServer;

#define sipType_QSslServer sipExportedTypes_QtNetwork[134]

extern sipClassTypeDef sipTypeDef_QtNetwork_QSslServer;

#define sipType_QTcpSocket sipExportedTypes_QtNetwork[139]

extern sipClassTypeDef sipTypeDef_QtNetwork_QTcpSocket;

#define sipType_QSslSocket sipExportedTypes_QtNetwork[135]

#define sipType_QSslSocket_PeerVerifyMode sipExportedTypes_QtNetwork[136]

#define sipType_QSslSocket_SslMode sipExportedTypes_QtNetwork[137]

extern sipClassTypeDef sipTypeDef_QtNetwork_QSslSocket;

#define sipType_QUdpSocket sipExportedTypes_QtNetwork[140]

extern sipClassTypeDef sipTypeDef_QtNetwork_QUdpSocket;

#define sipType_QList_0100QString sipExportedTypes_QtNetwork[61]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QList_0100QString;

#define sipType_QList_0100QOcspResponse sipExportedTypes_QtNetwork[52]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QList_0100QOcspResponse;

#define sipType_QMap_0100QByteArray_0100QVariant sipExportedTypes_QtNetwork[69]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QMap_0100QByteArray_0100QVariant;

#define sipType_QList_0100QSslEllipticCurve sipExportedTypes_QtNetwork[59]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QList_0100QSslEllipticCurve;

#define sipType_QList_0100QSslCipher sipExportedTypes_QtNetwork[58]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QList_0100QSslCipher;

#define sipType_QList_0100QSslCertificateExtension sipExportedTypes_QtNetwork[57]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QList_0100QSslCertificateExtension;

#define sipType_QList_0100QSslCertificate sipExportedTypes_QtNetwork[56]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QList_0100QSslCertificate;

#define sipType_QList_0100QNetworkProxy sipExportedTypes_QtNetwork[51]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QList_0100QNetworkProxy;

#define sipType_QList_0100QNetworkInterface sipExportedTypes_QtNetwork[50]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QList_0100QNetworkInterface;

#define sipType_QList_0100QNetworkAddressEntry sipExportedTypes_QtNetwork[48]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QList_0100QNetworkAddressEntry;

#define sipType_QList_0100QNetworkCookie sipExportedTypes_QtNetwork[49]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QList_0100QNetworkCookie;

#define sipType_QList_0100QHstsPolicy sipExportedTypes_QtNetwork[47]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QList_0100QHstsPolicy;

#define sipType_QList_0100QSslError sipExportedTypes_QtNetwork[60]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QList_0100QSslError;

#define sipType_QList_0100QHostAddress sipExportedTypes_QtNetwork[46]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QList_0100QHostAddress;

#define sipType_std_pair_0100QHostAddress_1800 sipExportedTypes_QtNetwork[143]

extern sipMappedTypeDef sipTypeDef_QtNetwork_std_pair_0100QHostAddress_1800;

#define sipType_QList_0100QDnsTextRecord sipExportedTypes_QtNetwork[45]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QList_0100QDnsTextRecord;

#define sipType_QList_0100QDnsServiceRecord sipExportedTypes_QtNetwork[44]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QList_0100QDnsServiceRecord;

#define sipType_QList_0100QDnsMailExchangeRecord sipExportedTypes_QtNetwork[43]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QList_0100QDnsMailExchangeRecord;

#define sipType_QList_0100QDnsHostAddressRecord sipExportedTypes_QtNetwork[42]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QList_0100QDnsHostAddressRecord;

#define sipType_QList_0100QDnsDomainNameRecord sipExportedTypes_QtNetwork[41]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QList_0100QDnsDomainNameRecord;

#define sipType_QFlags_0100QSsl_SslOption sipExportedTypes_QtNetwork[27]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QFlags_0100QSsl_SslOption;

#define sipType_std_pair_0100QByteArray_0100QByteArray sipExportedTypes_QtNetwork[142]

extern sipMappedTypeDef sipTypeDef_QtNetwork_std_pair_0100QByteArray_0100QByteArray;

#define sipType_QFlags_0100QNetworkProxy_Capability sipExportedTypes_QtNetwork[26]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QFlags_0100QNetworkProxy_Capability;

#define sipType_QFlags_0100QNetworkInterface_InterfaceFlag sipExportedTypes_QtNetwork[25]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QFlags_0100QNetworkInterface_InterfaceFlag;

#define sipType_QFlags_0100QNetworkInformation_Feature sipExportedTypes_QtNetwork[24]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QFlags_0100QNetworkInformation_Feature;

#define sipType_QList_0600std_pair_0100QByteArray_0100QByteArray sipExportedTypes_QtNetwork[62]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QList_0600std_pair_0100QByteArray_0100QByteArray;

#define sipType_QFlags_0100QLocalSocket_SocketOption sipExportedTypes_QtNetwork[23]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QFlags_0100QLocalSocket_SocketOption;

#define sipType_QFlags_0100QLocalServer_SocketOption sipExportedTypes_QtNetwork[22]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QFlags_0100QLocalServer_SocketOption;

#define sipType_QFlags_0100QHstsPolicy_PolicyFlag sipExportedTypes_QtNetwork[21]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QFlags_0100QHstsPolicy_PolicyFlag;

#define sipType_QFlags_0100QHostAddress_ConversionModeFlag sipExportedTypes_QtNetwork[20]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QFlags_0100QHostAddress_ConversionModeFlag;

#define sipType_QFlags_0100QAbstractSocket_PauseMode sipExportedTypes_QtNetwork[19]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QFlags_0100QAbstractSocket_PauseMode;

#define sipType_QFlags_0100QAbstractSocket_BindFlag sipExportedTypes_QtNetwork[18]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QFlags_0100QAbstractSocket_BindFlag;

#define sipType_QHash_0100QNetworkRequest_Attribute_0100QVariant sipExportedTypes_QtNetwork[28]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QHash_0100QNetworkRequest_Attribute_0100QVariant;

#define sipType_QList_0100QSsl_SupportedFeature sipExportedTypes_QtNetwork[55]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QList_0100QSsl_SupportedFeature;

#define sipType_QList_0100QSsl_ImplementedClass sipExportedTypes_QtNetwork[53]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QList_0100QSsl_ImplementedClass;

#define sipType_QList_0100QSsl_SslProtocol sipExportedTypes_QtNetwork[54]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QList_0100QSsl_SslProtocol;

#define sipType_QMultiMap_0100QSsl_AlternativeNameEntryType_0100QString sipExportedTypes_QtNetwork[70]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QMultiMap_0100QSsl_AlternativeNameEntryType_0100QString;

#define sipType_Q_IPV6ADDR sipExportedTypes_QtNetwork[141]

extern sipMappedTypeDef sipTypeDef_QtNetwork_Q_IPV6ADDR;

#define sipType_QOcspRevocationReason sipExportedTypes_QtNetwork[107]

#define sipType_QOcspCertificateStatus sipExportedTypes_QtNetwork[105]

/* The SIP API, this module's API and the APIs of any imported modules. */
extern const sipAPIDef *sipAPI_QtNetwork;
extern sipExportedModuleDef sipModuleAPI_QtNetwork;
extern sipTypeDef *sipExportedTypes_QtNetwork[];

#define sipType_QObject sipImportedTypes_QtNetwork_QtCore[14].it_td

#define sipType_QIODeviceBase sipImportedTypes_QtNetwork_QtCore[11].it_td

#define sipType_QIODevice sipImportedTypes_QtNetwork_QtCore[10].it_td

#define sipType_QByteArray sipImportedTypes_QtNetwork_QtCore[0].it_td

#define sipType_QEvent sipImportedTypes_QtNetwork_QtCore[6].it_td

#define sipType_QTimerEvent sipImportedTypes_QtNetwork_QtCore[18].it_td

#define sipType_QChildEvent sipImportedTypes_QtNetwork_QtCore[1].it_td

#define sipType_QCryptographicHash_Algorithm sipImportedTypes_QtNetwork_QtCore[2].it_td

#define sipType_QDataStream sipImportedTypes_QtNetwork_QtCore[3].it_td

#define sipType_QDateTime sipImportedTypes_QtNetwork_QtCore[4].it_td

#define sipType_QDeadlineTimer sipImportedTypes_QtNetwork_QtCore[5].it_td

#define sipType_QMetaMethod sipImportedTypes_QtNetwork_QtCore[13].it_td

#define sipType_QUrl sipImportedTypes_QtNetwork_QtCore[19].it_td

#define sipType_QUrl_ParsingMode sipImportedTypes_QtNetwork_QtCore[20].it_td

#define sipType_QVariant sipImportedTypes_QtNetwork_QtCore[21].it_td

#define sipType_QList_0100QByteArray sipImportedTypes_QtNetwork_QtCore[12].it_td

#define sipType_QHash_0100QString_0100QVariant sipImportedTypes_QtNetwork_QtCore[9].it_td

#define sipType_QFlags_0100QUrl_ComponentFormattingOption sipImportedTypes_QtNetwork_QtCore[8].it_td

#define sipType_QFlags_0100QIODeviceBase_OpenModeFlag sipImportedTypes_QtNetwork_QtCore[7].it_td

#define sipType_QStringList sipImportedTypes_QtNetwork_QtCore[16].it_td

#define sipType_QStringView sipImportedTypes_QtNetwork_QtCore[17].it_td

#define sipType_QString sipImportedTypes_QtNetwork_QtCore[15].it_td

#define sipType_quintptr sipImportedTypes_QtNetwork_QtCore[23].it_td

#define sipType_qintptr sipImportedTypes_QtNetwork_QtCore[22].it_td

#define sipType_QOcspRevocationReason sipExportedTypes_QtNetwork[107]

#define sipType_QOcspCertificateStatus sipExportedTypes_QtNetwork[105]
extern sipImportedTypeDef sipImportedTypes_QtNetwork_QtCore[];
extern sipImportedVirtErrorHandlerDef sipImportedVirtErrorHandlers_QtNetwork_QtCore[];

typedef const QMetaObject *(*sip_qt_metaobject_func)(sipSimpleWrapper *,sipTypeDef *);
extern sip_qt_metaobject_func sip_QtNetwork_qt_metaobject;

typedef int (*sip_qt_metacall_func)(sipSimpleWrapper *,sipTypeDef *,QMetaObject::Call,int,void **);
extern sip_qt_metacall_func sip_QtNetwork_qt_metacall;

typedef bool (*sip_qt_metacast_func)(sipSimpleWrapper *, const sipTypeDef *, const char *, void **);
extern sip_qt_metacast_func sip_QtNetwork_qt_metacast;
#line 73 "/builddir/build/BUILD/PyQt6-6.5.2/sip/QtNetwork/qhostinfo.sip"
// Imports from QtCore.
typedef sipErrorState (*pyqt6_qtnetwork_get_connection_parts_t)(PyObject *, QObject *, const char *, bool, QObject **, QByteArray &);
extern pyqt6_qtnetwork_get_connection_parts_t pyqt6_qtnetwork_get_connection_parts;
#line 3044 "/builddir/build/BUILD/PyQt6-6.5.2/build/QtNetwork/sipAPIQtNetwork.h"

#endif
