/*
 * Internal module API header file.
 *
 * Generated by SIP 6.7.9
 *
 * Copyright (c) 2023 Riverbank Computing Limited <info@riverbankcomputing.com>
 * 
 * This file is part of PyQt6.
 * 
 * This file may be used under the terms of the GNU General Public License
 * version 3.0 as published by the Free Software Foundation and appearing in
 * the file LICENSE included in the packaging of this file.  Please review the
 * following information to ensure the GNU General Public License version 3.0
 * requirements will be met: http://www.gnu.org/copyleft/gpl.html.
 * 
 * If you do not wish to use this file under the terms of the GPL version 3.0
 * then you may purchase a commercial license.  For more information contact
 * info@riverbankcomputing.com.
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef _QtSensorsAPI_H
#define _QtSensorsAPI_H

#if !defined(Py_LIMITED_API)
#define Py_LIMITED_API
#endif

#include "sip.h"

#include <QMetaType>
#include <QThread>

/* These are the qualifiers that are enabled. */
#define SIP_FEATURE_PyQt_DTLS
#define SIP_FEATURE_PyQt_WebChannel
#define SIP_FEATURE_PyQt_Process
#define SIP_FEATURE_PyQt_OpenGL_ES2
#define SIP_FEATURE_PyQt_OpenGL
#define SIP_FEATURE_PyQt_RawFont
#define SIP_FEATURE_PyQt_PrintPreviewDialog
#define SIP_FEATURE_PyQt_PrintPreviewWidget
#define SIP_FEATURE_PyQt_Printer
#define SIP_FEATURE_PyQt_PrintDialog
#define SIP_FEATURE_PyQt_qreal_double
#define SIP_FEATURE_PyQt_SSL
#define SIP_FEATURE_PyQt_SessionManager
#define SIP_FEATURE_PyQt_Accessibility
#define SIP_PLATFORM_Linux
#define SIP_TIMELINE_Qt_6_5_0


/*
 * Convenient names to refer to various strings defined in this module.
 * Only the class names are part of the public API.
 */
#define sipNameNr_QAccelerometer__AccelerationMode 0
#define sipName_QAccelerometer__AccelerationMode &sipStrings_QtSensors[0]
#define sipNameNr_QAmbientLightReading__LightLevel 33
#define sipName_QAmbientLightReading__LightLevel &sipStrings_QtSensors[33]
#define sipNameNr_QOrientationReading__Orientation 66
#define sipName_QOrientationReading__Orientation &sipStrings_QtSensors[66]
#define sipNameNr_QSensor__AxesOrientationMode 99
#define sipName_QSensor__AxesOrientationMode &sipStrings_QtSensors[99]
#define sipNameNr_returnDoubleTapEventsChanged 128
#define sipName_returnDoubleTapEventsChanged &sipStrings_QtSensors[128]
#define sipNameNr_QAmbientTemperatureReading 157
#define sipName_QAmbientTemperatureReading &sipStrings_QtSensors[157]
#define sipNameNr_axesOrientationModeChanged 184
#define sipName_axesOrientationModeChanged &sipStrings_QtSensors[184]
#define sipNameNr_efficientBufferSizeChanged 211
#define sipName_efficientBufferSizeChanged &sipStrings_QtSensors[211]
#define sipNameNr_PressureSensorTemperature 238
#define sipName_PressureSensorTemperature &sipStrings_QtSensors[238]
#define sipNameNr_QAmbientTemperatureFilter 264
#define sipName_QAmbientTemperatureFilter &sipStrings_QtSensors[264]
#define sipNameNr_QAmbientTemperatureSensor 290
#define sipName_QAmbientTemperatureSensor &sipStrings_QtSensors[290]
#define sipNameNr_QTapReading__TapDirection 316
#define sipName_QTapReading__TapDirection &sipStrings_QtSensors[316]
#define sipNameNr_currentOrientationChanged 342
#define sipName_currentOrientationChanged &sipStrings_QtSensors[342]
#define sipNameNr_setReturnDoubleTapEvents 368
#define sipName_setReturnDoubleTapEvents &sipStrings_QtSensors[368]
#define sipNameNr_PyQt6_sip_simplewrapper 393
#define sipName_PyQt6_sip_simplewrapper &sipStrings_QtSensors[393]
#define sipNameNr_accelerationModeChanged 417
#define sipName_accelerationModeChanged &sipStrings_QtSensors[417]
#define sipNameNr_availableSensorsChanged 441
#define sipName_availableSensorsChanged &sipStrings_QtSensors[441]
#define sipNameNr_returnGeoValuesChanged 465
#define sipName_returnGeoValuesChanged &sipStrings_QtSensors[465]
#define sipNameNr_setAxesOrientationMode 488
#define sipName_setAxesOrientationMode &sipStrings_QtSensors[488]
#define sipNameNr_setEfficientBufferSize 511
#define sipName_setEfficientBufferSize &sipStrings_QtSensors[511]
#define sipNameNr_userOrientationChanged 534
#define sipName_userOrientationChanged &sipStrings_QtSensors[534]
#define sipNameNr_QAccelerometerReading 557
#define sipName_QAccelerometerReading &sipStrings_QtSensors[557]
#define sipNameNr_579 579
#define sipName_579 &sipStrings_QtSensors[579]
#define sipNameNr_returnDoubleTapEvents 601
#define sipName_returnDoubleTapEvents &sipStrings_QtSensors[601]
#define sipNameNr_setCurrentOrientation 623
#define sipName_setCurrentOrientation &sipStrings_QtSensors[623]
#define sipNameNr_skipDuplicatesChanged 645
#define sipName_skipDuplicatesChanged &sipStrings_QtSensors[645]
#define sipNameNr_AutomaticOrientation 667
#define sipName_AutomaticOrientation &sipStrings_QtSensors[667]
#define sipNameNr_QAccelerometerFilter 688
#define sipName_QAccelerometerFilter &sipStrings_QtSensors[688]
#define sipNameNr_QAmbientLightReading 709
#define sipName_QAmbientLightReading &sipStrings_QtSensors[709]
#define sipNameNr_QMagnetometerReading 730
#define sipName_QMagnetometerReading &sipStrings_QtSensors[730]
#define sipNameNr_defaultSensorForType 751
#define sipName_defaultSensorForType &sipStrings_QtSensors[751]
#define sipNameNr_isConnectedToBackend 772
#define sipName_isConnectedToBackend &sipStrings_QtSensors[772]
#define sipNameNr_maxBufferSizeChanged 793
#define sipName_maxBufferSizeChanged &sipStrings_QtSensors[793]
#define sipNameNr_AxesOrientationMode 108
#define sipName_AxesOrientationMode &sipStrings_QtSensors[108]
#define sipNameNr_QAmbientLightFilter 814
#define sipName_QAmbientLightFilter &sipStrings_QtSensors[814]
#define sipNameNr_QAmbientLightSensor 834
#define sipName_QAmbientLightSensor &sipStrings_QtSensors[834]
#define sipNameNr_QIRProximityReading 854
#define sipName_QIRProximityReading &sipStrings_QtSensors[854]
#define sipNameNr_874 874
#define sipName_874 &sipStrings_QtSensors[874]
#define sipNameNr_QMagnetometerFilter 894
#define sipName_QMagnetometerFilter &sipStrings_QtSensors[894]
#define sipNameNr_QOrientationReading 914
#define sipName_QOrientationReading &sipStrings_QtSensors[914]
#define sipNameNr_axesOrientationMode 934
#define sipName_axesOrientationMode &sipStrings_QtSensors[934]
#define sipNameNr_efficientBufferSize 954
#define sipName_efficientBufferSize &sipStrings_QtSensors[954]
#define sipNameNr_setAbsoluteHumidity 974
#define sipName_setAbsoluteHumidity &sipStrings_QtSensors[974]
#define sipNameNr_setAccelerationMode 994
#define sipName_setAccelerationMode &sipStrings_QtSensors[994]
#define sipNameNr_setCalibrationLevel 1014
#define sipName_setCalibrationLevel &sipStrings_QtSensors[1014]
#define sipNameNr_setRelativeHumidity 1034
#define sipName_setRelativeHumidity &sipStrings_QtSensors[1034]
#define sipNameNr_QIRProximityFilter 1054
#define sipName_QIRProximityFilter &sipStrings_QtSensors[1054]
#define sipNameNr_QIRProximitySensor 1073
#define sipName_QIRProximitySensor &sipStrings_QtSensors[1073]
#define sipNameNr_QOrientationFilter 1092
#define sipName_QOrientationFilter &sipStrings_QtSensors[1092]
#define sipNameNr_QOrientationSensor 1111
#define sipName_QOrientationSensor &sipStrings_QtSensors[1111]
#define sipNameNr_availableDataRates 1130
#define sipName_availableDataRates &sipStrings_QtSensors[1130]
#define sipNameNr_currentOrientation 1149
#define sipName_currentOrientation &sipStrings_QtSensors[1149]
#define sipNameNr_fieldOfViewChanged 1168
#define sipName_fieldOfViewChanged &sipStrings_QtSensors[1168]
#define sipNameNr_isFeatureSupported 1187
#define sipName_isFeatureSupported &sipStrings_QtSensors[1187]
#define sipNameNr_setReturnGeoValues 1206
#define sipName_setReturnGeoValues &sipStrings_QtSensors[1206]
#define sipNameNr_setUserOrientation 1225
#define sipName_setUserOrientation &sipStrings_QtSensors[1225]
#define sipNameNr_QGyroscopeReading 1244
#define sipName_QGyroscopeReading &sipStrings_QtSensors[1244]
#define sipNameNr_QProximityReading 1262
#define sipName_QProximityReading &sipStrings_QtSensors[1262]
#define sipNameNr_bufferSizeChanged 1280
#define sipName_bufferSizeChanged &sipStrings_QtSensors[1280]
#define sipNameNr_identifierChanged 1298
#define sipName_identifierChanged &sipStrings_QtSensors[1298]
#define sipNameNr_setFrontLidClosed 1316
#define sipName_setFrontLidClosed &sipStrings_QtSensors[1316]
#define sipNameNr_setSkipDuplicates 1334
#define sipName_setSkipDuplicates &sipStrings_QtSensors[1334]
#define sipNameNr_AccelerationMode 16
#define sipName_AccelerationMode &sipStrings_QtSensors[16]
#define sipNameNr_FixedOrientation 1352
#define sipName_FixedOrientation &sipStrings_QtSensors[1352]
#define sipNameNr_QGyroscopeFilter 1369
#define sipName_QGyroscopeFilter &sipStrings_QtSensors[1369]
#define sipNameNr_QHumidityReading 1386
#define sipName_QHumidityReading &sipStrings_QtSensors[1386]
#define sipNameNr_QPressureReading 1403
#define sipName_QPressureReading &sipStrings_QtSensors[1403]
#define sipNameNr_QProximityFilter 1420
#define sipName_QProximityFilter &sipStrings_QtSensors[1420]
#define sipNameNr_QProximitySensor 1437
#define sipName_QProximitySensor &sipStrings_QtSensors[1437]
#define sipNameNr_QRotationReading 1454
#define sipName_QRotationReading &sipStrings_QtSensors[1454]
#define sipNameNr_QSensor__Feature 1471
#define sipName_QSensor__Feature &sipStrings_QtSensors[1471]
#define sipNameNr_absoluteHumidity 1488
#define sipName_absoluteHumidity &sipStrings_QtSensors[1488]
#define sipNameNr_accelerationMode 1505
#define sipName_accelerationMode &sipStrings_QtSensors[1505]
#define sipNameNr_calibrationLevel 1522
#define sipName_calibrationLevel &sipStrings_QtSensors[1522]
#define sipNameNr_connectToBackend 1539
#define sipName_connectToBackend &sipStrings_QtSensors[1539]
#define sipNameNr_disconnectNotify 1556
#define sipName_disconnectNotify &sipStrings_QtSensors[1556]
#define sipNameNr_relativeHumidity 1573
#define sipName_relativeHumidity &sipStrings_QtSensors[1573]
#define sipNameNr_setBackLidClosed 1590
#define sipName_setBackLidClosed &sipStrings_QtSensors[1590]
#define sipNameNr_setMaxBufferSize 1607
#define sipName_setMaxBufferSize &sipStrings_QtSensors[1607]
#define sipNameNr_AxesOrientation 1624
#define sipName_AxesOrientation &sipStrings_QtSensors[1624]
#define sipNameNr_PyQt6_QtSensors 1640
#define sipName_PyQt6_QtSensors &sipStrings_QtSensors[1640]
#define sipNameNr_QCompassReading 1656
#define sipName_QCompassReading &sipStrings_QtSensors[1656]
#define sipNameNr_QHumidityFilter 1672
#define sipName_QHumidityFilter &sipStrings_QtSensors[1672]
#define sipNameNr_QHumiditySensor 1688
#define sipName_QHumiditySensor &sipStrings_QtSensors[1688]
#define sipNameNr_QPressureFilter 1704
#define sipName_QPressureFilter &sipStrings_QtSensors[1704]
#define sipNameNr_QPressureSensor 1720
#define sipName_QPressureSensor &sipStrings_QtSensors[1720]
#define sipNameNr_QRotationFilter 1736
#define sipName_QRotationFilter &sipStrings_QtSensors[1736]
#define sipNameNr_QRotationSensor 1752
#define sipName_QRotationSensor &sipStrings_QtSensors[1752]
#define sipNameNr_UserOrientation 1228
#define sipName_UserOrientation &sipStrings_QtSensors[1228]
#define sipNameNr_alwaysOnChanged 1768
#define sipName_alwaysOnChanged &sipStrings_QtSensors[1768]
#define sipNameNr_dataRateChanged 1784
#define sipName_dataRateChanged &sipStrings_QtSensors[1784]
#define sipNameNr_frontLidChanged 1800
#define sipName_frontLidChanged &sipStrings_QtSensors[1800]
#define sipNameNr_returnGeoValues 1816
#define sipName_returnGeoValues &sipStrings_QtSensors[1816]
#define sipNameNr_setTapDirection 1832
#define sipName_setTapDirection &sipStrings_QtSensors[1832]
#define sipNameNr_userOrientation 1848
#define sipName_userOrientation &sipStrings_QtSensors[1848]
#define sipNameNr_QAccelerometer 1864
#define sipName_QAccelerometer &sipStrings_QtSensors[1864]
#define sipNameNr_QCompassFilter 1879
#define sipName_QCompassFilter &sipStrings_QtSensors[1879]
#define sipNameNr_QSensorReading 1894
#define sipName_QSensorReading &sipStrings_QtSensors[1894]
#define sipNameNr_SkipDuplicates 1337
#define sipName_SkipDuplicates &sipStrings_QtSensors[1337]
#define sipNameNr_backLidChanged 1909
#define sipName_backLidChanged &sipStrings_QtSensors[1909]
#define sipNameNr_frontLidClosed 1924
#define sipName_frontLidClosed &sipStrings_QtSensors[1924]
#define sipNameNr_readingChanged 1939
#define sipName_readingChanged &sipStrings_QtSensors[1939]
#define sipNameNr_sensorsForType 1954
#define sipName_sensorsForType &sipStrings_QtSensors[1954]
#define sipNameNr_setFieldOfView 1969
#define sipName_setFieldOfView &sipStrings_QtSensors[1969]
#define sipNameNr_setOrientation 1984
#define sipName_setOrientation &sipStrings_QtSensors[1984]
#define sipNameNr_setOutputRange 1999
#define sipName_setOutputRange &sipStrings_QtSensors[1999]
#define sipNameNr_setReflectance 2014
#define sipName_setReflectance &sipStrings_QtSensors[2014]
#define sipNameNr_setTemperature 2029
#define sipName_setTemperature &sipStrings_QtSensors[2029]
#define sipNameNr_skipDuplicates 2044
#define sipName_skipDuplicates &sipStrings_QtSensors[2044]
#define sipNameNr_QLightReading 2059
#define sipName_QLightReading &sipStrings_QtSensors[2059]
#define sipNameNr_QMagnetometer 2073
#define sipName_QMagnetometer &sipStrings_QtSensors[2073]
#define sipNameNr_QSensorFilter 2087
#define sipName_QSensorFilter &sipStrings_QtSensors[2087]
#define sipNameNr_activeChanged 2101
#define sipName_activeChanged &sipStrings_QtSensors[2101]
#define sipNameNr_backLidClosed 2115
#define sipName_backLidClosed &sipStrings_QtSensors[2115]
#define sipNameNr_connectNotify 1559
#define sipName_connectNotify &sipStrings_QtSensors[1559]
#define sipNameNr_maxBufferSize 2129
#define sipName_maxBufferSize &sipStrings_QtSensors[2129]
#define sipNameNr_setBufferSize 2143
#define sipName_setBufferSize &sipStrings_QtSensors[2143]
#define sipNameNr_setIdentifier 2157
#define sipName_setIdentifier &sipStrings_QtSensors[2157]
#define sipNameNr_setLightLevel 2171
#define sipName_setLightLevel &sipStrings_QtSensors[2171]
#define sipNameNr_QLightFilter 2185
#define sipName_QLightFilter &sipStrings_QtSensors[2185]
#define sipNameNr_QLightSensor 2198
#define sipName_QLightSensor &sipStrings_QtSensors[2198]
#define sipNameNr_QTiltReading 2211
#define sipName_QTiltReading &sipStrings_QtSensors[2211]
#define sipNameNr_TapDirection 329
#define sipName_TapDirection &sipStrings_QtSensors[329]
#define sipNameNr_outputRanges 2224
#define sipName_outputRanges &sipStrings_QtSensors[2224]
#define sipNameNr_qoutputrange 2237
#define sipName_qoutputrange &sipStrings_QtSensors[2237]
#define sipNameNr_removeFilter 2250
#define sipName_removeFilter &sipStrings_QtSensors[2250]
#define sipNameNr_setDoubleTap 2263
#define sipName_setDoubleTap &sipStrings_QtSensors[2263]
#define sipNameNr_setFromEuler 2276
#define sipName_setFromEuler &sipStrings_QtSensors[2276]
#define sipNameNr_setTimestamp 2289
#define sipName_setTimestamp &sipStrings_QtSensors[2289]
#define sipNameNr_setXRotation 2302
#define sipName_setXRotation &sipStrings_QtSensors[2302]
#define sipNameNr_setYRotation 2315
#define sipName_setYRotation &sipStrings_QtSensors[2315]
#define sipNameNr_tapDirection 2328
#define sipName_tapDirection &sipStrings_QtSensors[2328]
#define sipNameNr_FieldOfView 1972
#define sipName_FieldOfView &sipStrings_QtSensors[1972]
#define sipNameNr_Orientation 87
#define sipName_Orientation &sipStrings_QtSensors[87]
#define sipNameNr_QLidReading 2341
#define sipName_QLidReading &sipStrings_QtSensors[2341]
#define sipNameNr_QTapReading 2353
#define sipName_QTapReading &sipStrings_QtSensors[2353]
#define sipNameNr_QTiltFilter 2365
#define sipName_QTiltFilter &sipStrings_QtSensors[2365]
#define sipNameNr_QTiltSensor 2377
#define sipName_QTiltSensor &sipStrings_QtSensors[2377]
#define sipNameNr_busyChanged 2389
#define sipName_busyChanged &sipStrings_QtSensors[2389]
#define sipNameNr_customEvent 2401
#define sipName_customEvent &sipStrings_QtSensors[2401]
#define sipNameNr_description 2413
#define sipName_description &sipStrings_QtSensors[2413]
#define sipNameNr_eventFilter 2425
#define sipName_eventFilter &sipStrings_QtSensors[2425]
#define sipNameNr_fieldOfView 2437
#define sipName_fieldOfView &sipStrings_QtSensors[2437]
#define sipNameNr_hasZChanged 2449
#define sipName_hasZChanged &sipStrings_QtSensors[2449]
#define sipNameNr_isDoubleTap 2461
#define sipName_isDoubleTap &sipStrings_QtSensors[2461]
#define sipNameNr_orientation 2473
#define sipName_orientation &sipStrings_QtSensors[2473]
#define sipNameNr_outputRange 2485
#define sipName_outputRange &sipStrings_QtSensors[2485]
#define sipNameNr_reflectance 2497
#define sipName_reflectance &sipStrings_QtSensors[2497]
#define sipNameNr_sensorError 2509
#define sipName_sensorError &sipStrings_QtSensors[2509]
#define sipNameNr_sensorTypes 2521
#define sipName_sensorTypes &sipStrings_QtSensors[2521]
#define sipNameNr_setAlwaysOn 2533
#define sipName_setAlwaysOn &sipStrings_QtSensors[2533]
#define sipNameNr_setDataRate 2545
#define sipName_setDataRate &sipStrings_QtSensors[2545]
#define sipNameNr_setPressure 2557
#define sipName_setPressure &sipStrings_QtSensors[2557]
#define sipNameNr_temperature 2569
#define sipName_temperature &sipStrings_QtSensors[2569]
#define sipNameNr_LightLevel 55
#define sipName_LightLevel &sipStrings_QtSensors[55]
#define sipNameNr_QGyroscope 2581
#define sipName_QGyroscope &sipStrings_QtSensors[2581]
#define sipNameNr_QLidFilter 2592
#define sipName_QLidFilter &sipStrings_QtSensors[2592]
#define sipNameNr_QLidSensor 2603
#define sipName_QLidSensor &sipStrings_QtSensors[2603]
#define sipNameNr_QTapFilter 2614
#define sipName_QTapFilter &sipStrings_QtSensors[2614]
#define sipNameNr_QTapSensor 2625
#define sipName_QTapSensor &sipStrings_QtSensors[2625]
#define sipNameNr_bufferSize 2636
#define sipName_bufferSize &sipStrings_QtSensors[2636]
#define sipNameNr_childEvent 2647
#define sipName_childEvent &sipStrings_QtSensors[2647]
#define sipNameNr_identifier 2658
#define sipName_identifier &sipStrings_QtSensors[2658]
#define sipNameNr_isAlwaysOn 2669
#define sipName_isAlwaysOn &sipStrings_QtSensors[2669]
#define sipNameNr_lightLevel 2680
#define sipName_lightLevel &sipStrings_QtSensors[2680]
#define sipNameNr_setAzimuth 2691
#define sipName_setAzimuth &sipStrings_QtSensors[2691]
#define sipNameNr_timerEvent 2702
#define sipName_timerEvent &sipStrings_QtSensors[2702]
#define sipNameNr_valueCount 2713
#define sipName_valueCount &sipStrings_QtSensors[2713]
#define sipNameNr_Buffering 2724
#define sipName_Buffering &sipStrings_QtSensors[2724]
#define sipNameNr_GeoValues 1215
#define sipName_GeoValues &sipStrings_QtSensors[1215]
#define sipNameNr_Undefined 2734
#define sipName_Undefined &sipStrings_QtSensors[2734]
#define sipNameNr_addFilter 2744
#define sipName_addFilter &sipStrings_QtSensors[2744]
#define sipNameNr_calibrate 2754
#define sipName_calibrate &sipStrings_QtSensors[2754]
#define sipNameNr_setActive 2764
#define sipName_setActive &sipStrings_QtSensors[2764]
#define sipNameNr_timestamp 2774
#define sipName_timestamp &sipStrings_QtSensors[2774]
#define sipNameNr_xRotation 2784
#define sipName_xRotation &sipStrings_QtSensors[2784]
#define sipNameNr_yRotation 2794
#define sipName_yRotation &sipStrings_QtSensors[2794]
#define sipNameNr_AlwaysOn 2536
#define sipName_AlwaysOn &sipStrings_QtSensors[2536]
#define sipNameNr_Combined 2804
#define sipName_Combined &sipStrings_QtSensors[2804]
#define sipNameNr_FaceDown 2813
#define sipName_FaceDown &sipStrings_QtSensors[2813]
#define sipNameNr_QCompass 2822
#define sipName_QCompass &sipStrings_QtSensors[2822]
#define sipNameNr_Twilight 2831
#define sipName_Twilight &sipStrings_QtSensors[2831]
#define sipNameNr_accuracy 2840
#define sipName_accuracy &sipStrings_QtSensors[2840]
#define sipNameNr_dataRate 2849
#define sipName_dataRate &sipStrings_QtSensors[2849]
#define sipNameNr_isActive 2858
#define sipName_isActive &sipStrings_QtSensors[2858]
#define sipNameNr_pressure 2867
#define sipName_pressure &sipStrings_QtSensors[2867]
#define sipNameNr_setClose 2876
#define sipName_setClose &sipStrings_QtSensors[2876]
#define sipNameNr_Feature 1480
#define sipName_Feature &sipStrings_QtSensors[1480]
#define sipNameNr_Gravity 2885
#define sipName_Gravity &sipStrings_QtSensors[2885]
#define sipNameNr_QSensor 2893
#define sipName_QSensor &sipStrings_QtSensors[2893]
#define sipNameNr_RightUp 2901
#define sipName_RightUp &sipStrings_QtSensors[2901]
#define sipNameNr_TopDown 2909
#define sipName_TopDown &sipStrings_QtSensors[2909]
#define sipNameNr_azimuth 2917
#define sipName_azimuth &sipStrings_QtSensors[2917]
#define sipNameNr_filters 2925
#define sipName_filters &sipStrings_QtSensors[2925]
#define sipNameNr_maximum 2933
#define sipName_maximum &sipStrings_QtSensors[2933]
#define sipNameNr_minimum 2941
#define sipName_minimum &sipStrings_QtSensors[2941]
#define sipNameNr_reading 2949
#define sipName_reading &sipStrings_QtSensors[2949]
#define sipNameNr_setHasZ 2957
#define sipName_setHasZ &sipStrings_QtSensors[2957]
#define sipNameNr_Bright 2965
#define sipName_Bright &sipStrings_QtSensors[2965]
#define sipNameNr_FaceUp 2972
#define sipName_FaceUp &sipStrings_QtSensors[2972]
#define sipNameNr_LeftUp 2979
#define sipName_LeftUp &sipStrings_QtSensors[2979]
#define sipNameNr_X_Both 2986
#define sipName_X_Both &sipStrings_QtSensors[2986]
#define sipNameNr_Y_Both 2993
#define sipName_Y_Both &sipStrings_QtSensors[2993]
#define sipNameNr_Z_Both 3000
#define sipName_Z_Both &sipStrings_QtSensors[3000]
#define sipNameNr_filter 3007
#define sipName_filter &sipStrings_QtSensors[3007]
#define sipNameNr_isBusy 3014
#define sipName_isBusy &sipStrings_QtSensors[3014]
#define sipNameNr_parent 3021
#define sipName_parent &sipStrings_QtSensors[3021]
#define sipNameNr_setLux 3028
#define sipName_setLux &sipStrings_QtSensors[3028]
#define sipNameNr_Light 3035
#define sipName_Light &sipStrings_QtSensors[3035]
#define sipNameNr_Sunny 3041
#define sipName_Sunny &sipStrings_QtSensors[3041]
#define sipNameNr_TopUp 3047
#define sipName_TopUp &sipStrings_QtSensors[3047]
#define sipNameNr_X_Neg 3053
#define sipName_X_Neg &sipStrings_QtSensors[3053]
#define sipNameNr_X_Pos 3059
#define sipName_X_Pos &sipStrings_QtSensors[3059]
#define sipNameNr_Y_Neg 3065
#define sipName_Y_Neg &sipStrings_QtSensors[3065]
#define sipNameNr_Y_Pos 3071
#define sipName_Y_Pos &sipStrings_QtSensors[3071]
#define sipNameNr_Z_Neg 3077
#define sipName_Z_Neg &sipStrings_QtSensors[3077]
#define sipNameNr_Z_Pos 3083
#define sipName_Z_Pos &sipStrings_QtSensors[3083]
#define sipNameNr_close 3089
#define sipName_close &sipStrings_QtSensors[3089]
#define sipNameNr_error 3095
#define sipName_error &sipStrings_QtSensors[3095]
#define sipNameNr_event 3101
#define sipName_event &sipStrings_QtSensors[3101]
#define sipNameNr_start 3107
#define sipName_start &sipStrings_QtSensors[3107]
#define sipNameNr_value 3113
#define sipName_value &sipStrings_QtSensors[3113]
#define sipNameNr_Dark 3119
#define sipName_Dark &sipStrings_QtSensors[3119]
#define sipNameNr_User 3124
#define sipName_User &sipStrings_QtSensors[3124]
#define sipNameNr_hasZ 3129
#define sipName_hasZ &sipStrings_QtSensors[3129]
#define sipNameNr_setX 3134
#define sipName_setX &sipStrings_QtSensors[3134]
#define sipNameNr_setY 3139
#define sipName_setY &sipStrings_QtSensors[3139]
#define sipNameNr_setZ 3144
#define sipName_setZ &sipStrings_QtSensors[3144]
#define sipNameNr_stop 3149
#define sipName_stop &sipStrings_QtSensors[3149]
#define sipNameNr_type 3154
#define sipName_type &sipStrings_QtSensors[3154]
#define sipNameNr_lux 3159
#define sipName_lux &sipStrings_QtSensors[3159]
#define sipNameNr_X 3137
#define sipName_X &sipStrings_QtSensors[3137]
#define sipNameNr_Y 3142
#define sipName_Y &sipStrings_QtSensors[3142]
#define sipNameNr_Z 2963
#define sipName_Z &sipStrings_QtSensors[2963]
#define sipNameNr_x 3033
#define sipName_x &sipStrings_QtSensors[3033]
#define sipNameNr_y 992
#define sipName_y &sipStrings_QtSensors[992]
#define sipNameNr_z 3163
#define sipName_z &sipStrings_QtSensors[3163]

#define sipMalloc                   sipAPI_QtSensors->api_malloc
#define sipFree                     sipAPI_QtSensors->api_free
#define sipBuildResult              sipAPI_QtSensors->api_build_result
#define sipCallMethod               sipAPI_QtSensors->api_call_method
#define sipCallProcedureMethod      sipAPI_QtSensors->api_call_procedure_method
#define sipCallErrorHandler         sipAPI_QtSensors->api_call_error_handler
#define sipParseResultEx            sipAPI_QtSensors->api_parse_result_ex
#define sipParseResult              sipAPI_QtSensors->api_parse_result
#define sipParseArgs                sipAPI_QtSensors->api_parse_args
#define sipParseKwdArgs             sipAPI_QtSensors->api_parse_kwd_args
#define sipParsePair                sipAPI_QtSensors->api_parse_pair
#define sipInstanceDestroyed        sipAPI_QtSensors->api_instance_destroyed
#define sipInstanceDestroyedEx      sipAPI_QtSensors->api_instance_destroyed_ex
#define sipConvertFromSequenceIndex sipAPI_QtSensors->api_convert_from_sequence_index
#define sipConvertFromSliceObject   sipAPI_QtSensors->api_convert_from_slice_object
#define sipConvertFromVoidPtr       sipAPI_QtSensors->api_convert_from_void_ptr
#define sipConvertToVoidPtr         sipAPI_QtSensors->api_convert_to_void_ptr
#define sipAddException             sipAPI_QtSensors->api_add_exception
#define sipNoFunction               sipAPI_QtSensors->api_no_function
#define sipNoMethod                 sipAPI_QtSensors->api_no_method
#define sipAbstractMethod           sipAPI_QtSensors->api_abstract_method
#define sipBadClass                 sipAPI_QtSensors->api_bad_class
#define sipBadCatcherResult         sipAPI_QtSensors->api_bad_catcher_result
#define sipBadCallableArg           sipAPI_QtSensors->api_bad_callable_arg
#define sipBadOperatorArg           sipAPI_QtSensors->api_bad_operator_arg
#define sipTrace                    sipAPI_QtSensors->api_trace
#define sipTransferBack             sipAPI_QtSensors->api_transfer_back
#define sipTransferTo               sipAPI_QtSensors->api_transfer_to
#define sipSimpleWrapper_Type       sipAPI_QtSensors->api_simplewrapper_type
#define sipWrapper_Type             sipAPI_QtSensors->api_wrapper_type
#define sipWrapperType_Type         sipAPI_QtSensors->api_wrappertype_type
#define sipVoidPtr_Type             sipAPI_QtSensors->api_voidptr_type
#define sipGetPyObject              sipAPI_QtSensors->api_get_pyobject
#define sipGetAddress               sipAPI_QtSensors->api_get_address
#define sipGetMixinAddress          sipAPI_QtSensors->api_get_mixin_address
#define sipGetCppPtr                sipAPI_QtSensors->api_get_cpp_ptr
#define sipGetComplexCppPtr         sipAPI_QtSensors->api_get_complex_cpp_ptr
#define sipCallHook                 sipAPI_QtSensors->api_call_hook
#define sipEndThread                sipAPI_QtSensors->api_end_thread
#define sipRaiseUnknownException    sipAPI_QtSensors->api_raise_unknown_exception
#define sipRaiseTypeException       sipAPI_QtSensors->api_raise_type_exception
#define sipBadLengthForSlice        sipAPI_QtSensors->api_bad_length_for_slice
#define sipAddTypeInstance          sipAPI_QtSensors->api_add_type_instance
#define sipPySlotExtend             sipAPI_QtSensors->api_pyslot_extend
#define sipAddDelayedDtor           sipAPI_QtSensors->api_add_delayed_dtor
#define sipCanConvertToType         sipAPI_QtSensors->api_can_convert_to_type
#define sipConvertToType            sipAPI_QtSensors->api_convert_to_type
#define sipForceConvertToType       sipAPI_QtSensors->api_force_convert_to_type
#define sipConvertToEnum            sipAPI_QtSensors->api_convert_to_enum
#define sipConvertToBool            sipAPI_QtSensors->api_convert_to_bool
#define sipReleaseType              sipAPI_QtSensors->api_release_type
#define sipConvertFromType          sipAPI_QtSensors->api_convert_from_type
#define sipConvertFromNewType       sipAPI_QtSensors->api_convert_from_new_type
#define sipConvertFromNewPyType     sipAPI_QtSensors->api_convert_from_new_pytype
#define sipConvertFromEnum          sipAPI_QtSensors->api_convert_from_enum
#define sipGetState                 sipAPI_QtSensors->api_get_state
#define sipExportSymbol             sipAPI_QtSensors->api_export_symbol
#define sipImportSymbol             sipAPI_QtSensors->api_import_symbol
#define sipFindType                 sipAPI_QtSensors->api_find_type
#define sipBytes_AsChar             sipAPI_QtSensors->api_bytes_as_char
#define sipBytes_AsString           sipAPI_QtSensors->api_bytes_as_string
#define sipString_AsASCIIChar       sipAPI_QtSensors->api_string_as_ascii_char
#define sipString_AsASCIIString     sipAPI_QtSensors->api_string_as_ascii_string
#define sipString_AsLatin1Char      sipAPI_QtSensors->api_string_as_latin1_char
#define sipString_AsLatin1String    sipAPI_QtSensors->api_string_as_latin1_string
#define sipString_AsUTF8Char        sipAPI_QtSensors->api_string_as_utf8_char
#define sipString_AsUTF8String      sipAPI_QtSensors->api_string_as_utf8_string
#define sipUnicode_AsWChar          sipAPI_QtSensors->api_unicode_as_wchar
#define sipUnicode_AsWString        sipAPI_QtSensors->api_unicode_as_wstring
#define sipConvertFromConstVoidPtr  sipAPI_QtSensors->api_convert_from_const_void_ptr
#define sipConvertFromVoidPtrAndSize    sipAPI_QtSensors->api_convert_from_void_ptr_and_size
#define sipConvertFromConstVoidPtrAndSize   sipAPI_QtSensors->api_convert_from_const_void_ptr_and_size
#define sipWrappedTypeName(wt)      ((wt)->wt_td->td_cname)
#define sipDeprecated               sipAPI_QtSensors->api_deprecated
#define sipGetReference             sipAPI_QtSensors->api_get_reference
#define sipKeepReference            sipAPI_QtSensors->api_keep_reference
#define sipRegisterProxyResolver    sipAPI_QtSensors->api_register_proxy_resolver
#define sipRegisterPyType           sipAPI_QtSensors->api_register_py_type
#define sipTypeFromPyTypeObject     sipAPI_QtSensors->api_type_from_py_type_object
#define sipTypeScope                sipAPI_QtSensors->api_type_scope
#define sipResolveTypedef           sipAPI_QtSensors->api_resolve_typedef
#define sipRegisterAttributeGetter  sipAPI_QtSensors->api_register_attribute_getter
#define sipEnableAutoconversion     sipAPI_QtSensors->api_enable_autoconversion
#define sipInitMixin                sipAPI_QtSensors->api_init_mixin
#define sipExportModule             sipAPI_QtSensors->api_export_module
#define sipInitModule               sipAPI_QtSensors->api_init_module
#define sipGetInterpreter           sipAPI_QtSensors->api_get_interpreter
#define sipSetTypeUserData          sipAPI_QtSensors->api_set_type_user_data
#define sipGetTypeUserData          sipAPI_QtSensors->api_get_type_user_data
#define sipPyTypeDict               sipAPI_QtSensors->api_py_type_dict
#define sipPyTypeName               sipAPI_QtSensors->api_py_type_name
#define sipGetCFunction             sipAPI_QtSensors->api_get_c_function
#define sipGetMethod                sipAPI_QtSensors->api_get_method
#define sipFromMethod               sipAPI_QtSensors->api_from_method
#define sipGetDate                  sipAPI_QtSensors->api_get_date
#define sipFromDate                 sipAPI_QtSensors->api_from_date
#define sipGetDateTime              sipAPI_QtSensors->api_get_datetime
#define sipFromDateTime             sipAPI_QtSensors->api_from_datetime
#define sipGetTime                  sipAPI_QtSensors->api_get_time
#define sipFromTime                 sipAPI_QtSensors->api_from_time
#define sipIsUserType               sipAPI_QtSensors->api_is_user_type
#define sipCheckPluginForType       sipAPI_QtSensors->api_check_plugin_for_type
#define sipUnicodeNew               sipAPI_QtSensors->api_unicode_new
#define sipUnicodeWrite             sipAPI_QtSensors->api_unicode_write
#define sipUnicodeData              sipAPI_QtSensors->api_unicode_data
#define sipGetBufferInfo            sipAPI_QtSensors->api_get_buffer_info
#define sipReleaseBufferInfo        sipAPI_QtSensors->api_release_buffer_info
#define sipIsOwnedByPython          sipAPI_QtSensors->api_is_owned_by_python
#define sipIsDerivedClass           sipAPI_QtSensors->api_is_derived_class
#define sipGetUserObject            sipAPI_QtSensors->api_get_user_object
#define sipSetUserObject            sipAPI_QtSensors->api_set_user_object
#define sipRegisterEventHandler     sipAPI_QtSensors->api_register_event_handler
#define sipConvertToArray           sipAPI_QtSensors->api_convert_to_array
#define sipConvertToTypedArray      sipAPI_QtSensors->api_convert_to_typed_array
#define sipEnableGC                 sipAPI_QtSensors->api_enable_gc
#define sipPrintObject              sipAPI_QtSensors->api_print_object
#define sipLong_AsChar              sipAPI_QtSensors->api_long_as_char
#define sipLong_AsSignedChar        sipAPI_QtSensors->api_long_as_signed_char
#define sipLong_AsUnsignedChar      sipAPI_QtSensors->api_long_as_unsigned_char
#define sipLong_AsShort             sipAPI_QtSensors->api_long_as_short
#define sipLong_AsUnsignedShort     sipAPI_QtSensors->api_long_as_unsigned_short
#define sipLong_AsInt               sipAPI_QtSensors->api_long_as_int
#define sipLong_AsUnsignedInt       sipAPI_QtSensors->api_long_as_unsigned_int
#define sipLong_AsLong              sipAPI_QtSensors->api_long_as_long
#define sipLong_AsUnsignedLong      sipAPI_QtSensors->api_long_as_unsigned_long
#define sipLong_AsLongLong          sipAPI_QtSensors->api_long_as_long_long
#define sipLong_AsUnsignedLongLong  sipAPI_QtSensors->api_long_as_unsigned_long_long
#define sipLong_AsSizeT             sipAPI_QtSensors->api_long_as_size_t
#define sipVisitWrappers            sipAPI_QtSensors->api_visit_wrappers
#define sipRegisterExitNotifier     sipAPI_QtSensors->api_register_exit_notifier
#define sipNextExceptionHandler     sipAPI_QtSensors->api_next_exception_handler
#define sipIsEnumFlag               sipAPI_QtSensors->api_is_enum_flag
#define sipConvertToTypeUS          sipAPI_QtSensors->api_convert_to_type_us
#define sipForceConvertToTypeUS     sipAPI_QtSensors->api_force_convert_to_type_us
#define sipReleaseTypeUS            sipAPI_QtSensors->api_release_type_us
#define sipIsPyMethod               sipAPI_QtSensors->api_is_py_method_12_8

/* The strings used by this module. */
extern const char sipStrings_QtSensors[];

#define sipType_QSensorReading sipExportedTypes_QtSensors[51]

extern sipClassTypeDef sipTypeDef_QtSensors_QSensorReading;

#define sipType_QAccelerometerReading sipExportedTypes_QtSensors[3]

extern sipClassTypeDef sipTypeDef_QtSensors_QAccelerometerReading;

#define sipType_QSensorFilter sipExportedTypes_QtSensors[50]

extern sipClassTypeDef sipTypeDef_QtSensors_QSensorFilter;

#define sipType_QAccelerometerFilter sipExportedTypes_QtSensors[2]

extern sipClassTypeDef sipTypeDef_QtSensors_QAccelerometerFilter;

#define sipType_QSensor sipExportedTypes_QtSensors[47]

#define sipType_QSensor_AxesOrientationMode sipExportedTypes_QtSensors[48]

#define sipType_QSensor_Feature sipExportedTypes_QtSensors[49]

extern sipClassTypeDef sipTypeDef_QtSensors_QSensor;

#define sipType_QAccelerometer sipExportedTypes_QtSensors[0]

#define sipType_QAccelerometer_AccelerationMode sipExportedTypes_QtSensors[1]

extern sipClassTypeDef sipTypeDef_QtSensors_QAccelerometer;

#define sipType_QAmbientLightReading sipExportedTypes_QtSensors[5]

#define sipType_QAmbientLightReading_LightLevel sipExportedTypes_QtSensors[6]

extern sipClassTypeDef sipTypeDef_QtSensors_QAmbientLightReading;

#define sipType_QAmbientLightFilter sipExportedTypes_QtSensors[4]

extern sipClassTypeDef sipTypeDef_QtSensors_QAmbientLightFilter;

#define sipType_QAmbientLightSensor sipExportedTypes_QtSensors[7]

extern sipClassTypeDef sipTypeDef_QtSensors_QAmbientLightSensor;

#define sipType_QAmbientTemperatureReading sipExportedTypes_QtSensors[9]

extern sipClassTypeDef sipTypeDef_QtSensors_QAmbientTemperatureReading;

#define sipType_QAmbientTemperatureFilter sipExportedTypes_QtSensors[8]

extern sipClassTypeDef sipTypeDef_QtSensors_QAmbientTemperatureFilter;

#define sipType_QAmbientTemperatureSensor sipExportedTypes_QtSensors[10]

extern sipClassTypeDef sipTypeDef_QtSensors_QAmbientTemperatureSensor;

#define sipType_QCompassReading sipExportedTypes_QtSensors[13]

extern sipClassTypeDef sipTypeDef_QtSensors_QCompassReading;

#define sipType_QCompassFilter sipExportedTypes_QtSensors[12]

extern sipClassTypeDef sipTypeDef_QtSensors_QCompassFilter;

#define sipType_QCompass sipExportedTypes_QtSensors[11]

extern sipClassTypeDef sipTypeDef_QtSensors_QCompass;

#define sipType_QGyroscopeReading sipExportedTypes_QtSensors[16]

extern sipClassTypeDef sipTypeDef_QtSensors_QGyroscopeReading;

#define sipType_QGyroscopeFilter sipExportedTypes_QtSensors[15]

extern sipClassTypeDef sipTypeDef_QtSensors_QGyroscopeFilter;

#define sipType_QGyroscope sipExportedTypes_QtSensors[14]

extern sipClassTypeDef sipTypeDef_QtSensors_QGyroscope;

#define sipType_QHumidityReading sipExportedTypes_QtSensors[18]

extern sipClassTypeDef sipTypeDef_QtSensors_QHumidityReading;

#define sipType_QHumidityFilter sipExportedTypes_QtSensors[17]

extern sipClassTypeDef sipTypeDef_QtSensors_QHumidityFilter;

#define sipType_QHumiditySensor sipExportedTypes_QtSensors[19]

extern sipClassTypeDef sipTypeDef_QtSensors_QHumiditySensor;

#define sipType_QIRProximityReading sipExportedTypes_QtSensors[21]

extern sipClassTypeDef sipTypeDef_QtSensors_QIRProximityReading;

#define sipType_QIRProximityFilter sipExportedTypes_QtSensors[20]

extern sipClassTypeDef sipTypeDef_QtSensors_QIRProximityFilter;

#define sipType_QIRProximitySensor sipExportedTypes_QtSensors[22]

extern sipClassTypeDef sipTypeDef_QtSensors_QIRProximitySensor;

#define sipType_QLidReading sipExportedTypes_QtSensors[24]

extern sipClassTypeDef sipTypeDef_QtSensors_QLidReading;

#define sipType_QLidFilter sipExportedTypes_QtSensors[23]

extern sipClassTypeDef sipTypeDef_QtSensors_QLidFilter;

#define sipType_QLidSensor sipExportedTypes_QtSensors[25]

extern sipClassTypeDef sipTypeDef_QtSensors_QLidSensor;

#define sipType_QLightReading sipExportedTypes_QtSensors[27]

extern sipClassTypeDef sipTypeDef_QtSensors_QLightReading;

#define sipType_QLightFilter sipExportedTypes_QtSensors[26]

extern sipClassTypeDef sipTypeDef_QtSensors_QLightFilter;

#define sipType_QLightSensor sipExportedTypes_QtSensors[28]

extern sipClassTypeDef sipTypeDef_QtSensors_QLightSensor;

#define sipType_QMagnetometerReading sipExportedTypes_QtSensors[33]

extern sipClassTypeDef sipTypeDef_QtSensors_QMagnetometerReading;

#define sipType_QMagnetometerFilter sipExportedTypes_QtSensors[32]

extern sipClassTypeDef sipTypeDef_QtSensors_QMagnetometerFilter;

#define sipType_QMagnetometer sipExportedTypes_QtSensors[31]

extern sipClassTypeDef sipTypeDef_QtSensors_QMagnetometer;

#define sipType_QOrientationReading sipExportedTypes_QtSensors[35]

#define sipType_QOrientationReading_Orientation sipExportedTypes_QtSensors[36]

extern sipClassTypeDef sipTypeDef_QtSensors_QOrientationReading;

#define sipType_QOrientationFilter sipExportedTypes_QtSensors[34]

extern sipClassTypeDef sipTypeDef_QtSensors_QOrientationFilter;

#define sipType_QOrientationSensor sipExportedTypes_QtSensors[37]

extern sipClassTypeDef sipTypeDef_QtSensors_QOrientationSensor;

#define sipType_QPressureReading sipExportedTypes_QtSensors[39]

extern sipClassTypeDef sipTypeDef_QtSensors_QPressureReading;

#define sipType_QPressureFilter sipExportedTypes_QtSensors[38]

extern sipClassTypeDef sipTypeDef_QtSensors_QPressureFilter;

#define sipType_QPressureSensor sipExportedTypes_QtSensors[40]

extern sipClassTypeDef sipTypeDef_QtSensors_QPressureSensor;

#define sipType_QProximityReading sipExportedTypes_QtSensors[42]

extern sipClassTypeDef sipTypeDef_QtSensors_QProximityReading;

#define sipType_QProximityFilter sipExportedTypes_QtSensors[41]

extern sipClassTypeDef sipTypeDef_QtSensors_QProximityFilter;

#define sipType_QProximitySensor sipExportedTypes_QtSensors[43]

extern sipClassTypeDef sipTypeDef_QtSensors_QProximitySensor;

#define sipType_QRotationReading sipExportedTypes_QtSensors[45]

extern sipClassTypeDef sipTypeDef_QtSensors_QRotationReading;

#define sipType_QRotationFilter sipExportedTypes_QtSensors[44]

extern sipClassTypeDef sipTypeDef_QtSensors_QRotationFilter;

#define sipType_QRotationSensor sipExportedTypes_QtSensors[46]

extern sipClassTypeDef sipTypeDef_QtSensors_QRotationSensor;

#define sipType_qoutputrange sipExportedTypes_QtSensors[59]

extern sipClassTypeDef sipTypeDef_QtSensors_qoutputrange;

#define sipType_QTapReading sipExportedTypes_QtSensors[53]

#define sipType_QTapReading_TapDirection sipExportedTypes_QtSensors[54]

extern sipClassTypeDef sipTypeDef_QtSensors_QTapReading;

#define sipType_QTapFilter sipExportedTypes_QtSensors[52]

extern sipClassTypeDef sipTypeDef_QtSensors_QTapFilter;

#define sipType_QTapSensor sipExportedTypes_QtSensors[55]

extern sipClassTypeDef sipTypeDef_QtSensors_QTapSensor;

#define sipType_QTiltReading sipExportedTypes_QtSensors[57]

extern sipClassTypeDef sipTypeDef_QtSensors_QTiltReading;

#define sipType_QTiltFilter sipExportedTypes_QtSensors[56]

extern sipClassTypeDef sipTypeDef_QtSensors_QTiltFilter;

#define sipType_QTiltSensor sipExportedTypes_QtSensors[58]

extern sipClassTypeDef sipTypeDef_QtSensors_QTiltSensor;

#define sipType_QList_0101QSensorFilter sipExportedTypes_QtSensors[29]

extern sipMappedTypeDef sipTypeDef_QtSensors_QList_0101QSensorFilter;

#define sipType_QList_0100qoutputrange sipExportedTypes_QtSensors[30]

extern sipMappedTypeDef sipTypeDef_QtSensors_QList_0100qoutputrange;

/* The SIP API, this module's API and the APIs of any imported modules. */
extern const sipAPIDef *sipAPI_QtSensors;
extern sipExportedModuleDef sipModuleAPI_QtSensors;
extern sipTypeDef *sipExportedTypes_QtSensors[];

#define sipType_QObject sipImportedTypes_QtSensors_QtCore[6].it_td

#define sipType_QByteArray sipImportedTypes_QtSensors_QtCore[0].it_td

#define sipType_QEvent sipImportedTypes_QtSensors_QtCore[2].it_td

#define sipType_QTimerEvent sipImportedTypes_QtSensors_QtCore[8].it_td

#define sipType_QChildEvent sipImportedTypes_QtSensors_QtCore[1].it_td

#define sipType_QMetaMethod sipImportedTypes_QtSensors_QtCore[5].it_td

#define sipType_QVariant sipImportedTypes_QtSensors_QtCore[9].it_td

#define sipType_QList_0100QByteArray sipImportedTypes_QtSensors_QtCore[3].it_td

#define sipType_QList_0600std_pair_1800_1800 sipImportedTypes_QtSensors_QtCore[4].it_td

#define sipType_std_pair_1800_1800 sipImportedTypes_QtSensors_QtCore[10].it_td

#define sipType_QString sipImportedTypes_QtSensors_QtCore[7].it_td
extern sipImportedTypeDef sipImportedTypes_QtSensors_QtCore[];
extern sipImportedVirtErrorHandlerDef sipImportedVirtErrorHandlers_QtSensors_QtCore[];

typedef const QMetaObject *(*sip_qt_metaobject_func)(sipSimpleWrapper *,sipTypeDef *);
extern sip_qt_metaobject_func sip_QtSensors_qt_metaobject;

typedef int (*sip_qt_metacall_func)(sipSimpleWrapper *,sipTypeDef *,QMetaObject::Call,int,void **);
extern sip_qt_metacall_func sip_QtSensors_qt_metacall;

typedef bool (*sip_qt_metacast_func)(sipSimpleWrapper *, const sipTypeDef *, const char *, void **);
extern sip_qt_metacast_func sip_QtSensors_qt_metacast;

#endif
