/*
 * Internal module API header file.
 *
 * Generated by SIP 6.7.9
 *
 * Copyright (c) 2023 Riverbank Computing Limited <info@riverbankcomputing.com>
 * 
 * This file is part of PyQt6.
 * 
 * This file may be used under the terms of the GNU General Public License
 * version 3.0 as published by the Free Software Foundation and appearing in
 * the file LICENSE included in the packaging of this file.  Please review the
 * following information to ensure the GNU General Public License version 3.0
 * requirements will be met: http://www.gnu.org/copyleft/gpl.html.
 * 
 * If you do not wish to use this file under the terms of the GPL version 3.0
 * then you may purchase a commercial license.  For more information contact
 * info@riverbankcomputing.com.
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef _QtSqlAPI_H
#define _QtSqlAPI_H

#if !defined(Py_LIMITED_API)
#define Py_LIMITED_API
#endif

#include "sip.h"

#include <QMetaType>
#include <QThread>

/* These are the qualifiers that are enabled. */
#define SIP_FEATURE_PyQt_DTLS
#define SIP_FEATURE_PyQt_WebChannel
#define SIP_FEATURE_PyQt_Process
#define SIP_FEATURE_PyQt_OpenGL
#define SIP_FEATURE_PyQt_RawFont
#define SIP_FEATURE_PyQt_PrintPreviewDialog
#define SIP_FEATURE_PyQt_PrintPreviewWidget
#define SIP_FEATURE_PyQt_Printer
#define SIP_FEATURE_PyQt_PrintDialog
#define SIP_FEATURE_PyQt_qreal_double
#define SIP_FEATURE_PyQt_SSL
#define SIP_FEATURE_PyQt_SessionManager
#define SIP_FEATURE_PyQt_Accessibility
#define SIP_PLATFORM_Linux
#define SIP_TIMELINE_Qt_6_5_0


/*
 * Convenient names to refer to various strings defined in this module.
 * Only the class names are part of the public API.
 */
#define sipNameNr_QSqlRelationalTableModel__JoinMode 0
#define sipName_QSqlRelationalTableModel__JoinMode &sipStrings_QtSql[0]
#define sipNameNr_QSql__NumericalPrecisionPolicy 35
#define sipName_QSql__NumericalPrecisionPolicy &sipStrings_QtSql[35]
#define sipNameNr_QSqlDriver__NotificationSource 66
#define sipName_QSqlDriver__NotificationSource &sipStrings_QtSql[66]
#define sipNameNr_QSqlQuery__BatchExecutionMode 97
#define sipName_QSqlQuery__BatchExecutionMode &sipStrings_QtSql[97]
#define sipNameNr_QSqlTableModel__EditStrategy 127
#define sipName_QSqlTableModel__EditStrategy &sipStrings_QtSql[127]
#define sipNameNr_156 156
#define sipName_156 &sipStrings_QtSql[156]
#define sipNameNr_setNumericalPrecisionPolicy 184
#define sipName_setNumericalPrecisionPolicy &sipStrings_QtSql[184]
#define sipNameNr_unsubscribeFromNotification 212
#define sipName_unsubscribeFromNotification &sipStrings_QtSql[212]
#define sipNameNr_QSqlDriver__IdentifierType 240
#define sipName_QSqlDriver__IdentifierType &sipStrings_QtSql[240]
#define sipNameNr_QSqlDriver__DriverFeature 267
#define sipName_QSqlDriver__DriverFeature &sipStrings_QtSql[267]
#define sipNameNr_QSqlDriver__StatementType 293
#define sipName_QSqlDriver__StatementType &sipStrings_QtSql[293]
#define sipNameNr_QSqlField__RequiredStatus 319
#define sipName_QSqlField__RequiredStatus &sipStrings_QtSql[319]
#define sipNameNr_QSqlResult__BindingSyntax 345
#define sipName_QSqlResult__BindingSyntax &sipStrings_QtSql[345]
#define sipNameNr_subscribedToNotifications 371
#define sipName_subscribedToNotifications &sipStrings_QtSql[371]
#define sipNameNr_NumericalPrecisionPolicy 41
#define sipName_NumericalPrecisionPolicy &sipStrings_QtSql[41]
#define sipNameNr_QSqlRelationalTableModel 397
#define sipName_QSqlRelationalTableModel &sipStrings_QtSql[397]
#define sipNameNr_numericalPrecisionPolicy 422
#define sipName_numericalPrecisionPolicy &sipStrings_QtSql[422]
#define sipNameNr_PyQt6_sip_simplewrapper 447
#define sipName_PyQt6_sip_simplewrapper &sipStrings_QtSql[447]
#define sipNameNr_maximumIdentifierLength 471
#define sipName_maximumIdentifierLength &sipStrings_QtSql[471]
#define sipNameNr_subscribeToNotification 495
#define sipName_subscribeToNotification &sipStrings_QtSql[495]
#define sipNameNr_PositionalPlaceholders 519
#define sipName_PositionalPlaceholders &sipStrings_QtSql[519]
#define sipNameNr_QSqlRelationalDelegate 542
#define sipName_QSqlRelationalDelegate &sipStrings_QtSql[542]
#define sipNameNr_QSqlDriverCreatorBase 565
#define sipName_QSqlDriverCreatorBase &sipStrings_QtSql[565]
#define sipNameNr_QSqlDriver__DbmsType 587
#define sipName_QSqlDriver__DbmsType &sipStrings_QtSql[587]
#define sipNameNr_QSqlError__ErrorType 608
#define sipName_QSqlError__ErrorType &sipStrings_QtSql[608]
#define sipNameNr_supportedDragActions 629
#define sipName_supportedDragActions &sipStrings_QtSql[629]
#define sipNameNr_supportedDropActions 650
#define sipName_supportedDropActions &sipStrings_QtSql[650]
#define sipNameNr_updateEditorGeometry 671
#define sipName_updateEditorGeometry &sipStrings_QtSql[671]
#define sipNameNr_LowPrecisionNumbers 692
#define sipName_LowPrecisionNumbers &sipStrings_QtSql[692]
#define sipNameNr_QSql__ParamTypeFlag 712
#define sipName_QSql__ParamTypeFlag &sipStrings_QtSql[712]
#define sipNameNr_isIdentifierEscaped 732
#define sipName_isIdentifierEscaped &sipStrings_QtSql[732]
#define sipNameNr_rollbackTransaction 752
#define sipName_rollbackTransaction &sipStrings_QtSql[752]
#define sipNameNr_BatchExecutionMode 108
#define sipName_BatchExecutionMode &sipStrings_QtSql[108]
#define sipNameNr_EventNotifications 772
#define sipName_EventNotifications &sipStrings_QtSql[772]
#define sipNameNr_LowPrecisionDouble 791
#define sipName_LowPrecisionDouble &sipStrings_QtSql[791]
#define sipNameNr_MultipleResultSets 810
#define sipName_MultipleResultSets &sipStrings_QtSql[810]
#define sipNameNr_NotificationSource 78
#define sipName_NotificationSource &sipStrings_QtSql[78]
#define sipNameNr_beginInsertColumns 829
#define sipName_beginInsertColumns &sipStrings_QtSql[829]
#define sipNameNr_beginRemoveColumns 848
#define sipName_beginRemoveColumns &sipStrings_QtSql[848]
#define sipNameNr_deleteRowFromTable 867
#define sipName_deleteRowFromTable &sipStrings_QtSql[867]
#define sipNameNr_insertRowIntoTable 886
#define sipName_insertRowIntoTable &sipStrings_QtSql[886]
#define sipNameNr_LowPrecisionInt32 905
#define sipName_LowPrecisionInt32 &sipStrings_QtSql[905]
#define sipNameNr_LowPrecisionInt64 923
#define sipName_LowPrecisionInt64 &sipStrings_QtSql[923]
#define sipNameNr_NamedPlaceholders 941
#define sipName_NamedPlaceholders &sipStrings_QtSql[941]
#define sipNameNr_PositionalBinding 959
#define sipName_PositionalBinding &sipStrings_QtSql[959]
#define sipNameNr_commitTransaction 977
#define sipName_commitTransaction &sipStrings_QtSql[977]
#define sipNameNr_isDriverAvailable 995
#define sipName_isDriverAvailable &sipStrings_QtSql[995]
#define sipNameNr_registerSqlDriver 1013
#define sipName_registerSqlDriver &sipStrings_QtSql[1013]
#define sipNameNr_resetInternalData 1031
#define sipName_resetInternalData &sipStrings_QtSql[1031]
#define sipNameNr_setConnectOptions 1049
#define sipName_setConnectOptions &sipStrings_QtSql[1049]
#define sipNameNr_setRequiredStatus 1067
#define sipName_setRequiredStatus &sipStrings_QtSql[1067]
#define sipNameNr_TransactionError 1085
#define sipName_TransactionError &sipStrings_QtSql[1085]
#define sipNameNr_beginTransaction 1102
#define sipName_beginTransaction &sipStrings_QtSql[1102]
#define sipNameNr_disconnectNotify 1119
#define sipName_disconnectNotify &sipStrings_QtSql[1119]
#define sipNameNr_endInsertColumns 1136
#define sipName_endInsertColumns &sipStrings_QtSql[1136]
#define sipNameNr_endRemoveColumns 1153
#define sipName_endRemoveColumns &sipStrings_QtSql[1153]
#define sipNameNr_escapeIdentifier 1170
#define sipName_escapeIdentifier &sipStrings_QtSql[1170]
#define sipNameNr_updateRowInTable 1187
#define sipName_updateRowInTable &sipStrings_QtSql[1187]
#define sipNameNr_BatchOperations 1204
#define sipName_BatchOperations &sipStrings_QtSql[1204]
#define sipNameNr_ConnectionError 1220
#define sipName_ConnectionError &sipStrings_QtSql[1220]
#define sipNameNr_DeleteStatement 1236
#define sipName_DeleteStatement &sipStrings_QtSql[1236]
#define sipNameNr_InsertStatement 1252
#define sipName_InsertStatement &sipStrings_QtSql[1252]
#define sipNameNr_PreparedQueries 1268
#define sipName_PreparedQueries &sipStrings_QtSql[1268]
#define sipNameNr_QSql__TableType 1284
#define sipName_QSql__TableType &sipStrings_QtSql[1284]
#define sipNameNr_SelectStatement 1300
#define sipName_SelectStatement &sipStrings_QtSql[1300]
#define sipNameNr_UpdateStatement 1316
#define sipName_UpdateStatement &sipStrings_QtSql[1316]
#define sipNameNr_ValuesAsColumns 1332
#define sipName_ValuesAsColumns &sipStrings_QtSql[1332]
#define sipNameNr_beginInsertRows 1348
#define sipName_beginInsertRows &sipStrings_QtSql[1348]
#define sipNameNr_beginRemoveRows 1364
#define sipName_beginRemoveRows &sipStrings_QtSql[1364]
#define sipNameNr_beginResetModel 1380
#define sipName_beginResetModel &sipStrings_QtSql[1380]
#define sipNameNr_boundValueCount 1396
#define sipName_boundValueCount &sipStrings_QtSql[1396]
#define sipNameNr_canDropMimeData 1412
#define sipName_canDropMimeData &sipStrings_QtSql[1412]
#define sipNameNr_connectionNames 1428
#define sipName_connectionNames &sipStrings_QtSql[1428]
#define sipNameNr_initStyleOption 1444
#define sipName_initStyleOption &sipStrings_QtSql[1444]
#define sipNameNr_nativeErrorCode 1460
#define sipName_nativeErrorCode &sipStrings_QtSql[1460]
#define sipNameNr_numRowsAffected 1476
#define sipName_numRowsAffected &sipStrings_QtSql[1476]
#define sipNameNr_selectStatement 1492
#define sipName_selectStatement &sipStrings_QtSql[1492]
#define sipNameNr_setDatabaseName 1508
#define sipName_setDatabaseName &sipStrings_QtSql[1508]
#define sipNameNr_setDefaultValue 1524
#define sipName_setDefaultValue &sipStrings_QtSql[1524]
#define sipNameNr_setEditStrategy 1540
#define sipName_setEditStrategy &sipStrings_QtSql[1540]
#define sipNameNr_stripDelimiters 1556
#define sipName_stripDelimiters &sipStrings_QtSql[1556]
#define sipNameNr_BeforeFirstRow 1572
#define sipName_BeforeFirstRow &sipStrings_QtSql[1572]
#define sipNameNr_IdentifierType 252
#define sipName_IdentifierType &sipStrings_QtSql[252]
#define sipNameNr_OnManualSubmit 1587
#define sipName_OnManualSubmit &sipStrings_QtSql[1587]
#define sipNameNr_QSql__Location 1602
#define sipName_QSql__Location &sipStrings_QtSql[1602]
#define sipNameNr_QSqlQueryModel 1617
#define sipName_QSqlQueryModel &sipStrings_QtSql[1617]
#define sipNameNr_QSqlTableModel 1632
#define sipName_QSqlTableModel &sipStrings_QtSql[1632]
#define sipNameNr_RequiredStatus 330
#define sipName_RequiredStatus &sipStrings_QtSql[330]
#define sipNameNr_StatementError 1647
#define sipName_StatementError &sipStrings_QtSql[1647]
#define sipNameNr_WhereStatement 1662
#define sipName_WhereStatement &sipStrings_QtSql[1662]
#define sipNameNr_boundValueName 1677
#define sipName_boundValueName &sipStrings_QtSql[1677]
#define sipNameNr_connectOptions 1692
#define sipName_connectOptions &sipStrings_QtSql[1692]
#define sipNameNr_connectionName 1707
#define sipName_connectionName &sipStrings_QtSql[1707]
#define sipNameNr_removeDatabase 1722
#define sipName_removeDatabase &sipStrings_QtSql[1722]
#define sipNameNr_requiredStatus 1737
#define sipName_requiredStatus &sipStrings_QtSql[1737]
#define sipNameNr_setForwardOnly 1752
#define sipName_setForwardOnly &sipStrings_QtSql[1752]
#define sipNameNr_BindingSyntax 357
#define sipName_BindingSyntax &sipStrings_QtSql[357]
#define sipNameNr_DriverFeature 279
#define sipName_DriverFeature &sipStrings_QtSql[279]
#define sipNameNr_HighPrecision 1767
#define sipName_HighPrecision &sipStrings_QtSql[1767]
#define sipNameNr_OnFieldChange 1781
#define sipName_OnFieldChange &sipStrings_QtSql[1781]
#define sipNameNr_ParamTypeFlag 718
#define sipName_ParamTypeFlag &sipStrings_QtSql[718]
#define sipNameNr_SimpleLocking 1795
#define sipName_SimpleLocking &sipStrings_QtSql[1795]
#define sipNameNr_StatementType 305
#define sipName_StatementType &sipStrings_QtSql[305]
#define sipNameNr_UnknownSource 1809
#define sipName_UnknownSource &sipStrings_QtSql[1809]
#define sipNameNr_bindValueType 1823
#define sipName_bindValueType &sipStrings_QtSql[1823]
#define sipNameNr_bindingSyntax 1837
#define sipName_bindingSyntax &sipStrings_QtSql[1837]
#define sipNameNr_clearItemData 1851
#define sipName_clearItemData &sipStrings_QtSql[1851]
#define sipNameNr_cloneDatabase 1865
#define sipName_cloneDatabase &sipStrings_QtSql[1865]
#define sipNameNr_connectNotify 1122
#define sipName_connectNotify &sipStrings_QtSql[1122]
#define sipNameNr_destroyEditor 1879
#define sipName_destroyEditor &sipStrings_QtSql[1879]
#define sipNameNr_displayColumn 1893
#define sipName_displayColumn &sipStrings_QtSql[1893]
#define sipNameNr_endInsertRows 1907
#define sipName_endInsertRows &sipStrings_QtSql[1907]
#define sipNameNr_endRemoveRows 1921
#define sipName_endRemoveRows &sipStrings_QtSql[1921]
#define sipNameNr_endResetModel 1935
#define sipName_endResetModel &sipStrings_QtSql[1935]
#define sipNameNr_executedQuery 1949
#define sipName_executedQuery &sipStrings_QtSql[1949]
#define sipNameNr_fetchPrevious 1963
#define sipName_fetchPrevious &sipStrings_QtSql[1963]
#define sipNameNr_insertColumns 1977
#define sipName_insertColumns &sipStrings_QtSql[1977]
#define sipNameNr_isForwardOnly 1991
#define sipName_isForwardOnly &sipStrings_QtSql[1991]
#define sipNameNr_orderByClause 2005
#define sipName_orderByClause &sipStrings_QtSql[2005]
#define sipNameNr_primaryValues 2019
#define sipName_primaryValues &sipStrings_QtSql[2019]
#define sipNameNr_relationModel 2033
#define sipName_relationModel &sipStrings_QtSql[2033]
#define sipNameNr_removeColumns 2047
#define sipName_removeColumns &sipStrings_QtSql[2047]
#define sipNameNr_setCursorName 2061
#define sipName_setCursorName &sipStrings_QtSql[2061]
#define sipNameNr_setDescending 2075
#define sipName_setDescending &sipStrings_QtSql[2075]
#define sipNameNr_setEditorData 2089
#define sipName_setEditorData &sipStrings_QtSql[2089]
#define sipNameNr_setHeaderData 2103
#define sipName_setHeaderData &sipStrings_QtSql[2103]
#define sipNameNr_setPrimaryKey 2117
#define sipName_setPrimaryKey &sipStrings_QtSql[2117]
#define sipNameNr_AfterLastRow 2131
#define sipName_AfterLastRow &sipStrings_QtSql[2131]
#define sipNameNr_EditStrategy 143
#define sipName_EditStrategy &sipStrings_QtSql[143]
#define sipNameNr_LastInsertId 2144
#define sipName_LastInsertId &sipStrings_QtSql[2144]
#define sipNameNr_NamedBinding 2157
#define sipName_NamedBinding &sipStrings_QtSql[2157]
#define sipNameNr_QSqlDatabase 2170
#define sipName_QSqlDatabase &sipStrings_QtSql[2170]
#define sipNameNr_QSqlRelation 2183
#define sipName_QSqlRelation &sipStrings_QtSql[2183]
#define sipNameNr_SystemTables 2196
#define sipName_SystemTables &sipStrings_QtSql[2196]
#define sipNameNr_Transactions 2209
#define sipName_Transactions &sipStrings_QtSql[2209]
#define sipNameNr_UnknownError 2222
#define sipName_UnknownError &sipStrings_QtSql[2222]
#define sipNameNr_ValuesAsRows 2235
#define sipName_ValuesAsRows &sipStrings_QtSql[2235]
#define sipNameNr_addBindValue 2248
#define sipName_addBindValue &sipStrings_QtSql[2248]
#define sipNameNr_beforeDelete 2261
#define sipName_beforeDelete &sipStrings_QtSql[2261]
#define sipNameNr_beforeInsert 2274
#define sipName_beforeInsert &sipStrings_QtSql[2274]
#define sipNameNr_beforeUpdate 2287
#define sipName_beforeUpdate &sipStrings_QtSql[2287]
#define sipNameNr_canFetchMore 2300
#define sipName_canFetchMore &sipStrings_QtSql[2300]
#define sipNameNr_createEditor 2313
#define sipName_createEditor &sipStrings_QtSql[2313]
#define sipNameNr_createObject 2326
#define sipName_createObject &sipStrings_QtSql[2326]
#define sipNameNr_createResult 2339
#define sipName_createResult &sipStrings_QtSql[2339]
#define sipNameNr_databaseName 2352
#define sipName_databaseName &sipStrings_QtSql[2352]
#define sipNameNr_databaseText 2365
#define sipName_databaseText &sipStrings_QtSql[2365]
#define sipNameNr_defaultValue 2378
#define sipName_defaultValue &sipStrings_QtSql[2378]
#define sipNameNr_dropMimeData 2391
#define sipName_dropMimeData &sipStrings_QtSql[2391]
#define sipNameNr_editStrategy 2404
#define sipName_editStrategy &sipStrings_QtSql[2404]
#define sipNameNr_hasOutValues 2417
#define sipName_hasOutValues &sipStrings_QtSql[2417]
#define sipNameNr_indexInQuery 2430
#define sipName_indexInQuery &sipStrings_QtSql[2430]
#define sipNameNr_insertRecord 2443
#define sipName_insertRecord &sipStrings_QtSql[2443]
#define sipNameNr_isDescending 2456
#define sipName_isDescending &sipStrings_QtSql[2456]
#define sipNameNr_lastInsertId 2469
#define sipName_lastInsertId &sipStrings_QtSql[2469]
#define sipNameNr_notification 2482
#define sipName_notification &sipStrings_QtSql[2482]
#define sipNameNr_primaryIndex 2495
#define sipName_primaryIndex &sipStrings_QtSql[2495]
#define sipNameNr_setAutoValue 2508
#define sipName_setAutoValue &sipStrings_QtSql[2508]
#define sipNameNr_setGenerated 2521
#define sipName_setGenerated &sipStrings_QtSql[2521]
#define sipNameNr_setLastError 2534
#define sipName_setLastError &sipStrings_QtSql[2534]
#define sipNameNr_setModelData 2547
#define sipName_setModelData &sipStrings_QtSql[2547]
#define sipNameNr_setOpenError 2560
#define sipName_setOpenError &sipStrings_QtSql[2560]
#define sipNameNr_setPrecision 2573
#define sipName_setPrecision &sipStrings_QtSql[2573]
#define sipNameNr_setTableName 2586
#define sipName_setTableName &sipStrings_QtSql[2586]
#define sipNameNr_sqlStatement 2599
#define sipName_sqlStatement &sipStrings_QtSql[2599]
#define sipNameNr_FinishQuery 2612
#define sipName_FinishQuery &sipStrings_QtSql[2612]
#define sipNameNr_MSSqlServer 2624
#define sipName_MSSqlServer &sipStrings_QtSql[2624]
#define sipNameNr_MySqlServer 2636
#define sipName_MySqlServer &sipStrings_QtSql[2636]
#define sipNameNr_OnRowChange 2648
#define sipName_OnRowChange &sipStrings_QtSql[2648]
#define sipNameNr_OtherSource 2660
#define sipName_OtherSource &sipStrings_QtSql[2660]
#define sipNameNr_PyQt6_QtSql 2672
#define sipName_PyQt6_QtSql &sipStrings_QtSql[2672]
#define sipNameNr_UnknownDbms 2684
#define sipName_UnknownDbms &sipStrings_QtSql[2684]
#define sipNameNr_addDatabase 2696
#define sipName_addDatabase &sipStrings_QtSql[2696]
#define sipNameNr_boundValues 2708
#define sipName_boundValues &sipStrings_QtSql[2708]
#define sipNameNr_clearValues 2720
#define sipName_clearValues &sipStrings_QtSql[2720]
#define sipNameNr_columnCount 2732
#define sipName_columnCount &sipStrings_QtSql[2732]
#define sipNameNr_customEvent 2744
#define sipName_customEvent &sipStrings_QtSql[2744]
#define sipNameNr_displayText 2756
#define sipName_displayText &sipStrings_QtSql[2756]
#define sipNameNr_editorEvent 2768
#define sipName_editorEvent &sipStrings_QtSql[2768]
#define sipNameNr_eventFilter 2780
#define sipName_eventFilter &sipStrings_QtSql[2780]
#define sipNameNr_formatValue 2792
#define sipName_formatValue &sipStrings_QtSql[2792]
#define sipNameNr_hasChildren 2804
#define sipName_hasChildren &sipStrings_QtSql[2804]
#define sipNameNr_indexColumn 2816
#define sipName_indexColumn &sipStrings_QtSql[2816]
#define sipNameNr_isAutoValue 2828
#define sipName_isAutoValue &sipStrings_QtSql[2828]
#define sipNameNr_isGenerated 2840
#define sipName_isGenerated &sipStrings_QtSql[2840]
#define sipNameNr_isOpenError 2852
#define sipName_isOpenError &sipStrings_QtSql[2852]
#define sipNameNr_moveColumns 855
#define sipName_moveColumns &sipStrings_QtSql[855]
#define sipNameNr_primeInsert 2864
#define sipName_primeInsert &sipStrings_QtSql[2864]
#define sipNameNr_queryChange 2876
#define sipName_queryChange &sipStrings_QtSql[2876]
#define sipNameNr_savePrepare 2888
#define sipName_savePrepare &sipStrings_QtSql[2888]
#define sipNameNr_setHostName 2900
#define sipName_setHostName &sipStrings_QtSql[2900]
#define sipNameNr_setItemData 2912
#define sipName_setItemData &sipStrings_QtSql[2912]
#define sipNameNr_setJoinMode 2924
#define sipName_setJoinMode &sipStrings_QtSql[2924]
#define sipNameNr_setMetaType 2936
#define sipName_setMetaType &sipStrings_QtSql[2936]
#define sipNameNr_setPassword 2948
#define sipName_setPassword &sipStrings_QtSql[2948]
#define sipNameNr_setReadOnly 2960
#define sipName_setReadOnly &sipStrings_QtSql[2960]
#define sipNameNr_setRelation 2972
#define sipName_setRelation &sipStrings_QtSql[2972]
#define sipNameNr_setRequired 2984
#define sipName_setRequired &sipStrings_QtSql[2984]
#define sipNameNr_setUserName 2996
#define sipName_setUserName &sipStrings_QtSql[2996]
#define sipNameNr_transaction 3008
#define sipName_transaction &sipStrings_QtSql[3008]
#define sipNameNr_trimStrings 3020
#define sipName_trimStrings &sipStrings_QtSql[3020]
#define sipNameNr_PostgreSQL 3032
#define sipName_PostgreSQL &sipStrings_QtSql[3032]
#define sipNameNr_QSqlDriver 3043
#define sipName_QSqlDriver &sipStrings_QtSql[3043]
#define sipNameNr_QSqlRecord 3054
#define sipName_QSqlRecord &sipStrings_QtSql[3054]
#define sipNameNr_QSqlResult 3065
#define sipName_QSqlResult &sipStrings_QtSql[3065]
#define sipNameNr_SelfSource 3076
#define sipName_SelfSource &sipStrings_QtSql[3076]
#define sipNameNr_boundValue 3087
#define sipName_boundValue &sipStrings_QtSql[3087]
#define sipNameNr_childEvent 3098
#define sipName_childEvent &sipStrings_QtSql[3098]
#define sipNameNr_cursorName 3109
#define sipName_cursorName &sipStrings_QtSql[3109]
#define sipNameNr_driverName 3120
#define sipName_driverName &sipStrings_QtSql[3120]
#define sipNameNr_driverText 3131
#define sipName_driverText &sipStrings_QtSql[3131]
#define sipNameNr_fetchFirst 3142
#define sipName_fetchFirst &sipStrings_QtSql[3142]
#define sipNameNr_fieldIndex 3153
#define sipName_fieldIndex &sipStrings_QtSql[3153]
#define sipNameNr_hasFeature 3164
#define sipName_hasFeature &sipStrings_QtSql[3164]
#define sipNameNr_headerData 3175
#define sipName_headerData &sipStrings_QtSql[3175]
#define sipNameNr_insertRows 3186
#define sipName_insertRows &sipStrings_QtSql[3186]
#define sipNameNr_isReadOnly 3197
#define sipName_isReadOnly &sipStrings_QtSql[3197]
#define sipNameNr_nextResult 3208
#define sipName_nextResult &sipStrings_QtSql[3208]
#define sipNameNr_primaryKey 3219
#define sipName_primaryKey &sipStrings_QtSql[3219]
#define sipNameNr_removeRows 3230
#define sipName_removeRows &sipStrings_QtSql[3230]
#define sipNameNr_setSqlType 3241
#define sipName_setSqlType &sipStrings_QtSql[3241]
#define sipNameNr_timerEvent 3252
#define sipName_timerEvent &sipStrings_QtSql[3252]
#define sipNameNr_AllTables 3263
#define sipName_AllTables &sipStrings_QtSql[3263]
#define sipNameNr_ErrorType 619
#define sipName_ErrorType &sipStrings_QtSql[619]
#define sipNameNr_FieldName 3273
#define sipName_FieldName &sipStrings_QtSql[3273]
#define sipNameNr_InnerJoin 3283
#define sipName_InnerJoin &sipStrings_QtSql[3283]
#define sipNameNr_Interbase 3293
#define sipName_Interbase &sipStrings_QtSql[3293]
#define sipNameNr_QSqlError 3303
#define sipName_QSqlError &sipStrings_QtSql[3303]
#define sipNameNr_QSqlField 3313
#define sipName_QSqlField &sipStrings_QtSql[3313]
#define sipNameNr_QSqlIndex 3323
#define sipName_QSqlIndex &sipStrings_QtSql[3323]
#define sipNameNr_QSqlQuery 3333
#define sipName_QSqlQuery &sipStrings_QtSql[3333]
#define sipNameNr_QuerySize 3343
#define sipName_QuerySize &sipStrings_QtSql[3343]
#define sipNameNr_TableName 2589
#define sipName_TableName &sipStrings_QtSql[2589]
#define sipNameNr_TableType 1290
#define sipName_TableType &sipStrings_QtSql[1290]
#define sipNameNr_bindValue 3353
#define sipName_bindValue &sipStrings_QtSql[3353]
#define sipNameNr_errorCode 3363
#define sipName_errorCode &sipStrings_QtSql[3363]
#define sipNameNr_execBatch 3373
#define sipName_execBatch &sipStrings_QtSql[3373]
#define sipNameNr_fetchLast 3383
#define sipName_fetchLast &sipStrings_QtSql[3383]
#define sipNameNr_fetchMore 3393
#define sipName_fetchMore &sipStrings_QtSql[3393]
#define sipNameNr_fetchNext 3403
#define sipName_fetchNext &sipStrings_QtSql[3403]
#define sipNameNr_fieldName 3413
#define sipName_fieldName &sipStrings_QtSql[3413]
#define sipNameNr_helpEvent 3423
#define sipName_helpEvent &sipStrings_QtSql[3423]
#define sipNameNr_keyValues 3433
#define sipName_keyValues &sipStrings_QtSql[3433]
#define sipNameNr_lastError 3443
#define sipName_lastError &sipStrings_QtSql[3443]
#define sipNameNr_lastQuery 3453
#define sipName_lastQuery &sipStrings_QtSql[3453]
#define sipNameNr_mimeTypes 3463
#define sipName_mimeTypes &sipStrings_QtSql[3463]
#define sipNameNr_precision 3473
#define sipName_precision &sipStrings_QtSql[3473]
#define sipNameNr_revertAll 3483
#define sipName_revertAll &sipStrings_QtSql[3483]
#define sipNameNr_revertRow 3493
#define sipName_revertRow &sipStrings_QtSql[3493]
#define sipNameNr_roleNames 3503
#define sipName_roleNames &sipStrings_QtSql[3503]
#define sipNameNr_selectRow 3513
#define sipName_selectRow &sipStrings_QtSql[3513]
#define sipNameNr_setActive 3523
#define sipName_setActive &sipStrings_QtSql[3523]
#define sipNameNr_setFilter 3533
#define sipName_setFilter &sipStrings_QtSql[3533]
#define sipNameNr_setLength 3543
#define sipName_setLength &sipStrings_QtSql[3543]
#define sipNameNr_setRecord 3553
#define sipName_setRecord &sipStrings_QtSql[3553]
#define sipNameNr_setSelect 3563
#define sipName_setSelect &sipStrings_QtSql[3563]
#define sipNameNr_submitAll 3573
#define sipName_submitAll &sipStrings_QtSql[3573]
#define sipNameNr_tableName 3583
#define sipName_tableName &sipStrings_QtSql[3583]
#define sipNameNr_DbmsType 599
#define sipName_DbmsType &sipStrings_QtSql[599]
#define sipNameNr_JoinMode 26
#define sipName_JoinMode &sipStrings_QtSql[26]
#define sipNameNr_LeftJoin 3593
#define sipName_LeftJoin &sipStrings_QtSql[3593]
#define sipNameNr_Location 1608
#define sipName_Location &sipStrings_QtSql[1608]
#define sipNameNr_Optional 3602
#define sipName_Optional &sipStrings_QtSql[3602]
#define sipNameNr_Required 2987
#define sipName_Required &sipStrings_QtSql[2987]
#define sipNameNr_contains 3611
#define sipName_contains &sipStrings_QtSql[3611]
#define sipNameNr_database 3620
#define sipName_database &sipStrings_QtSql[3620]
#define sipNameNr_dbmsType 3629
#define sipName_dbmsType &sipStrings_QtSql[3629]
#define sipNameNr_hostName 3638
#define sipName_hostName &sipStrings_QtSql[3638]
#define sipNameNr_isActive 3647
#define sipName_isActive &sipStrings_QtSql[3647]
#define sipNameNr_isSelect 3656
#define sipName_isSelect &sipStrings_QtSql[3656]
#define sipNameNr_itemData 3665
#define sipName_itemData &sipStrings_QtSql[3665]
#define sipNameNr_metaType 3674
#define sipName_metaType &sipStrings_QtSql[3674]
#define sipNameNr_mimeData 3683
#define sipName_mimeData &sipStrings_QtSql[3683]
#define sipNameNr_moveRows 1371
#define sipName_moveRows &sipStrings_QtSql[1371]
#define sipNameNr_password 3692
#define sipName_password &sipStrings_QtSql[3692]
#define sipNameNr_previous 3701
#define sipName_previous &sipStrings_QtSql[3701]
#define sipNameNr_relation 3710
#define sipName_relation &sipStrings_QtSql[3710]
#define sipNameNr_relative 3719
#define sipName_relative &sipStrings_QtSql[3719]
#define sipNameNr_rollback 3728
#define sipName_rollback &sipStrings_QtSql[3728]
#define sipNameNr_rowCount 3737
#define sipName_rowCount &sipStrings_QtSql[3737]
#define sipNameNr_setQuery 3746
#define sipName_setQuery &sipStrings_QtSql[3746]
#define sipNameNr_setTable 3755
#define sipName_setTable &sipStrings_QtSql[3755]
#define sipNameNr_setValue 3764
#define sipName_setValue &sipStrings_QtSql[3764]
#define sipNameNr_sizeHint 3773
#define sipName_sizeHint &sipStrings_QtSql[3773]
#define sipNameNr_userName 3782
#define sipName_userName &sipStrings_QtSql[3782]
#define sipNameNr_NoError 3791
#define sipName_NoError &sipStrings_QtSql[3791]
#define sipNameNr_Unicode 3799
#define sipName_Unicode &sipStrings_QtSql[3799]
#define sipNameNr_Unknown 3807
#define sipName_Unknown &sipStrings_QtSql[3807]
#define sipNameNr___len__ 3815
#define sipName___len__ &sipStrings_QtSql[3815]
#define sipNameNr_drivers 3823
#define sipName_drivers &sipStrings_QtSql[3823]
#define sipNameNr_indexOf 3831
#define sipName_indexOf &sipStrings_QtSql[3831]
#define sipNameNr_isDirty 3839
#define sipName_isDirty &sipStrings_QtSql[3839]
#define sipNameNr_isEmpty 3847
#define sipName_isEmpty &sipStrings_QtSql[3847]
#define sipNameNr_isValid 3855
#define sipName_isValid &sipStrings_QtSql[3855]
#define sipNameNr_options 3863
#define sipName_options &sipStrings_QtSql[3863]
#define sipNameNr_prepare 3871
#define sipName_prepare &sipStrings_QtSql[3871]
#define sipNameNr_replace 3879
#define sipName_replace &sipStrings_QtSql[3879]
#define sipNameNr_setData 3887
#define sipName_setData &sipStrings_QtSql[3887]
#define sipNameNr_setName 3895
#define sipName_setName &sipStrings_QtSql[3895]
#define sipNameNr_setNull 3903
#define sipName_setNull &sipStrings_QtSql[3903]
#define sipNameNr_setOpen 3911
#define sipName_setOpen &sipStrings_QtSql[3911]
#define sipNameNr_setPort 3919
#define sipName_setPort &sipStrings_QtSql[3919]
#define sipNameNr_setSort 3927
#define sipName_setSort &sipStrings_QtSql[3927]
#define sipNameNr_sibling 3935
#define sipName_sibling &sipStrings_QtSql[3935]
#define sipNameNr_Binary 3943
#define sipName_Binary &sipStrings_QtSql[3943]
#define sipNameNr_Oracle 3950
#define sipName_Oracle &sipStrings_QtSql[3950]
#define sipNameNr_SQLite 3957
#define sipName_SQLite &sipStrings_QtSql[3957]
#define sipNameNr_Sybase 3964
#define sipName_Sybase &sipStrings_QtSql[3964]
#define sipNameNr_Tables 2202
#define sipName_Tables &sipStrings_QtSql[2202]
#define sipNameNr___eq__ 3971
#define sipName___eq__ &sipStrings_QtSql[3971]
#define sipNameNr___ne__ 3978
#define sipName___ne__ &sipStrings_QtSql[3978]
#define sipNameNr_append 3985
#define sipName_append &sipStrings_QtSql[3985]
#define sipNameNr_commit 3992
#define sipName_commit &sipStrings_QtSql[3992]
#define sipNameNr_driver 3999
#define sipName_driver &sipStrings_QtSql[3999]
#define sipNameNr_filter 4006
#define sipName_filter &sipStrings_QtSql[4006]
#define sipNameNr_finish 4013
#define sipName_finish &sipStrings_QtSql[4013]
#define sipNameNr_handle 4020
#define sipName_handle &sipStrings_QtSql[4020]
#define sipNameNr_insert 4027
#define sipName_insert &sipStrings_QtSql[4027]
#define sipNameNr_isNull 4034
#define sipName_isNull &sipStrings_QtSql[4034]
#define sipNameNr_isOpen 4041
#define sipName_isOpen &sipStrings_QtSql[4041]
#define sipNameNr_length 4048
#define sipName_length &sipStrings_QtSql[4048]
#define sipNameNr_parent 4055
#define sipName_parent &sipStrings_QtSql[4055]
#define sipNameNr_record 4062
#define sipName_record &sipStrings_QtSql[4062]
#define sipNameNr_remove 4069
#define sipName_remove &sipStrings_QtSql[4069]
#define sipNameNr_result 4076
#define sipName_result &sipStrings_QtSql[4076]
#define sipNameNr_revert 4083
#define sipName_revert &sipStrings_QtSql[4083]
#define sipNameNr_select 4090
#define sipName_select &sipStrings_QtSql[4090]
#define sipNameNr_submit 4097
#define sipName_submit &sipStrings_QtSql[4097]
#define sipNameNr_tables 4104
#define sipName_tables &sipStrings_QtSql[4104]
#define sipNameNr_typeID 4111
#define sipName_typeID &sipStrings_QtSql[4111]
#define sipNameNr_InOut 4118
#define sipName_InOut &sipStrings_QtSql[4118]
#define sipNameNr_Views 4124
#define sipName_Views &sipStrings_QtSql[4124]
#define sipNameNr_buddy 4130
#define sipName_buddy &sipStrings_QtSql[4130]
#define sipNameNr_clear 4136
#define sipName_clear &sipStrings_QtSql[4136]
#define sipNameNr_close 4142
#define sipName_close &sipStrings_QtSql[4142]
#define sipNameNr_count 4148
#define sipName_count &sipStrings_QtSql[4148]
#define sipNameNr_event 4154
#define sipName_event &sipStrings_QtSql[4154]
#define sipNameNr_fetch 4160
#define sipName_fetch &sipStrings_QtSql[4160]
#define sipNameNr_field 4166
#define sipName_field &sipStrings_QtSql[4166]
#define sipNameNr_first 4172
#define sipName_first &sipStrings_QtSql[4172]
#define sipNameNr_flags 4178
#define sipName_flags &sipStrings_QtSql[4178]
#define sipNameNr_index 4184
#define sipName_index &sipStrings_QtSql[4184]
#define sipNameNr_match 4190
#define sipName_match &sipStrings_QtSql[4190]
#define sipNameNr_paint 4196
#define sipName_paint &sipStrings_QtSql[4196]
#define sipNameNr_query 4202
#define sipName_query &sipStrings_QtSql[4202]
#define sipNameNr_reset 4208
#define sipName_reset &sipStrings_QtSql[4208]
#define sipNameNr_setAt 4214
#define sipName_setAt &sipStrings_QtSql[4214]
#define sipNameNr_value 4220
#define sipName_value &sipStrings_QtSql[4220]
#define sipNameNr_BLOB 4226
#define sipName_BLOB &sipStrings_QtSql[4226]
#define sipNameNr_QSql 4231
#define sipName_QSql &sipStrings_QtSql[4231]
#define sipNameNr_data 4236
#define sipName_data &sipStrings_QtSql[4236]
#define sipNameNr_exec 4241
#define sipName_exec &sipStrings_QtSql[4241]
#define sipNameNr_host 4246
#define sipName_host &sipStrings_QtSql[4246]
#define sipNameNr_last 4251
#define sipName_last &sipStrings_QtSql[4251]
#define sipNameNr_mode 4256
#define sipName_mode &sipStrings_QtSql[4256]
#define sipNameNr_name 4261
#define sipName_name &sipStrings_QtSql[4261]
#define sipNameNr_next 4266
#define sipName_next &sipStrings_QtSql[4266]
#define sipNameNr_open 4271
#define sipName_open &sipStrings_QtSql[4271]
#define sipNameNr_port 4276
#define sipName_port &sipStrings_QtSql[4276]
#define sipNameNr_role 4281
#define sipName_role &sipStrings_QtSql[4281]
#define sipNameNr_seek 4286
#define sipName_seek &sipStrings_QtSql[4286]
#define sipNameNr_size 4291
#define sipName_size &sipStrings_QtSql[4291]
#define sipNameNr_sort 4296
#define sipName_sort &sipStrings_QtSql[4296]
#define sipNameNr_span 4301
#define sipName_span &sipStrings_QtSql[4301]
#define sipNameNr_swap 4306
#define sipName_swap &sipStrings_QtSql[4306]
#define sipNameNr_text 4311
#define sipName_text &sipStrings_QtSql[4311]
#define sipNameNr_type 4316
#define sipName_type &sipStrings_QtSql[4316]
#define sipNameNr_user 4321
#define sipName_user &sipStrings_QtSql[4321]
#define sipNameNr_DB2 4326
#define sipName_DB2 &sipStrings_QtSql[4326]
#define sipNameNr_Out 4120
#define sipName_Out &sipStrings_QtSql[4120]
#define sipNameNr_In 4330
#define sipName_In &sipStrings_QtSql[4330]
#define sipNameNr_at 4333
#define sipName_at &sipStrings_QtSql[4333]
#define sipNameNr_db 4336
#define sipName_db &sipStrings_QtSql[4336]

#define sipMalloc                   sipAPI_QtSql->api_malloc
#define sipFree                     sipAPI_QtSql->api_free
#define sipBuildResult              sipAPI_QtSql->api_build_result
#define sipCallMethod               sipAPI_QtSql->api_call_method
#define sipCallProcedureMethod      sipAPI_QtSql->api_call_procedure_method
#define sipCallErrorHandler         sipAPI_QtSql->api_call_error_handler
#define sipParseResultEx            sipAPI_QtSql->api_parse_result_ex
#define sipParseResult              sipAPI_QtSql->api_parse_result
#define sipParseArgs                sipAPI_QtSql->api_parse_args
#define sipParseKwdArgs             sipAPI_QtSql->api_parse_kwd_args
#define sipParsePair                sipAPI_QtSql->api_parse_pair
#define sipInstanceDestroyed        sipAPI_QtSql->api_instance_destroyed
#define sipInstanceDestroyedEx      sipAPI_QtSql->api_instance_destroyed_ex
#define sipConvertFromSequenceIndex sipAPI_QtSql->api_convert_from_sequence_index
#define sipConvertFromSliceObject   sipAPI_QtSql->api_convert_from_slice_object
#define sipConvertFromVoidPtr       sipAPI_QtSql->api_convert_from_void_ptr
#define sipConvertToVoidPtr         sipAPI_QtSql->api_convert_to_void_ptr
#define sipAddException             sipAPI_QtSql->api_add_exception
#define sipNoFunction               sipAPI_QtSql->api_no_function
#define sipNoMethod                 sipAPI_QtSql->api_no_method
#define sipAbstractMethod           sipAPI_QtSql->api_abstract_method
#define sipBadClass                 sipAPI_QtSql->api_bad_class
#define sipBadCatcherResult         sipAPI_QtSql->api_bad_catcher_result
#define sipBadCallableArg           sipAPI_QtSql->api_bad_callable_arg
#define sipBadOperatorArg           sipAPI_QtSql->api_bad_operator_arg
#define sipTrace                    sipAPI_QtSql->api_trace
#define sipTransferBack             sipAPI_QtSql->api_transfer_back
#define sipTransferTo               sipAPI_QtSql->api_transfer_to
#define sipSimpleWrapper_Type       sipAPI_QtSql->api_simplewrapper_type
#define sipWrapper_Type             sipAPI_QtSql->api_wrapper_type
#define sipWrapperType_Type         sipAPI_QtSql->api_wrappertype_type
#define sipVoidPtr_Type             sipAPI_QtSql->api_voidptr_type
#define sipGetPyObject              sipAPI_QtSql->api_get_pyobject
#define sipGetAddress               sipAPI_QtSql->api_get_address
#define sipGetMixinAddress          sipAPI_QtSql->api_get_mixin_address
#define sipGetCppPtr                sipAPI_QtSql->api_get_cpp_ptr
#define sipGetComplexCppPtr         sipAPI_QtSql->api_get_complex_cpp_ptr
#define sipCallHook                 sipAPI_QtSql->api_call_hook
#define sipEndThread                sipAPI_QtSql->api_end_thread
#define sipRaiseUnknownException    sipAPI_QtSql->api_raise_unknown_exception
#define sipRaiseTypeException       sipAPI_QtSql->api_raise_type_exception
#define sipBadLengthForSlice        sipAPI_QtSql->api_bad_length_for_slice
#define sipAddTypeInstance          sipAPI_QtSql->api_add_type_instance
#define sipPySlotExtend             sipAPI_QtSql->api_pyslot_extend
#define sipAddDelayedDtor           sipAPI_QtSql->api_add_delayed_dtor
#define sipCanConvertToType         sipAPI_QtSql->api_can_convert_to_type
#define sipConvertToType            sipAPI_QtSql->api_convert_to_type
#define sipForceConvertToType       sipAPI_QtSql->api_force_convert_to_type
#define sipConvertToEnum            sipAPI_QtSql->api_convert_to_enum
#define sipConvertToBool            sipAPI_QtSql->api_convert_to_bool
#define sipReleaseType              sipAPI_QtSql->api_release_type
#define sipConvertFromType          sipAPI_QtSql->api_convert_from_type
#define sipConvertFromNewType       sipAPI_QtSql->api_convert_from_new_type
#define sipConvertFromNewPyType     sipAPI_QtSql->api_convert_from_new_pytype
#define sipConvertFromEnum          sipAPI_QtSql->api_convert_from_enum
#define sipGetState                 sipAPI_QtSql->api_get_state
#define sipExportSymbol             sipAPI_QtSql->api_export_symbol
#define sipImportSymbol             sipAPI_QtSql->api_import_symbol
#define sipFindType                 sipAPI_QtSql->api_find_type
#define sipBytes_AsChar             sipAPI_QtSql->api_bytes_as_char
#define sipBytes_AsString           sipAPI_QtSql->api_bytes_as_string
#define sipString_AsASCIIChar       sipAPI_QtSql->api_string_as_ascii_char
#define sipString_AsASCIIString     sipAPI_QtSql->api_string_as_ascii_string
#define sipString_AsLatin1Char      sipAPI_QtSql->api_string_as_latin1_char
#define sipString_AsLatin1String    sipAPI_QtSql->api_string_as_latin1_string
#define sipString_AsUTF8Char        sipAPI_QtSql->api_string_as_utf8_char
#define sipString_AsUTF8String      sipAPI_QtSql->api_string_as_utf8_string
#define sipUnicode_AsWChar          sipAPI_QtSql->api_unicode_as_wchar
#define sipUnicode_AsWString        sipAPI_QtSql->api_unicode_as_wstring
#define sipConvertFromConstVoidPtr  sipAPI_QtSql->api_convert_from_const_void_ptr
#define sipConvertFromVoidPtrAndSize    sipAPI_QtSql->api_convert_from_void_ptr_and_size
#define sipConvertFromConstVoidPtrAndSize   sipAPI_QtSql->api_convert_from_const_void_ptr_and_size
#define sipWrappedTypeName(wt)      ((wt)->wt_td->td_cname)
#define sipDeprecated               sipAPI_QtSql->api_deprecated
#define sipGetReference             sipAPI_QtSql->api_get_reference
#define sipKeepReference            sipAPI_QtSql->api_keep_reference
#define sipRegisterProxyResolver    sipAPI_QtSql->api_register_proxy_resolver
#define sipRegisterPyType           sipAPI_QtSql->api_register_py_type
#define sipTypeFromPyTypeObject     sipAPI_QtSql->api_type_from_py_type_object
#define sipTypeScope                sipAPI_QtSql->api_type_scope
#define sipResolveTypedef           sipAPI_QtSql->api_resolve_typedef
#define sipRegisterAttributeGetter  sipAPI_QtSql->api_register_attribute_getter
#define sipEnableAutoconversion     sipAPI_QtSql->api_enable_autoconversion
#define sipInitMixin                sipAPI_QtSql->api_init_mixin
#define sipExportModule             sipAPI_QtSql->api_export_module
#define sipInitModule               sipAPI_QtSql->api_init_module
#define sipGetInterpreter           sipAPI_QtSql->api_get_interpreter
#define sipSetTypeUserData          sipAPI_QtSql->api_set_type_user_data
#define sipGetTypeUserData          sipAPI_QtSql->api_get_type_user_data
#define sipPyTypeDict               sipAPI_QtSql->api_py_type_dict
#define sipPyTypeName               sipAPI_QtSql->api_py_type_name
#define sipGetCFunction             sipAPI_QtSql->api_get_c_function
#define sipGetMethod                sipAPI_QtSql->api_get_method
#define sipFromMethod               sipAPI_QtSql->api_from_method
#define sipGetDate                  sipAPI_QtSql->api_get_date
#define sipFromDate                 sipAPI_QtSql->api_from_date
#define sipGetDateTime              sipAPI_QtSql->api_get_datetime
#define sipFromDateTime             sipAPI_QtSql->api_from_datetime
#define sipGetTime                  sipAPI_QtSql->api_get_time
#define sipFromTime                 sipAPI_QtSql->api_from_time
#define sipIsUserType               sipAPI_QtSql->api_is_user_type
#define sipCheckPluginForType       sipAPI_QtSql->api_check_plugin_for_type
#define sipUnicodeNew               sipAPI_QtSql->api_unicode_new
#define sipUnicodeWrite             sipAPI_QtSql->api_unicode_write
#define sipUnicodeData              sipAPI_QtSql->api_unicode_data
#define sipGetBufferInfo            sipAPI_QtSql->api_get_buffer_info
#define sipReleaseBufferInfo        sipAPI_QtSql->api_release_buffer_info
#define sipIsOwnedByPython          sipAPI_QtSql->api_is_owned_by_python
#define sipIsDerivedClass           sipAPI_QtSql->api_is_derived_class
#define sipGetUserObject            sipAPI_QtSql->api_get_user_object
#define sipSetUserObject            sipAPI_QtSql->api_set_user_object
#define sipRegisterEventHandler     sipAPI_QtSql->api_register_event_handler
#define sipConvertToArray           sipAPI_QtSql->api_convert_to_array
#define sipConvertToTypedArray      sipAPI_QtSql->api_convert_to_typed_array
#define sipEnableGC                 sipAPI_QtSql->api_enable_gc
#define sipPrintObject              sipAPI_QtSql->api_print_object
#define sipLong_AsChar              sipAPI_QtSql->api_long_as_char
#define sipLong_AsSignedChar        sipAPI_QtSql->api_long_as_signed_char
#define sipLong_AsUnsignedChar      sipAPI_QtSql->api_long_as_unsigned_char
#define sipLong_AsShort             sipAPI_QtSql->api_long_as_short
#define sipLong_AsUnsignedShort     sipAPI_QtSql->api_long_as_unsigned_short
#define sipLong_AsInt               sipAPI_QtSql->api_long_as_int
#define sipLong_AsUnsignedInt       sipAPI_QtSql->api_long_as_unsigned_int
#define sipLong_AsLong              sipAPI_QtSql->api_long_as_long
#define sipLong_AsUnsignedLong      sipAPI_QtSql->api_long_as_unsigned_long
#define sipLong_AsLongLong          sipAPI_QtSql->api_long_as_long_long
#define sipLong_AsUnsignedLongLong  sipAPI_QtSql->api_long_as_unsigned_long_long
#define sipLong_AsSizeT             sipAPI_QtSql->api_long_as_size_t
#define sipVisitWrappers            sipAPI_QtSql->api_visit_wrappers
#define sipRegisterExitNotifier     sipAPI_QtSql->api_register_exit_notifier
#define sipNextExceptionHandler     sipAPI_QtSql->api_next_exception_handler
#define sipIsEnumFlag               sipAPI_QtSql->api_is_enum_flag
#define sipConvertToTypeUS          sipAPI_QtSql->api_convert_to_type_us
#define sipForceConvertToTypeUS     sipAPI_QtSql->api_force_convert_to_type_us
#define sipReleaseTypeUS            sipAPI_QtSql->api_release_type_us
#define sipIsPyMethod               sipAPI_QtSql->api_is_py_method_12_8

/* The strings used by this module. */
extern const char sipStrings_QtSql[];

#define sipType_QSqlDriverCreatorBase sipExportedTypes_QtSql[13]

extern sipClassTypeDef sipTypeDef_QtSql_QSqlDriverCreatorBase;

#define sipType_QSqlDatabase sipExportedTypes_QtSql[6]

extern sipClassTypeDef sipTypeDef_QtSql_QSqlDatabase;

#define sipType_QSqlDriver sipExportedTypes_QtSql[7]

#define sipType_QSqlDriver_DbmsType sipExportedTypes_QtSql[8]

#define sipType_QSqlDriver_NotificationSource sipExportedTypes_QtSql[11]

#define sipType_QSqlDriver_IdentifierType sipExportedTypes_QtSql[10]

#define sipType_QSqlDriver_StatementType sipExportedTypes_QtSql[12]

#define sipType_QSqlDriver_DriverFeature sipExportedTypes_QtSql[9]

extern sipClassTypeDef sipTypeDef_QtSql_QSqlDriver;

#define sipType_QSqlError sipExportedTypes_QtSql[14]

#define sipType_QSqlError_ErrorType sipExportedTypes_QtSql[15]

extern sipClassTypeDef sipTypeDef_QtSql_QSqlError;

#define sipType_QSqlField sipExportedTypes_QtSql[16]

#define sipType_QSqlField_RequiredStatus sipExportedTypes_QtSql[17]

extern sipClassTypeDef sipTypeDef_QtSql_QSqlField;

#define sipType_QSqlRecord sipExportedTypes_QtSql[22]

extern sipClassTypeDef sipTypeDef_QtSql_QSqlRecord;

#define sipType_QSqlIndex sipExportedTypes_QtSql[18]

extern sipClassTypeDef sipTypeDef_QtSql_QSqlIndex;

#define sipType_QSqlQuery sipExportedTypes_QtSql[19]

#define sipType_QSqlQuery_BatchExecutionMode sipExportedTypes_QtSql[20]

extern sipClassTypeDef sipTypeDef_QtSql_QSqlQuery;

#define sipType_QSqlQueryModel sipExportedTypes_QtSql[21]

extern sipClassTypeDef sipTypeDef_QtSql_QSqlQueryModel;

#define sipType_QSqlRelationalDelegate sipExportedTypes_QtSql[24]

extern sipClassTypeDef sipTypeDef_QtSql_QSqlRelationalDelegate;

#define sipType_QSqlRelation sipExportedTypes_QtSql[23]

extern sipClassTypeDef sipTypeDef_QtSql_QSqlRelation;

#define sipType_QSqlTableModel sipExportedTypes_QtSql[29]

#define sipType_QSqlTableModel_EditStrategy sipExportedTypes_QtSql[30]

extern sipClassTypeDef sipTypeDef_QtSql_QSqlTableModel;

#define sipType_QSqlRelationalTableModel sipExportedTypes_QtSql[25]

#define sipType_QSqlRelationalTableModel_JoinMode sipExportedTypes_QtSql[26]

extern sipClassTypeDef sipTypeDef_QtSql_QSqlRelationalTableModel;

#define sipType_QSqlResult sipExportedTypes_QtSql[27]

#define sipType_QSqlResult_BindingSyntax sipExportedTypes_QtSql[28]

extern sipClassTypeDef sipTypeDef_QtSql_QSqlResult;

#define sipType_QSql sipExportedTypes_QtSql[1]

#define sipType_QSql_NumericalPrecisionPolicy sipExportedTypes_QtSql[3]

#define sipType_QSql_TableType sipExportedTypes_QtSql[5]

#define sipType_QSql_ParamTypeFlag sipExportedTypes_QtSql[4]

#define sipType_QSql_Location sipExportedTypes_QtSql[2]

extern sipClassTypeDef sipTypeDef_QtSql_QSql;

#define sipType_QFlags_0100QSql_ParamTypeFlag sipExportedTypes_QtSql[0]

extern sipMappedTypeDef sipTypeDef_QtSql_QFlags_0100QSql_ParamTypeFlag;

/* The SIP API, this module's API and the APIs of any imported modules. */
extern const sipAPIDef *sipAPI_QtSql;
extern sipExportedModuleDef sipModuleAPI_QtSql;
extern sipTypeDef *sipExportedTypes_QtSql[];

#define sipType_Qt_DropAction sipImportedTypes_QtSql_QtCore[22].it_td

#define sipType_Qt_SortOrder sipImportedTypes_QtSql_QtCore[24].it_td

#define sipType_Qt_Orientation sipImportedTypes_QtSql_QtCore[23].it_td

#define sipType_QObject sipImportedTypes_QtSql_QtCore[16].it_td

#define sipType_QModelIndex sipImportedTypes_QtSql_QtCore[15].it_td

#define sipType_QAbstractItemModel sipImportedTypes_QtSql_QtCore[0].it_td

#define sipType_QAbstractTableModel sipImportedTypes_QtSql_QtCore[1].it_td

#define sipType_QEvent sipImportedTypes_QtSql_QtCore[3].it_td

#define sipType_QTimerEvent sipImportedTypes_QtSql_QtCore[20].it_td

#define sipType_QChildEvent sipImportedTypes_QtSql_QtCore[2].it_td

#define sipType_QLocale sipImportedTypes_QtSql_QtCore[10].it_td

#define sipType_QMetaMethod sipImportedTypes_QtSql_QtCore[12].it_td

#define sipType_QMetaType sipImportedTypes_QtSql_QtCore[13].it_td

#define sipType_QMimeData sipImportedTypes_QtSql_QtCore[14].it_td

#define sipType_QSize sipImportedTypes_QtSql_QtCore[17].it_td

#define sipType_QVariant sipImportedTypes_QtSql_QtCore[21].it_td

#define sipType_QHash_1800_0100QByteArray sipImportedTypes_QtSql_QtCore[7].it_td

#define sipType_QMap_1800_0100QVariant sipImportedTypes_QtSql_QtCore[11].it_td

#define sipType_QFlags_0100Qt_MatchFlag sipImportedTypes_QtSql_QtCore[6].it_td

#define sipType_QFlags_0100Qt_ItemFlag sipImportedTypes_QtSql_QtCore[5].it_td

#define sipType_QFlags_0100Qt_DropAction sipImportedTypes_QtSql_QtCore[4].it_td

#define sipType_QList_0100QVariant sipImportedTypes_QtSql_QtCore[9].it_td

#define sipType_QList_0100QModelIndex sipImportedTypes_QtSql_QtCore[8].it_td

#define sipType_QStringList sipImportedTypes_QtSql_QtCore[19].it_td

#define sipType_QString sipImportedTypes_QtSql_QtCore[18].it_td
extern sipImportedTypeDef sipImportedTypes_QtSql_QtCore[];
extern sipImportedVirtErrorHandlerDef sipImportedVirtErrorHandlers_QtSql_QtCore[];

#define sipType_QHelpEvent sipImportedTypes_QtSql_QtGui[0].it_td

#define sipType_QPainter sipImportedTypes_QtSql_QtGui[1].it_td
extern sipImportedTypeDef sipImportedTypes_QtSql_QtGui[];

#define sipType_QWidget sipImportedTypes_QtSql_QtWidgets[4].it_td

#define sipType_QAbstractItemDelegate sipImportedTypes_QtSql_QtWidgets[0].it_td

#define sipType_QAbstractItemView sipImportedTypes_QtSql_QtWidgets[1].it_td

#define sipType_QStyledItemDelegate sipImportedTypes_QtSql_QtWidgets[3].it_td

#define sipType_QStyleOptionViewItem sipImportedTypes_QtSql_QtWidgets[2].it_td
extern sipImportedTypeDef sipImportedTypes_QtSql_QtWidgets[];

typedef const QMetaObject *(*sip_qt_metaobject_func)(sipSimpleWrapper *,sipTypeDef *);
extern sip_qt_metaobject_func sip_QtSql_qt_metaobject;

typedef int (*sip_qt_metacall_func)(sipSimpleWrapper *,sipTypeDef *,QMetaObject::Call,int,void **);
extern sip_qt_metacall_func sip_QtSql_qt_metacall;

typedef bool (*sip_qt_metacast_func)(sipSimpleWrapper *, const sipTypeDef *, const char *, void **);
extern sip_qt_metacast_func sip_QtSql_qt_metacast;

#endif
